Version 1.7

ConceptDraw Help System

Contents

Welcome to ConceptDraw!

  • What's New in this Version
  • ConceptDraw for Business and Technical Drawing
  • Key Features of ConceptDraw
  • What You Benefit from the Professional Version
  • How to Order ConceptDraw
  • System Requirements
  • How to Install ConceptDraw
  • Registration
  • Technical Support
  • About the Team who Created ConceptDraw
  • How to Contact Us

Reference Manual

Manipulating Files and Windows

  • Opening and Closing Files
  • Manipulating the Windows
  • Creating New ConceptDraw Files
  • Saving ConceptDraw Files
  • Importing Files
  • Exporting Files
  • Working with Text Data (PRO)

Internet Integration

  • Sending a Document via E-mail
  • Searching the Internet
  • Using Hyperlinks
  • Exporting a Document to HTML

Main Settings

  • Application Settings
  • Manipulating Toolbars
  • Document Page Settings
  • Printing Setup

Creating Objects

  • What Objects You Can Use
  • Drawing Figures
  • Additional Operations on Figures
  • Facilities for Precision in Drawing
  • Pictures
  • Grouping Objects

Manipulating Objects

  • Selecting Objects
  • Basic Operations
    • Copying and Pasting
    • Duplicating Objects
    • Deleting Objects
    • Undo and Redo Operations
  • Moving, Arranging and Flipping Objects
  • Connecting Objects
  • Formatting Object Properties
    • Line Properties
    • Fill Patterns and Colors
    • Shadow
    • Unifying Visual Attributes of Objects (Same Style)
    • Replacing Objects and Unifying their Form (Substitute)
    • Protection
    • Double-Click Action
    • Information
    • Behaviour
    • Hyperlink

Using Handles to Change the Appearance of Objects

  • Resizing
  • Rotating
  • Reshaping Figures

Working with Text

  • Adding Text to a Document
  • Editing Text
  • Formatting Text

Document

  • Working with the Document
    • Page Scrolling Tools
    • Zooming a Page
    • Customizing the View
    • Rulers and Grid
    • Scaling in Documents
    • Measurements
    • Color Palette
  • Document Properties
  • Manipulating Document Pages
  • Working with Layers
  • Printing a Document

Optimizing the Environment

  • Templates
  • Workspace Files

Libraries

  • Using Libraries
  • Editing and Creating Libraries

Using the Object Parameter Table

  • Object Parameter Table
  • Table Sections
  • Functions

Win.gif (172 bytes) Working with Other OLE-Compatible Applications

  • OLE Objects in ConceptDraw Documents
  • ConceptDraw Objects in Other OLE-Compatible Applications

Appendix A: Keyboard Shortcuts and Mouse Actions

Appendix B: A Brief Menu Tour


Welcome to ConceptDraw!

Computer Systems Odessa Corporation welcomes you to ConceptDraw -
a powerful application for creating professional-looking business and technical drawings on Mac and PC.

ConceptDraw for Business and Technical Drawing

ConceptDraw is a powerful multipurpose application which helps you visualize and structure information and add clear and attractive illustrations to your documents. This is extremely helpful in all fields of
- business and management,
- technology,
- education,
- creative work, etc.
ConceptDraw makes it easy to create and distribute your graphic documents and offers powerful features for quickly drawing all kinds of structures and schemes thus making your work or studies more effective.

You can use ConceptDraw to create

  • all kinds of business charts,
  • thorough research layouts,
  • Web site plans,
  • network structure and software diagrams,
  • technical drawings with great precision,
  • organization schemes,
  • workflow diagrams,
  • illustrations and tables,
  • visual learning materials, etc.

With ConceptDraw you can do this quickly and easily, as it offers you intuitive interface, powerful and easy-to-use graphic tools, and a lot of thematic libraries and document templates supplied.

ConceptDraw is available in two versions: for Windows and for Mac OS and offers you complete cross-platform compatibility between these versions. All ConceptDraw documents, templates and libraries can be opened on a Mac as well as on a PC computer without conversion.

Powerful Tools

ConceptDraw offers a wide choice of powerful and easy-to-use tools for quickly creating business diagrams, thorough research layouts, schemes, plans, etc. For each object you can assign different line colors, fill colors, fill and shadow patterns. Any object may contain text. The Snap and Glue tools help you align points, lines and objects as you draw them and position them precisely.

You can use formulas to define various object parameters and behavior: this gives you virtually unlimited control over objects.

ConceptDraw offers you intelligent connectors which rebuild automatically when you reposition objects, and avoid crossing other objects. And what is more, you can turn any object into a connector.
Connectors let you easily create all kinds of charts: technological or business processes, organization schemes, program project plans, etc.

Win.gif (172 bytes) OLE (Object Linking and Embedding) compatibility means that a ConceptDraw document can be edited within any other OLE-compatible application (for instance, MS Word). And vice versa, any file or document created in another OLE-compatible application can be embedded into ConceptDraw.

The Import/Export capabilities let you make use of images stored in files of different formats.

The application provides you with extended Internet integration: creating and using hyperlinks, sending documents via e-mail, saving a document in HTML format to place it on the Web easily.

It's Easy!

ConceptDraw offers you clear and convenient intuitive interface, and easy-to-use tools to create the drawings quickly and easily. You don't need to have any artistic talent or drawing skills to use this application.
Simpler objects can be easily created by using simple graphic segments and the Snap tool. For more complicated objects, you can use the Libraries supplied with the application. Most of the widely-used objects you might need are compiled for you and grouped in a number of task-related libraries. You can just drag an object from the library and drop it into your document.
Connectors let you tie objects together and keep them connected even if you reposition or resize them.

And besides, you can look up the detailed description in the Reference Manual any moment you need it.

Key Features of ConceptDraw

ConceptDraw offers you a wide range of powerful features for creating attractive graphic documents quickly and sharing them across the Macintosh and Windows platforms.

Over 100 libraries with 2800 library objects, including engineering, mechanics, computers and networks, chemistry and more. More than 50 document templates supplied.
Internet Integration:
- powerful and customizable HTML export;
- creating and using hyperlinks to files, pages or URLs;
- sending documents via e-mail,
- searching the Internet.
Full-scale vector drawing tools. User-defined color palette.
Intelligent Connectors let you link related objects to each other. The connectors keep objects connected even if you move them. User-controlled points of connection.
The Object Parameter Table lets you control both visible and inner properties of objects.
Formulas let you to create customizable objects with user-controlled behavior.
(PRO) Outline support lets you create a diagram from its textual description, or save your diagram as outline.
(PRO) Compatibility with CAD applications by means of DXF format support.
(PRO) PowerPoint import/export.
Support for multi-paged documents.
Import and export to popular vector and raster formats: BMP, EMF, JPEG, GIF, PICT, export to EPS.
The Professional version also supports import/export to TIFF, PNG and TGA formats.
Customizable Grid, guide lines, measuring rulers and the Snap and Glue tools help you create precise and accurate drawings.
You can assign objects to up to 9 different layers.
Win.gif (172 bytes) Object Linking and Embedding (OLE) compatibility. Edit and user other applications' data from within ConceptDraw, and vice versa.
Complete cross-platform compatibility between the Windows and the Mac OS versions of ConceptDraw. All documents, templates and libraries can be opened on a Mac as well as on a PC without conversion.

What You Benefit from the Professional Version

The Professional version of ConceptDraw was specially designed for IT and technical specialists, and contains a lot of additional features to facilitate the work, a solid library pack and powerful data exchange capabilities.

The Professional version contains everything found in the Standard version (see above) - plus the following additions:

Over 25 additional libraries (930 new objects) for such areas as:
- Network and Internet
- Process Engineering
- Chemical technology
- Electrical Engineering
- Electronics
- Industrial Equipment
Support for AutoCAD's DXF format makes it possible to edit drawings created in CAD applications, or use ConceptDraw drawings and diagrams in the dedicated CAD applications.
Several more graphic formats added: TIFF, PNG, TGA (import and export).
Outline support allows to generate a chart based on its textual description and save the drawing in a plain text file (in Flow or Outline format).
Full PowerPoint support lets you import PowerPoint presentations and export ConceptDraw drawings to PowerPoint for slide shows and presentations.
You can address the Online Service for two-way ConceptDraw-Visio file conversion from within ConceptDraw.
New, more flexible user interface.

How to Order ConceptDraw

You can order ConceptDraw (Standard and Professional version) online and find more information at our Web site:

http://www.conceptdraw.com/

This Web site gives you an overview of all the products of the ConceptDraw line and other products created by CS-Odessa.
It also offers you the latest news and useful information about the applications, newer versions, updates, add-on components, training and some other resources that you can't get in a printed way. By checking it out regularly you can get new libraries, samples and other useful things.

You can also direct your order via e-mail at:

orders@conceptdraw.com .

System Requirements

To install and work with ConceptDraw, the minimal system configuration is as follows:

For the Mac OS/ OS X version (Carbonized):

  • Mac OS version 8.6 or higher, with CarbonLib 1.1 or later, or Mac OS X;
  • PowerPC processor (minimum);
  • 32 MB of RAM (more is better);
  • 45 MB of hard drive space available;
  • CD-ROM (if you install from a CD).

For the Windows version:

  • Windows 95/98/2000, Windows ME or Windows NT 4.0;
  • Intel 486 processor (minimum); Pentium processor is recommended;
  • 16 MB of RAM;
  • 45 MB of hard drive space available;
  • CD-ROM (if you install from a CD).

How to Install ConceptDraw

The installation includes:
- the ConceptDraw application, libraries, HTML Help.
- Samples and templates.
- Library Guide in PDF - a print-out of all the libraries (LibraryGuide.pdf).
The User's Guide is also available in PDF on the Web site:
http://www.conceptdraw.com/download/

Mac.gif (169 bytes) Mac OS 8.6 or higher and Mac OS X:

  1. Place the folder with your version of ConceptDraw where you want it to be on your hard drive.
  2. Launch the application from the folder with your version of ConceptDraw -
    ConceptDraw Pro 1.7 or ConceptDraw 1.7.

If you receive a message saying that CarbonLib 1.1 or later is required (which is most likely if you are using an OS earlier than Mac OS 9.1), you'll need to put the correct CarbonLib file to System Folder:Extensions, to replace an older version.
You can download CarbonLib from our Web site:
http://www.conceptdraw.com/download/

Win.gif (172 bytes) Windows 95/98/2000/NT/ME:

  1. Run Setup.
  2. Follow the instructions on the screen.

During the installation process, all necessary files will be copied on your hard drive. The submenu for ConceptDraw or ConceptDraw Professional will be created in the Start menu. The setup program will also place the application icon on your desktop.

Registration

To become a registered user, fill out the registration form on our Web site here:
http://www.conceptdraw.com/Register/

Here you can also subscribe for ConceptDraw NEWS to receive the latest information about the ConceptDraw product line, and new offers from Computer Systems Odessa.

Registration gives you the following benefits:

  • all registered users get free technical support,
  • free updates to the application;
  • registration entitles you to receive notification about product updates, add-on components, and other special offers by e-mail,
  • discounts for later versions of the product.

Be sure to register your copy, and welcome to subscribe for our news!

Technical Support

We offer unlimited free technical support by e-mail to our registered users. See "Registration" above on how to register.

To report a problem or suggest a feature, or just to send your feedback, please e-mail us at
support@conceptdraw.com .
Replies usually arrive within one business day.

When reporting a problem, please include the following information:

  • Registration number you receive with your copy of the product.
  • ConceptDraw version number.
  • Information describing your computer: processor type, amount of RAM, the video adapter info (production, resolution, number of colors).
  • Your operating system version number.
  • A detailed description of how to reproduce the problem.

We are always ready to answer you questions, and looking forward to hear your comments and suggestions.

About the Team who Created ConceptDraw

ConceptDraw was created by a large team of professionals: programmers, managers, designers, mathematicians, testers, and many other people. They worked hard to provide you with high quality products making them powerful, beautiful and easy-to-use. These specialists are the team of an international corporation called Computer Systems Odessa.

Credits

This version of ConceptDraw was created and supported by:

Developers: Oleg Bocharnikov, Yuriy Varbanets, Pavel Skurtul, Alexander Dymerets
Product Managers: Oleg Bocharnikov, Stanislav Sedashov
Libraries: Victoria Partsernyak
Artwork: Theodore Severin
Documentation: Alexandra Ischenko, Stanislav Sedashov
Quality Assurance: Vyacheslav Ryazanov
Web Support: Marina Yusupova

Thankful regards to the CS Odessa Team who created ConceptDraw:

Vasily Badera, Oleg Bocharnikov, Sergey Borenko, Yuriy Chebotarev, Alexander Dymerets, Yuriy Ivanov, Sergey Kolesnichenko, Alexander Koshelnik, Helen Nersesova, Valeriy Ryazanov, Stanislav Sedashov, Pavel Skurtul, Theodore Severin, Andrey Tsvigoon, Yuriy Varbanets, Dmitry Yunchik, Marina Yusupova, Gregory Zhukov, Vladimir Zabolotny, Vera Zvereva.

About Computer Systems Odessa Corp.

Computer Systems Odessa Corporation has been working on development and publishing software products of various kinds since 1993. The company is based in the Eastern Europe (Ukraine), in the wonderful city of Odessa on the Black Sea coast.

Click here to see the map:
http://www.cs-odessa.com.ua/corporateinfo/im/mapeuro.jpg

And here you can get acquainted with our city - Odessa:
http://www.cs-odessa.com.ua/about/odessa/odessa.html

Our team always keeps up with our customers' needs. We are always happy to hear your comments and suggestions!

For more detailed information about the company, visit our Web site at http://www.cs-odessa.com.ua/

How to Contact Us

First of all, you can visit Computer Systems Odessa Web-sites at

http://www.conceptdraw.com and http://www.cs-odessa.com.ua/

There you will get a lot of information about the company and its products. The latest news and demo-versions of products are also available there. You will also be able to order the products online and take advantage of many other interesting offers and opportunities.

At the ConceptDraw Web site at http://www.conceptdraw.com,
you can also subscribe for ConceptDraw NEWS to receive the latest information about the ConceptDraw product line, updates, new products and discounts, and other new offers from Computer Systems Odessa.

Then, you can contact Computer Systems Odessa Corp. via e-mail:

info@cs-odessa.com.ua - for general questions;
sales@cs-odessa.com.ua - for questions related with purchasing or reselling our products;
partnership@cs-odessa.com.ua - for partnership issues.

If you are interested in details concerning ConceptDraw and other products of this series,
you can address your questions and suggestions to:

info@conceptdraw.com - for general questions;
orders@conceptdraw.com - for ordering the products;
support@conceptdraw.com - for getting free technical support.

CONTENTS


What's New

What's New in this Version

ConceptDraw 1.61 to 1.7
Professional vs Standard version

ConceptDraw 1.61 to 1.7

GENERAL

  • The version adds a new operation: Substitute. It lets you replace an object with another one (from a library or from the same document), unifying their form, but preserving the initial object's formatting, text and connections to other objects.
  • A new Printing option is added: Fit to Page. It lets you fit the document page to the given number of the paper sheets (1, 2, 4, ...) in printing. The new setting is available in the File / Document Properties dialog, on the Printing tab.
  • The Preferences dialog adds the setting for the Internet Searching system to be called. The http://www.google.com/ searcher is set by default.
  • A new Zoom option is added: All Objects. It adjusts the zoom level so that all the objects on the page fit into the document window. This option is set by default for all documents you open.
  • Improvements in the Picture Properties dialog (for exporting to a graphic file):
    • The Preview window is added.
    • The dialog now displays the actual dimensiond (width and height) of the picture you will obtain.
  • The application adds a number of new shortcuts.
  • The menu adds new items for the tools which were previously available from the toolbars only.
  • Selecting Text objects: a Text object can now be selected by clicking on the text itself, not on the box which is invisible.
  • Adding Connection Points: when you put a connection point over an object (no matter whether selected or not), the new connection point is now assigned to this object, rather then to the primary selected one (as it was the case in previous versions).
  • For the EPS file formed by exporting a document to the PostScript format, the Preview is now available.
  • The Open and Save As dialogs now work with all the formats supported (including picture formats, HTML, etc.).
  • The Text Toolbar adds the Background Color button.
  • When you quit the application, the state and positions of all the toolbars and of the library window is preserved for the next session.
  • The File menu adds the ConceptDraw-Visio Converter option. It opens the page for Online Conversion at the www.conceptdraw.com Web site. You can upload your document for conversion there.
  • Changes in the libraries:

    MindMappingShapes.cdl,
    Marketing.cdl.

Mac OS

  • Toolbars:
    • The toolbars can now be positioned vertically or horizontally.
    • The toolbars were divided into smaller parts, nad now you can hide the ones you use most seldom.
    • Additions in the Toolbar dialog: now it lets you show/hide the toolbars and set their orientation.
  • The Status Bar is extended and behaves now as a separate window.
  • Improved docking and resizing for the Library window.

Windows

  • Additional shortcut for quitting the application: Ctrl+Q.

Professional vs Standard version

The Professional version adds the following enhancements:

  • Support for export/import of new formats:
    DXF - AutoCad format,
    TIF - TIFF format,
    PNG - PNG format,
    TGA - Targa format,
    PPT - Microsoft PowerPoint,
    TXT - Flow Data and Outline Data.
  • Changes in the Libraries:
    • Electrical and Electronic:
      EE-FundamentalItems.cdl,
      EE-IntegratedCircuit.cdl.
    • Industrial Equipment:
      IP-Equipment.cdl,
      IP-HeatEquipment.cdl.
  • New Libraries added (930 new objects):
    • Electrical and Electronic:
      EE - VHF-UHF-SHF.cdl,
      EE-CompositeAssemblies.cdl,
      EE-MaintenanceSymbols.cdl,
      EE-Maps&Charts.cdl,
      EE-Semiconductors&ElectronTubes.cdl,
      EE-Switches&Relays.cdl,
      EE-Terminals&Connectors.cdl,
      EE-Transformers&Windings.cdl.
    • Industrial Equipment:
      IP-Instruments.cdl,
      IP-ProcessAnnotations.cdl,
      IP-Pumps.cdl,
      IP-Valves&Fittings.cdl,
      IP-Vessels.cdl.
    • Network&Internet:
      BasicNetworkShapes3D.cdl,
      CiscoGenericIcons.cdl,
      GenericManufacturerEquipment.cdl,
      GenericManufacturerEquipmentAdd.cdl,
      InternetSymbols.cdl,
      LogicalSymbols.cdl,
      NetworkDevices.cdl.
    • Chemical:
      Aromatics.cdl,
      ChemEng.cdl,
      ChemicalFormulas.cdl,
      Conformers.cdl,
      Laboratory.cdl,
      Elements.cdl.


Reference Manual

In the manual, the reference information on ConceptDraw is grouped in the following chapters:

Manipulating Files and Windows
Internet Integration
Main Settings
Creating Objects
Manipulating Objects
Using Handles to Change the Appearance of Objects
Working with Text
Document
Optimizing the Environment
Libraries
Using the Object Parameter Table
Win.gif (172 bytes) Working with Other OLE-Compatible Applications

Manipulating Files and Windows

In ConceptDraw you can create, open, modify, save and print charts, diagrams, plans and various other documents.
ConceptDraw works with its own file types: document, template, library, workspace. Besides that, the powerful Import/Export functionality lets you work with data in files created in other applications and save your documents in different formats. The HTML export allows you to prepare your drawings for the Internet quickly and easily.

In this section, you can find information on the following issues:

Opening and Closing Files
Manipulating the Windows
Creating New ConceptDraw Files
Saving ConceptDraw Files
Importing Files
Exporting Files

Opening and Closing Files

You can open the following ConceptDraw files:

Documents (.cdd),
Template files (.cdt),
Library files (.cdl),
Workspace files (.cdw).

You can also open files of other formats: the content of such files will be imported into a new ConceptDraw document (e.g. inserted as picture) - see "Importing Files" for more detail.

Opening Files of All Types
Opening and Closing Documents
Opening and Closing Libraries
Using a Workspace to Open Documents and Libraries

Opening files of All Types

To open a file, call the Open dialog in one of the following ways:

a) select the Open command from the File menu,
b) click the Open button OpenTool.gif (171 bytes) on the toolbar,
c) use the keyboard:

Win.gif (172 bytes) Ctrl + O Mac.gif (169 bytes) Cmd + O

In the Open dialog:

  1. Specify the desired file format and navigate disks and folders to find the needed file.
  2. On finding the file you need, select it. To select several files, hold down the Ctrl key (in Windows) or the Cmd key (in Mac OS).
  3. Click the Open button.

To quit the dialog at any moment, click Cancel.

Opening and Closing Documents

To open an existing ConceptDraw Document:

  1. Call the Open dialog (File / Open).
  2. By default, the Open dialog displays all ConceptDraw files. To find the needed document faster, you can select ConceptDraw Documents in the Files of type box - then only the documents will be shown.
  3. Navigate disks and folders to find the needed document.
  4. On finding the document you need, select it. To select several files, hold down the Ctrl key (in Windows) or the Cmd key (in Mac OS).
  5. Click the Open button.

Note: You can use the Recent Files List in the File menu (File / Open Recent in Mac OS) to quickly access the latest documents opened or saved before.

To close the active document, you can apply the Close command from the File menu.
To quickly close all the windows with documents, select Close All from the Window menu.

Opening and Closing Libraries

In ConceptDraw, the library files are opened in a special Library window (usually found to the left of the document window).

To open an existing ConceptDraw Library file:

- Choice 1:

  1. Call the Open dialog (File / Open).
  2. By default, the Open dialog displays all ConceptDraw files. To find the needed library faster, you can select ConceptDraw Library Files in the Files of type box - then only the libraries will be shown.
  3. Navigate disks and folders to find the needed library file.
  4. On finding the file you need, select it. To select several files, hold down the Ctrl key (in Windows) or the Cmd key (in Mac OS).
  5. Click the Open button.

- Choice 2:

  1. Click the Open Library button [image] on the toolbar or choose Open from the Library menu.
    The Open dialog will come up and show the Libraries folder (or one of its subfolders).
  2. Navigate the folders to find the needed library file.
  3. Click to select the needed library. To open several libraries at once, select them holding down Ctrl (in Windows) or Cmd (in Mac OS).
  4. Click Open, and all the chosen libraries will appear in the separate Library window.
Ctrl + Shift + O Cmd + Shift + O

To close the active library, you can apply the Close command from the Library menu.
To quickly close all the open libraries, select Close All from the Library menu.

For more detail on manipulating libraries, see the "Using Libraries" section.

Using a Workspace to Open Documents and Libraries

In a Workspace file, the application stores a list of documents and libraries which should be opened, and information about their on-screen arrangement. By opening a workspace file you reproduce the needed state of the application. This lets you customize your working environment only once and use it repeatedly.

To open a ConceptDraw Workspace file:

  1. Call the Open dialog (File / Open).
  2. By default, the Open dialog displays all ConceptDraw files. To find the needed workspace file faster, you can select ConceptDraw Workspace Files in the Files of type box - then only the workspace files will be shown.
  3. Navigate disks and folders to find the needed workspace file.
  4. On finding the file you need, select it.
  5. Click the Open button.

All the documents and libraries listed in the workspace file will be opened and arranged accordingly.

For more information, see the "Workspace Files" section.

Note: ConceptDraw lets you create new workspace files to optimize the environment and facilitate your work: see "Saving a Workspace".

Manipulating the Windows

ConceptDraw opens each document in a separate window (see "Opening and Closing Files").
It is also possible to open several windows for working with the same document (e.g. if you need to see several pages simultaneously, or view the pages at different zoom levels).
To open a new window for the active document, select the New Window command from the Window menu.

To close the active window, you can
a) click the respective button on the window headline,
b) use the keyboard:

Win.gif (172 bytes) Ctrl + F4 Mac.gif (169 bytes) Cmd + W

Note 1. To quickly close all the windows together, select the Close All command from the Window menu.
Note 2. The Close command of the File menu can be used to close the active window together with all the other windows in which the same document is displayed.

To switch between the open windows, you can use the Window menu. It holds the list of open windows and the documents displayed in them. The tick marks the active window. To switch to another window, just select it in the list.
If the number of open windows is more than 9, and the needed window is not displayed in the Window menu list, click on "More Windows". The Select Window dialog will appear. It holds the complete list of all open windows (the active one is shown selected). You can select the needed window in the list and click OK to make it active.

ConceptDraw lets you switch between all the open windows quickly, activating them one after another.
Win.gif (172 bytes) To activate the next window (in cycle according to the list), you can use the following keys:

Ctrl + F6
Ctrl + Tab

or apply the Next command from the window's menu (see the icon to the left of the File menu).

Note: You can also use the Window menu commands to arrange the open windows automatically:
Cascade - for arranging the windows so that they overlap partly, and each widow can be activated easily;
Tile Vertically and Tile Horizontally - for arranging the windows vertically or horizontally as non-overlapping tiles.

Mac.gif (169 bytes) In Mac system each window has a number (e.g. if you open 5 windows, they will get numbers from 1 to 5). You can activate the window by pressing its number key together with the Cmd key.

Creating New ConceptDraw Files

Creating a New Document
Creating a New Document from a Template
Using the Start Dialog to Create/Open Documents
Creating a New Library

Creating a New Document

To create a new ConceptDraw Document, you can use one of the following alternatives:

a) choose New / Document from the File menu,
b) click the New button [image] on the toolbar,
c) or use the keyboard:

Ctrl + N Cmd + N

A new document page will appear in a separate window.

Note: Each new document is based on the Blank Drawing.cdt template file (stored in the Libraries folder). You can set another template to be used by default for creating every new document - see the "Templates" section.

Creating a New Document from a Template

You can create a new document repeating an existing template.
A template includes a document with all its settings (scale, grid, measurement system, etc.) and a list of libraries needed for working with the document. When you create a new document from a template, the software creates a copy of the template document and opens all the libraries listed in the template file. You work with the copy, while the original document remains intact.
Using templates helps you focus on the work itself instead of setting up the document page and opening all the required libraries each time.

Templates are especially helpful when several documents must have common basic elements (company Logo, standard header, etc.).

To create a new document from a Template:

  1. Choose New / Browse Templates from the File menu,
    or just get the standard Open dialog [image] and set the the Files of Type box to the format ConceptDraw Template Files (.cdt).
  2. In the dialog, navigate disks and folders to find the desired template.
  3. Select the needed ConceptDraw Template file.
  4. Click Open.
Ctrl + Alt + N Cmd + Opt + N

For more information on using templates, see the "Templates" section.

Note: ConceptDraw lets you create new templates to facilitate your work: see "Saving a Document as Template".

Using the Start Dialog to Create/Open Documents

The Start Dialog appears each time you launch the program. It offers the choice for you to

- create a new blank document (the Blank Document option),
- create a new document basing on a template (the Templates option),
- or open an existing document (the Open File option).

You can select one by clicking on it with the mouse.

If you prefer ConceptDraw to start without displaying this screen, you can disable the dialog. Just check "Don't show this screen again" at the bottom of the dialog.
Later, the Start Dialog can be reactivated in the Preferences dialog (Edit / Preferences), Default tab.

Creating a New Library

A Library is a set of ConceptDraw objects put together. The icons or names of these objects are displayed in a special Library window - from this window you can insert objects into a document or copy them to another library.

To create a new Library file:

  1. Select the New Library command from the File menu. An empty library box will appear in the library window.
  2. Now you can add objects into the new library box: paste them from documents or from other libraries.
  3. To save the new library, use the Library / Save menu.
Ctrl + Shift + N Cmd + Shift + N

See the "Editing and Creating Libraries" section for more information.

Saving ConceptDraw Files

ConceptDraw lets you save documents

- in their native format (CDD),
- save a document as template (CDT) for future use,
- or save the entire workspace (CDW) to reproduce the current state of the application (all open documents and libraries and their arrangement).

And besides, the Save As dialog lets you select any other supported format, and your document will be exported to it - see "Exporting Files" for more detail.

Saving Documents
Saving a Document as Template
Saving a Workspace

Saving Documents

The documents created in ConceptDraw are saved in their native format (.cdd).
You can also save a document as template (.cdt) for future use.
If you need to save your document in another format, see the section for "Exporting Files".

To save the active document,
select Save from the File menu, or just click the Save button [image] on the toolbar.

Ctrl + S Cmd + S

If you are saving the document for the first time, the Save As dialog opens to let you specify the filename and location.
If you have already saved the document before, the modified document will be saved under the previous filename.

You can choose to save the modified version of the document under a new filename:
apply the Save As command from the File menu and then specify the new file name and location.
Then the active document will be given the new filename and stored in the location you specified.

Ctrl + Shift + S Cmd + Shift + S

You can also create a copy of the active document:
use the Save Copy As command from the File menu and then specify the filename and location for the copy.
Creating a copy lets you save the current state, and then continue working with the initial document (not with the new one).

Saving a Document as Template

You can choose to save the active document as a ConceptDraw Template file (.cdt)
if you need to create similar documents on its basis:

  1. Click Save As Template in the File menu. The Save As dialog opens.
  2. In the dialog, use the upper box to navigate to the desired folder.
  3. Type the template filename in the corresponding field.
  4. Click Save.

The document with all its settings and the list of all opened libraries is now saved in the template file.
See the "Templates" section for more information.

Saving a Workspace

ConceptDraw lets you optimize your working environment by saving the entire workspace if you often need to work with the same set of documents and libraries.
A workspace file stores information about the sizes and arrangement of all windows open in the application, and the list of open documents and libraries.

To save the current state of the application in a workspace file, use the Save Workspace command from the File menu. The Save As dialog comes up. Specify the filename and location for the new workspace, and click Save.

All information about the currently opened documents and libraries and their look and on-screen arrangement will be saved in the workspace file.

Ctrl + Alt + S Cmd + Opt + S

Importing Files

ConceptDraw lets you effectively use objects created in other applications.
You can import files of the following formats:

BMP - Windows bitmap
JPG - JPEG file
GIF - GIF file
WMF - Windows Metafile (in Windows system)
EMF - Enhanced Metafile
PCT - Macintosh PICT file
*VSD - Microsoft Visio document

Note: Converting between the ConceptDraw and MS Visio formats
is available through the free Online Conversion Service at
www.conceptdraw.com/visio/

ConceptDraw Professional adds support for several more formats:

DXF - AutoCAD DXF documents
TIF - TIFF files
PNG - PNG files
TGA - TARGA files
PPT - Microsoft PowerPoint
TXT - Text Data (Outline and Flow)

You can use two ways for importing files:

a) Select the corresponding option in the File / Import menu.

b) Use the standard File / Open dialog and select the needed file format in the Files of type box in this dialog.

Importing Pictures from Graphic Files
Importing Text Data (PRO)
PowerPoint Import (PRO)

Importing Pictures from Graphic Files

You can import pictures from graphic files of various formats (see above) and use them in your ConceptDraw documents. This helps you customize your documents and make them vivid and appealing.

To import graphics from a file:

  1. In the File menu, select Import / Graphic File.
    The Open dialog with Image Preview will come up.
  2. Select the drive (volume) and navigate to the desired folder.
  3. By default, the Open dialog displays files of all supported formats.
    If there are too many files in the folder, you can specify the file format in the Files of type box - just select it in the list. Then the dialog will show the files of the given format only.
  4. Select the needed image file.
  5. Click the Open button.

Note: You can see the contents of the file in the Preview box of the Open File dialog.

A new document will be created in ConceptDraw. The picture from the imported file will be inserted as a separate Picture object in the centre of the the active window of this document.
You can modify this object using the operations available in ConceptDraw: resizing, rotating, flipping, formatting the line and shadow, etc. See the "Pictures" section for more detail.

Note: You can select several graphic files to import. In the Open dialog, just hold down Ctrl (in Windows) or Cmd (in Mac OS) when you select the files. In this case, each of the images will be imported into a separate new ConceptDraw document.

Importing Text Data (PRO)

The Professional version of ConceptDraw offers you such important functionality as visualizing text data.
It can read the data from a plain text file and generate a diagram automatically from its textual description.

The description of a scheme should be formed in a specific way. The following two formats for text data are supported:

Flow format - for generating drawings according to the exact locations of objects and the connections between them (e.g. schemes of the FlowChart type);

Outline format - for automatic generating tree-like diagrams according to the hierarchy of the items (this format is convenient when you describe the content of a certain task in text form, and then use the software to visualize it automatically into a complete layout).

For importing text data to generate a diagram, use the Import / Text Data menu.

For more detailed information, please see "Working with Text Data".

PowerPoint Import (PRO)

The Professional version of ConceptDraw lets you import data from PowerPoint files.
ConceptDraw Professional supports working with the files created in Microsoft PowerPoint v.97 (Windows) and v.98 (Macintosh).

To import a PowerPoint document to ConceptDraw:

  1. In the File menu, select Import / PowerPoint.
    The Open dialog will appear.
  2. Navigate disks and folders to find the needed file.
  3. Select the needed PowerPoint file.
  4. Click Open.

The objects from a PowerPoint document will be converted into ConceptDraw objects. You can modify them object using the operations available in ConceptDraw: resizing, rotating, flipping, formatting the line and shadow, etc.

Exporting Files

ConceptDraw lets you save your document in the following formats:

BMP - Windows bitmap
JPG - JPEG file
GIF - GIF file
EMF - Enhanced Metafile
PCT - Macintosh PICT file (in Mac system)
EPS - Encapsulated PostScript file
HTML - HTML document
*VSD - Microsoft Visio document

Note: Converting between the ConceptDraw and MS Visio formats
is available through the free Online Conversion Service at
www.conceptdraw.com/visio/

ConceptDraw Professional adds support for exporting to several more formats:

DXF - AutoCAD DXF documents
TIF - TIFF files
PNG - PNG files
TGA - TARGA files
PPT - Microsoft PowerPoint
TXT - Text Data (Outline and Flow)

You can use two ways for exporting files:

a) Select the corresponding option in the File / Export menu.

b) Use the standard File / Save As dialog and select the needed file format in the Save as type box in this dialog.

Export to Graphic Files
Export to Text Data (PRO)
HTML Export
PowerPoint Export (PRO)

Export to Graphic Files

You can save any ConceptDraw objects or whole drawings in different graphic formats (see above). This lets you illustrate your text documents with clear and professionally-looking charts and schemes, and use ConceptDraw graphics in other applications.

To export the active document to one of the supported graphic formats:
(Note! If you need to export only the particular objects from the page, select them before exporting.)

  1. In the File menu, select Export / Graphic File.
    The Save As dialog will appear.
  2. Select the drive (volume) and the folder in which you want to store the file.
  3. In the Save as type box, choose the file format you need.
  4. Specify the filename for the new graphic file.
  5. Click Save.
  6. The Picture Properties dialog will come up.
    In this dialog, specify the options for the exported image.
  7. Click OK.

Note: You can also use the File / Save As menu to export files.

The Picture Properties dialog lets you set the following options for the exported image:

PicturePropDialog.gif (7162 bytes)

In the Image Size section, you can choose one of the two options: Original Size or Fit to Size.
- Original Size:
If the Use Zoom option is checked, the objects in the export file will be of the same size they appear onscreen (at the current zoom level).
If Use Zoom is off, the objects will be exported at their original size, regardless of the current zoom level.
- Fit to Size:
This option lets you can assign custom dimensions for the picture - specify the width and height in pixels.

The Format section is only accessible when exporting to BMP. Here you can adjust color depth for the image.

When exporting to JPEG, you can specify image Quality. By using the slide bar, you can set the quality within the range of 1% to 100%. Note that better quality increases the file size. So the default value is 75%.

In the Objects section, you specify which objects will form the image in the graphic file:
- Selected - only the selected objects from the active page.
- All on page - all the objects which are on the page and outside it. The image size will be large enough to fit for all objects.
- Whole page - to export the entire page with all the objects which are within the page.

Click OK to start the conversion.
After exporting, the image can be modified with the operations available in the applications handling the graphic files of this type.

Exporting to EPS Format

You can export multi-paged ConceptDraw documents to the Encapsulated PostScript format which supports multiple pages.

When you export a file to the EPS format, the EPS Properties dialog comes up to let you customize the export parameters. You can specify which pages of the document should be exported, and set the image options.

EPS.gif (5485 bytes)

In the Objects section, you specify which objects should be taken for the EPS file:
- Selected - only the selected objects from the active page.
- All - all the objects which are on the document pages and outside them.
- Whole page - to export the entire pages with all the objects lying within the pages.

In the Page Size section, you can choose one of the two options: Original Size or Fit to Size.
- Original Size:
If the Use Zoom option is checked, the pages will be exported as they appear onscreen (at the current zoom level).
If Use Zoom is off, the pages will be exported at their actual size, regardless of the current zoom level.
- Fit to Size:
This option lets you can assign custom dimensions for the pages in the export file - specify the width and height in pixels.

The Page(s) to export section lets you specify which pages of the active document should be exported to EPS. Just select the needed pages in the list: to select several pages, hold down Ctrl (in Windows) or Cmd (in Mac OS). By default, all the pages are exported.

Export to Text Data

The Professional version of ConceptDraw lets you store your documents in plain text files.

ConceptDraw Professional supports converting a drawing into text data of the following two formats:

Flow format - for representing and automatic generating drawings according to the exact locations of objects and the connections between them (e.g. schemes of the FlowChart type);

Outline format - for representing and automatic generating tree-like diagrams according to the hierarchy of the items (this format is convenient when you describe the content of a certain task in text form, and then use the software to visualize it automatically into a complete layout).

For saving a document in the form of text data, use the Export / Text Data menu.

For more detailed information, please see "Working with Text Data".

HTML Export

ConceptDraw is integrated to work with the Internet. You can export your drawings to HTML to place them on the Web easily.

To save a document in the HTML format, use the Export / HTML menu.
In ConceptDraw, the HTML export is highly customizable - see "Exporting a Document to HTML" for more information.

PowerPoint Export (PRO)

The Professional version of ConceptDraw supports PowerPoint Export.
This lets you integrate your schemes, diagrams and other drawings into PowerPoint presentations.

ConceptDraw Professional supports working with the files created in Microsoft PowerPoint v.97 (Windows) and v.98 (Macintosh).

To export the active document to PowerPoint:

  1. In the File menu, select Export / PowerPoint.
    The Save As dialog will appear.
  2. Select the drive (volume) and the folder in which you want to store the file.
  3. Specify the filename.
  4. Click Save.

Then you can open the document in PowerPoint and assign animation to the objects.

See related topics:

Exporting a Document to HTML
Working with Text Data (PRO)


Working with Text Data

Working with Text Data (PRO)

The Professional version of ConceptDraw supports handling and visualizing text data, and offers you powerful features for working with outline.

You can save your drawing in the form of textual description and store it in a plain text file.
And vice versa, ConceptDraw Professional lets you generate a scheme from its textual description formed in a specific way.

The text data can be presented in Flow format or in Outline format.

The Outline Data format is intended for storing and constructing trees with a strict hierarchy. Trees are generally built for listing and structuring information, and are most widely used for the purposes of teaching and learning, analysis, etc.

The Flow Data format is suitable to automatically generate a scheme basing on text data created in another application. The textual description of a scheme includes information about the exact positions of objects, their connections, appearance (source library), etc.

For working with text data, you can use the corresponding menu commands:
File / Export / to Text Data
and File / Import / from Text Data.
When you select a file to import or specify the filename for the text data to export, a corresponding dialog appears for you to set the conversion parameters.

Outline Data Format
 Flow Data Format
Exporting a Drawing to Text Data
Importing Text Data to Generate a Drawing

Outline Data Format

The Outline Data is a common text file consisting of text lines. Every new line can start with several Spaces or Tabulation signs which indicate the subordination of the topics.

Here you can see a simple example of Text Outline and its graphic representation:

OutlineText.gif (1045 bytes)

The Text Outline can also include the Hyperlink addresses and the Note fields for the objects. In the text, they are placed in a separate line and marked with the keywords: ">>Link" and ">>Note".

OutlineLinkNote.gif (1545 bytes)

After the outline is converted into a ConceptDraw document, you can view and edit an object's hyperlink and Note.
To modify the hyperlink of the selected object, you can call the Hyperlink dialog (using the Format / Hyperlink / Edit menu). The object's Note is available in the Object Information dialog (Format / Information menu).

Flow Data Format

The Flow Data format is based on the Flowchart Data format from MS Visio. But it is simplified as compared to that of Visio: some unsupported fields are omitted in this format.

The Flow Data format consists of the following elements:

TEMPLATE

Add this line to the text file:
Template,"Template Name"

For example:
Template,"Blank Drawing.cdt"

To find the given template file, the application will search the folder for Templates according to the path in the Preferences dialog (see "Application Settings").

If this field is omitted, the default template will be used.

MASTER OBJECT

Add a line like this for each master object you want to use:
Master,"Master Name","Library Name"

For example:
Master,"Process","FlowBasic.cdl"

OBJECT

Add a line like this for each object you want to place on the drawing page:
Shape,"Object Name","Master Name","Object Text","ObjectX","ObjectY","Width","Height"

For example:
Shape,"Obj1","Process","This is my shape's text","15 mm","20 mm","1 in","2 in"

The coordinate fields "ObjectX","ObjectY", and the dimension fields "Width","Height" may be left empty - in this case they are initialized automatically.

CONNECTING OBJECTS

Add a line like this for every two shapes you want to connect:
Link,"Link Name","Master Name","Link Text","From Object (or Connector) Name","To Object (or Connector) Name"

For example:
Link,"MyLink1","Connector","some text","Obj1","Obj2"

When ConceptDraw reads the Flow Data format, the Information dialog stores the name of the native library for each library object. This lets you save the document in text form again, without loosing information on libraries to which the objects belong.

Here you can see an example of a diagram generated from a Flow Data text file, and the content of the text file itself:

FlowData.gif (18989 bytes)

Exporting a Drawing to Text Data

In ConceptDraw Professional, you can export any document to Text Data and store it in a plain text file.
Saving a document in text form lets you develop or modify its content outside ConceptDraw (in text editing applications).
Then you can use it to generate a drawing in ConceptDraw Professional (see "Importing Text Data to Generate a Drawing").

The text data can be presented in Flow format or in Outline format.

The Flow Data format reflects the exact positions of objects, their connections, appearance (source library), etc.
See "Flow Data Format" for the detailed description.

If your document presents a tree diagram in which the objects form a strict hierarchy, or represents a structure in which the objects are connected according to a certain subordination, then the Outline Data format is convenient: it reflects the subordination in the structure.
See "Outline Data Format" for the detailed description.

Note! Before exporting a drawing to Outline, select the main object (that of the highest level) to which other objects are subordinated.

To save the active document in the form of a plain text file (.txt):

  1. In the File menu, select the Export / to Text Data command.
  2. In the Save As dialog which appears, navigate to the folder in which you want to store the file.
  3. Specify the name for your text file in the corresponding field.
  4. Click Save.
  5. The Export to Text dialog will appear: specify the text data format in it:
    select Flow format or Outline format.
  6. If necessary, you can modify the settings for the selected format (see below).
  7. Click OK to start the conversion.

The Export to Text dialog lets you select the format for text data (Flow or Outline)
and specify the following parameters for exporting a document:

For Exporting in the Flow Format:

The dialog shows the syntax elements which are used by default when you export a document in the Flow Data format:

Field: the fields describing an object are separated by commas ( , ).
Text delimiter: the beginning and the end of the text are indicated by quotation marks ( " ).
Comment: the comments can be put after all the fields and separated by semicolons ( ; ).

In the dialog, you can specify other signs for each of these purposes if necessary: just select the needed options from the drop-down lists.

See "Flow Data Format" for more information.

For Exporting in the Outline Format:

In the Use Indent section, you can check whether to use indents in the list of topics. Using indents helps reflecting the structure of the scheme and shows subordination of topics. If this option is on, you can set the type of indents to be used:
- Tabulation: to indicate the subordinate topics by tabulation,
- Space: to insert the needed number of spaces before the subordinate topics.

The Include Hyperlinks and Include Object Notes options let you set whether to reflect the hyperlink addresses and the object notes in the text outline.

If the Use numeration option is checked, the objects will receive automatic numeration in the outline, according to the level of subordination.

See "Outline Data Format" for more information.

Importing Text Data to Generate a Drawing

ConceptDraw Professional lets you generate a diagram automatically from a textual description in a plain text file.

The description should be formed as Outline Data (see "Outline Data Format") or Flow Data (see "Flow Data Format").

The textual description of a drawing can be created as a plain text file (.txt) in a text editor, formed in another application, or obtained in ConceptDraw (see "Exporting a Drawing to Text Data").

To import the Text Data and generate a ConceptDraw document from a text file:

  1. In the File menu, select the Import / from Text Data command.
  2. In the Open dialog which appears, navigate disks and folders to find the needed text file.
  3. On finding the text file you need, select it.
  4. Click Open.
  5. In the Import Text dialog which appears, specify the text data format in which the imported text file describes the scheme: select Flow format or Outline format.
  6. If necessary, you can modify the settings according to the imported format (see below).
  7. Click OK to start the conversion.

The drawing will be generated in a new ConceptDraw document. Save the resulting document if necessary.

The Import Text dialog lets you specify the format of the text data (Flow or Outline)
and specify the following parameters for generating a drawing:

For Importing from the Flow Format:

The dialog shows the syntax elements which are generally used in the Flow Data format:

Field: the fields describing an object are separated by commas ( , ).
Text delimiter: the beginning and the end of the text are indicated by quotation marks ( " ).
Comment: the comments can be put after all the fields and separated by semicolons ( ; ).

If you import data from a Flow Data text file which uses the delimiters other than default, specify them in the Import Text dialog: just select the needed options from the drop-down lists.

See "Flow Data Format" for more information.

For importing from the Outline format:

In the Distance between objects section, you can specify the values for horizontal and vertical spacing between the objects in the drawing. (You can use any of the units of measure supported - see "Measurements" for more detail.)

The Connection Type section lets you choose in what way the objects should be connected: by Smart Connectors or by Direct Connectors. (See "Smart Connector" and Direct Connector" for more information.)

In the Arrange drop-down box, you can choose in what direction the whole tree or structure should be arranged: rightwards, downwards, leftwards or upwards.

See "Outline Data Format" for more information.


Internet Integration

ConceptDraw provides you with extended Internet integration: you can create and use hyperlinks, send documents via E-mail, and save your drawings in HTML format to place them on the Web easily.

Sending a Document via E-mail
Searching the Internet
Using Hyperlinks
Exporting a Document to HTML

Sending a Document via E-mail

ConceptDraw is an Internet-integrated application. You can e-mail your documents from within ConceptDraw.

Win.gif (172 bytes) Open (or activate) the document you need to mail, and apply the Send command from the File menu.
A new e-mail message window appears. The active document is already attached to this new message. Just enter the addressee in the specified line, and write your comments in the body of the message if necessary.
To send off the message (the attachment included), apply the respective mail client command (as a rule, it is the Send button).

Mac.gif (169 bytes) Select the Send command from the File menu to launch the mailer.
Create a new message and specify the addressee. To attach a file to your message, use the corresponding means of the mailer (click the Attach button and browse to select the file you need to mail).
Once the message completed, click the Send button to send it off.

Searching the Internet

ConceptDraw is integrated to work with the Internet and supports Internet search.
Click Search the Internet InternetSearch.gif (220 bytes) button on the toolbar, and ConceptDraw will launch the searcher in the browser which is available in your system.

You can set which Internet browser and searcher should be addressed by default:
call the Edit / Preferences dialog, and use the Internet tab to make these settings.

PrefInternet.gif (4363 bytes)

Using Hyperlinks

ConceptDraw lets you link your drawings to other documents or Web pages, as well as to other files and programs, providing quick access to data of various kinds. A hyperlink can be assigned to any object in your document.

You can assign and edit the hyperlinks of the objects by using the Hyperlink dialog. It lets you create hyperlinks of different types or disable the hyperlink.
You can also create the links to Internet and e-mail addresses by typing them directly in the object's text. The URL autoparsing enables the software to recognize and assign such links automatically.

URL Autoparsing for Internet and E-mail Addresses
Hyperlinks of All Kinds
Opening Hyperlinks

URL Autoparsing for Internet and E-mail Addresses

ConceptDraw is set to URL autoparsing by default. This means that if you enter an Internet or e-mail address in the text assigned to an object (or in a text box, or in the text of the topic on a branch), the application will automatically recognize and assign the hyperlink to this object when you finish editing the text.

ConceptDraw will detect the following words in the text:
"http://"
"https://"
"www."
"mailto:"
"ftp://"
"news:"
"file://"
"gopher://"
"telnet:"
"wais:"

All the text following such a word up to a space will be regarded as hyperlink destination.

This is an easy and useful way of assigning hyperlinks to objects if the destination is an Internet or e-mail address which should be visible in the document.
To disable URL autoparsing or create links to other destinations, you can use the Hyperlink dialog - see below.

To open a hyperlink, double-click on the object when the mouse cursor turns into PressFinger.gif (97 bytes).

To edit a text hyperlink, select the object and press F2 to activate the text editing mode. When you finish editing (click outside the object), the software will recognize the new hyperlink automatically.

Hyperlinks of All Kinds

Besides e-mail and Internet addresses, you can link your map to another page or another ConceptDraw document, or to any other file or application. To create and edit hyperlinks of all kinds, you can use the Hyperlink dialog.

Creating and Editing Hyperlinks

To assign a hyperlink to an object, or to edit the existing link:

1. Select the object.
2. Open the Format / Hyperlink menu, and select the Edit option.
You can also get this command from the object's context menu, or from the keyboard:

Win.gif (172 bytes) Ctrl + Shift + E Mac.gif (169 bytes) Cmd + Shift + E

The Hyperlink dialog will come up for you to specify the destination of the hyperlink:

HyperlinkDialog.gif (7141 bytes)

For specifying the destination, you can use one of the following options:

- No Hyperlink: Disables the hyperlink.
Note that the text of the hyperlink is kept intact so it can be easily reactivated if needed.

- Existing ConceptDraw document: Link to some existing ConceptDraw document.
You can either type the path into the entry field, or click Local Browse to navigate to the file. You may use a relative path. It describes the path to the linked document starting from the location in which the current document is stored.
On opening such a hyperlink, the destination document will be opened in a new window.

- Other program or file: Link to a file.
You can either enter the path, or click Local Browse to navigate to the file. You may use a relative path starting from the location in which the current document is stored.
On opening such a hyperlink, ConceptDraw will launch the application used to process such files, or run the destination application.

- Internet: Link to an URL address.
You can type the address into the File/URL field, or use the Internet Browse button to launch the Internet search system in your Internet browser. When you find the address you need, copy it, return to ConceptDraw and paste the address into the File/URL field.
On opening such a hyperlink, your Internet browser will be launched. It will start with the address specified.

Note: You can drag hyperlinks directly from your browser into the File/URL field of the dialog. The Internet option will be activated automatically.

-Page: Link to a specific page within the same document.
Select the needed page from the list in the Page box. When you open the hyperlink, the selected page will be opened in the same window.

Note 1. A hyperlink remains active even if the object is included into a group. This allows you to create complex objects with multiple hyperlinks.

Note 2. By assigning a hyperlink to an object you also change the double-click action: double-click will open the hyperlink (see "Double-Click Action"). If you need to edit the text assigned to such an object, switch to the Edit Text mode EditText.gif (120 bytes), or just select the object and press F2.

Opening Hyperlinks

To open a hyperlink, you can use one of the following alternatives:
a) double-click the object when the mouse cursor turns into PressFinger.gif (97 bytes);
b) get the context menu of the object and use the Hyperlink / Open command (also available from the Format menu),
c) select the object and use the Open Hyperlink button OpenHyperlinkTool.gif (229 bytes),
d) select the object and use the keyboard:

Win.gif (172 bytes) Ctrl + Shift + H Mac.gif (169 bytes) Cmd + Shift + H

If you opened a link to a file in another application, and then need to return to the source document:
- you can close that new application if you don't need it any longer,
- or you can switch to ConceptDraw on the task bar (in Windows) or in the applications menu in the top right corner of the screen (in Mac OS). In this case the file opened in another application will remain available.

You can also use the keyboard to switch between the applications:

Win.gif (172 bytes) Alt + Tab Mac.gif (169 bytes) Cmd + Tab (for Mac OS 8.6 or later)

If you followed a link to another ConceptDraw document, you can use the Window menu to switch between the open windows.

Exporting a Document to HTML

ConceptDraw lets you export your drawings to HTML to place them on the Web easily.

To save a document in the HTML format, use the Export / HTML menu.
If you need to export only the particular objects from the page, select them before exporting.

In ConceptDraw, the HTML export is highly customizable.
When you export to HTML, the application brings up the HTML Properties dialog:

ExportHTML.gif (10997 bytes)

In the Save Picture As section you can specify the picture format for the HTML file. You can choose GIF or JPEG. GIF images take up less space, so GIF is set by default. However, if a document contains many colors (over 256), JPEG is preferable.

The Objects section lets you choose which objects of the document should be taken for generating the HTML file:
- Whole page - exports the whole page. The resulting HTML page gets the same dimensions as the document page.
- All - exports all the objects on the page. The size of the HTML page is determined by the number of the objects and their arrangement.
- Selected - exports the selected objects only.

In the Image Size section, you can set the size for the picture in HTML:
- Original Size:
With Use Zoom on (checked), the resulting image will be of the same size as it looks onscreen. With Use Zoom off, all the objects will keep their original size, regardless of current zoom level.
- Fit To Size:
Specify the width and height in pixels to fit the image to the desired size.

The Background box lets you set the background color for the image. Click on this box to open the Choose Color dialog and select the needed color from the palette.

The Hyperlinks section lets you set the behavior of hyperlinks in the HTML file:
- Object's HyperLink:
Check this option if you need to preserve the hyperlinks assigned to objects.
- Prev/Next Page Links:
This check lets you set whether to display buttons for the previous/next page in a multi-paged HTML document. You may disable this option if you can navigate the pages by using object hyperlinks - then ensure that the Object's HyperLink option is enabled.

In the Page(s) to Export section you can select the pages of the document to be converted in HTML. For multiple selections, the Ctrl(Cmd) or Shift keys can be used.

Click OK to start the conversion. When it is completed, the resulting dialog shows the list of the files generated. You can click Preview to see the newly created HTML pages in your Internet browser available in your system.

Note: If there is any text in the Description field of the objects you export to HTML, this text will be displayed as a hint in the browser when the mouse is paused over such an object's image on the HTML page (see "Formatting Object Properties - Information").


Settings

Main Settings

ConceptDraw gives you flexibility in working with the documents: you can select and modify the global application settings (used by default and applied to every new document) and specify the custom settings for any particular document.

Application Settings
Manipulating Toolbars
Document Page Settings
Printing Setup

Application Settings

Global program configuration can be set in the Preferences dialog. This dialog lets you select the default template and specify such settings as scale and units of measure, initialization paths for main files and Internet browser, set the document page properties and check the parameters for document view.

To call the dialog, select Preferences from the Edit menu.

Ctrl + ";" Cmd + ";"

The Preferences dialog holds the application settings grouped on the following tabs:
Default, File Paths, Internet, and Miscellaneous.

The Default tab describes the settings applied to each new document you create.

PrefDefault.gif (8015 bytes)

When creating a new document, ConceptDraw either takes the settings from a template file or uses those set directly by the user.

1. If you choose Start using a template, the software will create every new document basing on the Template file you specify in this field (by default, it is Blank Drawing.cdt stored in the Libraries folder). Use the Browse button to select another template file.

2. If you select Start using the default settings, a new document will be set up according to the configurations described below:

- Units of measure: specifies the default units of measure. The rulers, the status bar, entry fields in dialogs and the table will display values in this units of measure. For specifics, refer to the "Measurements" section.

- Snap Sensitivity: sets the default distance from which snapping and gluing activate. This distance is set in pixels and doesn't depend on the scale or magnification.

- Page Size: specifies the default page size. You may choose one of the standard sizes by selecting Standard or Metric(ISO) and choosing a size from the drop-down list.
If you need a ustom page size, choose Custom to enter the dimensions manually. You can type in the values in any units of measure supported by the application (see the "Measurements" section).

The check box at the bottom of the dialog sets whether to show the Start dialog when you launch this software.

Note: The default settings will be applied to every new document, and if you need to change the parameters for a particular document, activate it and apply the File / Document Properties menu (see the tabs for Page and Settings).

The File Paths tab describes the default paths to ConceptDraw components: documents, libraries, templates, help system.

PrefPaths.gif (6130 bytes)

To set a path, use the Browse button or type the path in the corresponding field.

When you call the File / Open dialog for documents, templates or libraries first time after the application started, the dialog displays the contents of the respective default folder. Later, the File / Open dialog displays the current folder for each file type.

The Internet tab specifies the path to the Internet browser which the software uses to open hyperlinks and search the Internet. You can also choose the default Internet searcher to be used.

PrefInternet.gif (4363 bytes)

Initially, this path corresponds to your default Internet browser. However, if for some reasons this path is incorrect, you may specify the path to your Web browser manually.

Mac.gif (169 bytes) The Encoding tab sets text encoding properties. Encoding allows to convert text in a uniform format so it can be safely moved between platforms. From the list, choose the encoding used in your country.

PrefEncoding.gif (3316 bytes)

The Miscellaneous tab provides the control over additional settings of the drawing environment.

PrefMiscellaneous.gif (7121 bytes)

The check box Enable library window docking turns to enable/disable the docking feature for the library window.

The Enable autoscrolling check can be used to enable/disable the autoscroll feature for viewing documents. When the autoscrolling is enabled, the document's view area will be moved automatically (that is, the document will be scrolled in the needed direction) once you move any object or handle on the edge of the viewing area.

The Enable Smart Selection check box lets you activate/deactivate the Smart Selection mode: if you selected several objects recently, this mode restores the whole selection when you click any of these objects.

The Text Edit AutoZoom section lets you adjust the text editing functionality. You can enable the autozoom in the document if the text looks too small, and set the minimum font size acceptable for text editing mode (setting the font size best viewed).

The Application background color box shows the color of the document windows background area surrounding the document page. Click on the box to modify the current color. A color palette will come up. You can either select one of the basic colors, or use the palette and scales to adjust a custom color. Click OK to apply the selected color.

The Grid Color box lets you set the color for grid displayed in documents. You can adjust it in the same way as the background color.

To save the preferences you have selected, click OK in the Preferences dialog.

Manipulating Toolbars

ConceptDraw has several toolbar lines in which the tools are grouped by their functions. The ways for managing the toolbars are essentially different in the Windows and Macintosh versions of the software.

Mac.gif (169 bytes) Mac OS Version Toolbars

In the Mac OS version, there are 11 independent toolbar lines.
They can be docked to the application menu bar in the upper part of the screen,
or placed in floating state anywhere in the screen area.

To move a toolbar, grab it by its window caption or by the space between the icons, and drag it to the needed location.

As the toolbar windows occupy much space on the screen, you can hide the ones you use most seldom.
You can use the View / Toolbars menu to show/hide the toolbars. In the list of the toolbars, just check which toolbars should be displayed, or uncheck the toolbars which you want to hide.
The tools and operations from the hidden toolbars can be easily called from the main menu.
You can also use the shortcuts for switching betwen the tools or performing certain operations (see Appendix A).

The toolbars can be positioned vertically (as it is conveniient, for example for drawing tools) or horizontally. To change the orientation of a toolbar, get its context menu and select the needed option - Vertical or Horizontal.

You can specify the properties for several or all the toolbars simultaneously. The Toolbars dialog (from the View / Toolbars / Customize menu) lets you show/hide the toolbars and set their orientation.

Note: The toolbar settings are preserved when you quit the application.

Win.gif (172 bytes) Windows version Toolbars

In the Windows version of the application, all the toolbars are placed in 3 lines at the top of the aplication window.
You can click the control bar at the left end of each toolbar to reduce/open the toolbar.

Note: The toolbar settings are preserved when you quit the application.

Document Page Settings

When creating a document, you may need to specify its page size and other parameters.
The global default settings for every new document are taken from the active template or from the current defaults set by the user (see the Edit / Preferences dialog, Default tab).
If you need to change the settings for a particular document, activate this document and call the File / Document Properties dialog:
- on the Page tab in this dialog, you can set the page size and orientation for the active document,
- on the Settings tab, you can specify the units of measure, Undo and Snap parameters, shadow offset,
- the Printing tab lets you set the printing parameters for the active document, including the option to fit the document to the given number of printed pages (Fit to Page).

Printing Setup

In ConceptDraw, you can set the global printing parameters (to be applied to every printed document),
and also specify the print settings for a particular document if necessary.

To make or change the global settings, use the File / Page Setup command. In the Page Setup dialog, you can set the print page size and orientation and the printer parameters.

To specify the print settings for a particular document, activate it and call the File / Document Properties dialog. On the Printing tab in the dialog, you can set paper orientation, paper placement method (if the document page size is bigger than one print page), and justification (the position on the printed page if the document page size is smaller than the print page).
This tab also contains the Fit to page section to let you fit the document page to the given number of the pages in printing.

See the details in the "Printing" section.


Creating Objects

ConceptDraw offers you advanced features for working with objects of different types.
You can draw segments and figures, group objects into more complex ones, and connect them with intelligent connectors.
The advanced drawing facilities help you draw and position the objects precisely, and glue the objects to maintain the connections. In this way you can create precise and accurate drawings quickly and easily.
ConceptDraw also lets you insert pictures from various graphic files.

What Objects You Can Use
Drawing Figures
Additional Operations on Figures
Facilities for Precision in Drawing
Pictures
Grouping Objects

What Objects You Can Use

To make your documents clear, varied and attractive, ConceptDraw offers you advanced drawing features. There are several kinds of objects which you can use in your documents. They will give you flexibility in creating the structures and connections in your drawings in the way it suits you best.

ConceptDraw lets you use the following types of objects:
Figures
Connectors,
Groups,
Pictures,
OLE objects (in Windows).

Figures

Figures can be made of different elementary segments. There are four types of segments:
LineTo, SectorTo, ArcTo, SplineTo.

Segments.gif (2418 bytes)

Connected segments form a solid path called Geometry. If the beginning of the first segment coincides with the end of the last one, the geometry becomes closed and is filled by default.

Geometry.gif (1085 bytes) Geom2.gif (2264 bytes)

A figure may contain several geometries, so it may look like a group of several objects. But unlike the objects within a group, all geometries that form a figure always have the same line and fill properties. (A group may include any objects of different types with different line styles, fill colors, etc.).

See the "Drawing Figures" section for more information.

ConceptDraw also lets you work with special objects, such as connectors, pictures, and OLE objects. Connectors can be created by means of the application; pictures and OLE objects are imported from other applications or files.

Connectors

Connectors are used to connect two objects together. The connector's distinguishing feature is that it keeps the objects connected even if they are repositioned, resized, etc.

Connectors.gif (1488 bytes)

There are two methods for connecting: to the entire object and to a connection point of an object.
See "Connectors" for more detailed information.

Groups

A Group is composed of two or more objects. You can work with a group the same way you work with a single object. For advanced editing options, you can open the Edit Group (Figure / Edit Group). For simpler editing - modifying the text of an object, line and fill properties - you can just select the object within a group. If necessary, you can ungroup the unit to get separate objects.
See "Grouping Objects" for details.

Pictures

Pictures can be imported to ConceptDraw from graphic files of different formats:

BMP - Windows bitmap;
JPG - JPEG file;
GIF - GIF file;
WMF - Windows Metafile (in Windows system);
EMF - Enhanced Metafile;
PCT - Macintosh PICT file (in Mac system).

In ConceptDraw Professional, you can also import graphics from

DXF - AutoCAD DXF documents,
TIF - TIFF files,
PNG - PNG files,
TGA - TARGA files.

For the pictures, only limited editing is possible (rotating, resizing, etc.). See the "Pictures" section for more information.

Win.gif (172 bytes) OLE Objects

The Windows version of ConceptDraw supports Object Linking and Embedding capabilities (i.e. it is an OLE-compatible application). So objects created in other programs can be inserted into your document. In ConceptDraw, OLE-objects can be repositioned and resized. For full editing, you will need the application in which the object was created.
You can find more information in the section for "Working with Other OLE-Compatible Applications".

See further:

Drawing Figures
Additional Operations on Figures
Facilities for Precision in Drawing
Pictures
Grouping Objects


Drawing Figures

To create a new figure, you can use the Line LineTool.gif (139 bytes), Sector SectorTool.gif (146 bytes), Arc ArcTool.gif (150 bytes), and Spline SplineTool.gif (159 bytes) tools from the toolbar.

Choose a tool and use a mouse to draw a segment.
To add another segment to it, start drawing from one of the endpoints of the existing one. This will lengthen the geometry.
CreateFigure.gif (1831 bytes) ComplexObject.gif (1817 bytes)

If you start drawing a segment at any position with Ctrl (in Windows) or Cmd (in Mac OS) held down, this segment will be assigned to the currently selected figure, expanding it with a new geometry. So, the figure may consist of two (or more) separate geometries, but it's still one figure.

If you hold down the Shift key when drawing, the constrained drawing mode switches on. The way in which the constrained segments behave depends on the segment type.

Basic Segments

Line To: a line segment. It can be created with the Line tool. To constrain a line to any 45-degree angle, hold down the Shift key as you drag.
Note: To switch to the Line tool, you can also select Line Segment from the Tools / Draw menu, or press Ctrl+3.

Sector To: a circular sector. It can be created with the Sector tool. The direction in which you first drag the mouse determines which way the curve bows. The point where you release the mouse button defines the other endpoint of the sector. To change the direction in which the curve bows, hold down the Shift key when you drag.
Note: To switch to the Sector tool, you can also check Sector Segment in the Tools / Draw menu, or press Ctrl+4.

Arc To: an elliptical quarter segment. Use the Arc tool to create it.
Note: To switch to the Arc tool, you can also select Arc Segment from the Tools / Draw menu, or press Ctrl+5.

Spline To: a smooth curve (also called spline). It can be created with the Spline tool. This tool works like a pencil on paper, the only difference is that the curve results is smooth rather than jagged. Once drawn, the spline is easy to modify by adjusting its vertices and adjustment handles.
Note: To switch to the Spline tool, you can also check Spline Segment in the Tools / Draw menu, or press Ctrl+6.

Elementary Figures

Besides single segments, you can also draw some widely-used figures: rectangle, ellipse, Text object. Use the corresponding toolbar buttons for each of them.

Rectangle: creates a filled rectangle. Drag the mouse to change its size. By holding down the Shift key as you draw, you constrain the rectangle to a square.
Note: To switch to the Rectangle tool, you can also use the Tools / Draw / Rectangle menu or press Ctrl+7.

Ellipse: draws a filled ellipse. Drag the mouse to determine its size. By holding down the Shift key as you drag, you constrain the ellipse to a circle.
Note: To switch to the Ellipse tool, you can also use the Tools / Draw / Ellipse menu or press Ctrl+8.

EditText.gif (120 bytes) Edit Text: creates a "Text" object. Drag the mouse to determine the size of the box. If you hold down the Shift key as you drag, you will get a square box. After you release the mouse button, the Edit Text mode switches on, and you can type the text in the box.
Note: To switch to the Edit Text mode, you can also check Text in the Tools / Draw menu.
In any other tool mode, you can activate the text editing mode for a while: just select the needed object and or press F2. And when you finish editing text, press F2 or Esc.

Additional Operations on Figures

In ConceptDraw, figures may consist of multiple segments. Several segments joined together are called geometry. A figure may contain more than one geometry.

The Figure / Operations menu holds the commands for working with figures and geometries.
To create complex figures, you can use the Combine operation to make up a figure consisting of several geometries.
This operation can be reversed by the Scattering command which splits a complex figure into separate geometries.
The Join operation lets you merge the segments with coinciding endpoints into one geometry, and also form a closed figure by merging separate segments of its contour.

Combine
Join
Scattering

Combine

The Combine operation is a special case of grouping: it is applied only to figures, and groups them into a complex figure with a unified line and fill formatting of all its geometries.

If you want to make up a complex figure by grouping several figures that have the same properties (fill color, line color, line thickness, etc.), select these figures and use the Combine operation: Figure / Operations / Combine.
When the properties of the figures are the same, it is better to Combine them rather than Group: combined figures take up less space when saved.

If overlapping figures are combined, the overlapping areas become transparent. This feature is extremely useful for creating "holes" in the closed figures.

Note: If you combine figures having different line and fill properties, all the elements will be formatted after the primary selected figure.

Join

The Join operation (Figure / Operations / Join) lets you merge several selected figures into one. All the elements take a unified formatting after the primary selected figure.
The essential difference from the Combine operation is that if a solid path results after the operation, it becomes a single geometry. So when several geometries have some coinciding endpoints, the Join operation merges them into one geometry. (The Combine operation just groups figures with the same properties, but never merges them.) That is why when a closed figure results after the Join operation, it is filled automatically (this never happens when the figures are combined).

Join1.gif (1738 bytes)

Note: Be sure to superpose the endpoints precisely (they must have the same coordinates). The Snap mode [image] is very helpful for this purpose.

You can see the difference between the Combine and Join operations from the illustration below:

CombineAndJoin.gif (4821 bytes)

Note: If the geometries joined can not be merged into one (if they have no coinciding endpoints), the Join operation works in the same way as Combining. And since the resulting figure in this case consists of several geometries, it can be split into separate geometries by Scattering.

Scattering

Figures may consist of several geometries (each geometry is a solid path of joined segments).

The Scattering operation (Figure / Operations / Scattering) lets you split a complex figure into separate geometries,
so it is inverse to the Combine operation. If a figure consists of several geometries, the Scattering operation will form a separate object for each geometry of the figure. It looks like dividing a figure into parts it consists of.

Note: The Scattering operation takes no effect if you try to split a single geometry (for instance, if one resulted after the Join operation).
To split a single geometry into parts, you should first divide it into several geometries:
activate the Insert Vertex tool InsertVertexTool.gif (157 bytes), and holding down Ctrl (in Windows) or Cmd (in Mac OS), click to indicate the points where you want to separate the geometry. Then perform Scattering.

See also:
Using Handles to Change the Appearance of Objects - Reshaping Figures

Facilities for Precision in Drawing

ConceptDraw offers you several handy implements for precise drawing.
The Grid provides accuracy in drawing, positioning and measuring objects. For better precision in drawing and positioning objects, you can make the objects snap to the grid lines and nodes, as well as to connection points of objects, etc.
The gluing lets you keep the objects connected when you manipulate them. You can glue the objects to the guide lines dragged out of the rulers, to make the objects move together with the guide line.

Grid
Snapping
Guide Lines
Gluing

Grid

The Grid is made up by thin lines crossing the document at equal intervals.
The grid lines are helpful for precise drawing and positioning objects in the document.

Grid.gif (404 bytes)

You can show / hide the grid in the document: use the Grid option in the View menu.

If the Snapping [image] mode is active, the grid will pull the pointer when you manipulate objects.
When you drag a handle, the mouse pointer will jump to the nearest grid node or the cell centre.
When moving an object, the same occurs to its alignment box. This helps you position objects precisely.
(See the "Snapping" section for more detail.)

Note: For more precise and detailed drawing, it is also useful to set a higher Zoom level: see "Zooming a Page".

You can assign the grid color for the entire application. Use the Preferences dialog to do that:
select Preferences from the Edit menu, then open the Miscellaneous tab, and use the Grid Color button to set the desired color.

Grid Parameters

To set the grid parameters, you can use the Grid Properties dialog from the Tools / Grid menu.

Ctrl + Shift + G Cmd + Shift + G

Grid Properties Dialog

The Grid Spacing section lets you adjust the horizontal and vertical spacing for the grid in the active document.

You can use either of the two modes for grid spacing: Fixed or Non-Fixed.

The Non-Fixed mode is the most convenient and widely used. In this mode, the grid spacing remains visually the same regardless of the magnification, which increases the accuracy with each higher zoom level. For instance, if the spacing is 0.5 cm at 100%, it will be made 0.25 cm at 200% (the new grid lines will be added between the existing ones).
You can specify separate settings for the width and height of a cell in grid. The following options are available: Fine, Normal, Coarse.

Another grid mode is the Fixed Grid mode. In this case the grid spacing is a fixed value, and changes visually with the magnification.
You set a specific distance between the grid lines (horizontal and vertical separately). This value is preserved regardless of magnification, though visually the distance changes with the zoom level.

Note! If you want the grid to be printed, use the Fixed mode. The Non-Fixed grid is not printed.

The Grid Origin section lets you set the point on page from which the grid lines should be built.
By default, the grid is built from the top left-hand corner of the document page.
If you need to shift the grid to some distance (usually smaller than the current measuring unit) from the top left-hand corner of the document page, specify the values for the horizontal and vertical shift. The node of the grid will be placed at the point you specified, and the horizontal and vertical grid lines will be built in either direction from this point.

Note: If you need to work constantly with a specifically formatted grid, save these settings in a template file, and create new documents from this template.

Snapping

The Snapping mode makes the mouse pointer jump into position of the nearest snap location. This feature is used for positioning objects precisely with respect to the grid lines, ruler subdivisions, connection points of objects, etc.

Use the Snap On/Off [image] button on the toolbar to turn the Snapping on/off.

Note: You'll definitely welcome the possibility of turning Snap on/off on the fly.
In any tool mode, you can invert the Snap mode by holding down the Alt key (in Windows) or Cmd key (in Mac OS). This helps you increase precision of your drawing in an easy way.

By default, the pointer snaps to the grid lines and nodes, to the guide lines and to the connection points of objects. You can also set other locations to which the pointer will snap: ruler subdivisions, handles of objects, geometries and vertices of figures. For these settings, use the Snap&Glue dialog (Tools / Snap&Glue).

Snap&Glue Settings

The Snap&Glue dialog lets you specify the options for Snapping (set the locations to which the pointer will snap),
and turn on/off the Snapping and Gluing modes for the active document.

To call this dialog, use the Snap&Glue option from the Tools menu.

Ctrl + Shift + U Cmd + Shift + U

SnapGlueDialog.gif (5156 bytes)

The Snap check box lets you turn Snapping on/off.
The Glue check box can be used to turn Gluing on/off.

When Snapping is active, you can set the locations to which the pointer will snap.

If the Snap To Grid option is enabled, the grid will pull the pointer when you manipulate objects. When you drag a handle, the mouse pointer will jump to the nearest grid node or the cell centre. When the entire object is moved, the same occurs to its alignment box. This helps you position objects precisely.
This option is active by default.

If Ruler Subdivisions is the only option enabled, the pointer will snap to the imaginary lines coming out of the rulers' subdivisions. Use this for very precise positioning.

If the Figure Geometry option is checked, the object you move or resize snaps to the contours of other objects. It is usually helpful when you need to attach an object to another object.

If the Snap To Guide option is on, the pointer snaps to the guide lines. This option is active by default.

The Figure Handles option makes the pointer snap to the nearest resize handle of an object.

The Figure Vertices option makes the pointer snap to the nearest vertex of an object.

If the Connection Points option is on, the pointer snaps to the nearest connection point of an object. this option is active by default.

Even if the Snapping is enabled, the pointer starts jumping to a snap location only within a certain distance to the location.
The default value is 15 pixels. If you need to change it for the particular active document, use the File / Document Properties (the Settings tab). If you want to set a specific Snap Sensitivity distance for all future documents, specify the new value in the in the Edit / Preferences dialog (see the Default tab).

Guide Lines

Sometimes you may need to align objects along a line, and retain this alignment when moving all these objects.
This is possible by gluing objects to a Guide Line. After you glue the objects, you can move the guide line, and they all will be moved together with it.

A Guide Line is a special ConceptDraw object which is used for aligning objects and positioning them precisely.

Guide.gif (814 bytes)

To insert a horizontal or vertical guide line in your document, click on the corresponding ruler (horizontal or vertical) and drag a line out of it. Drop the guide line in the position where you need to put it.
You can manipulate (select, move, duplicate, delete) guides in the same way as other objects.

You can glue objects to a guide line by their alignment boxes. The Gluing mode [image] is active by default.
(For more detail on using the Gluing mode, see the "Gluing"section.)

To glue an object to a guide line, just move the object to the place on the guide you want to glue it to. After you release the mouse button, the resize handles on the glued side of the object turn red indicating the object is glued to the guide.

GuideSample.gif (1809 bytes)

So, by gluing objects to a guide you may then reposition them at once keeping their relative distances.
To unglue an object, just drag it away from the guide line.

Note: Guide lines are not printed.

Gluing

The Gluing mode (which is active by default) makes objects remain connected even if one of them is moved.
Unlike Snapping, the Gluing mode establishes the connection after you release the mouse button, and maintains it when you manipulate the objects.
To provide precise positioning of objects and handles, it's usually a good idea to use Gluing together with Snapping.

To enable/disable the Gluing, use the Glue On/Off [image] button on the toolbar or check the corresponding option in the Snap&Glue dialog (Tools / Snap&Glue).

You can glue
- objects and control handles to guide lines,
- endpoints of connectors to the connection points of objects,
- object's control handles to the connection points of other objects.

Gluing Objects and Control Handles to a Guide Line

If you need to align objects along a line and move all these objects together with the line, - glue these objects to a Guide Line. Then you can move the guide line, and the glued objects will be moved accordingly with the guide.
Activate the Gluing mode and move the object to the place on the guide you want to glue it to. After you release the mouse button, the resize handles on the glued side of the object turn red indicating the object is glued to the guide.

You can glue control handles of objects to a guide line. Activate the Gluing mode, move the control handle to the guide line and release the mouse button. When glued, the control handle turns red. When you move the guide line, the glued control handles move with it.

Gluing Endpoints of Connectors to the Connection Points of Objects

This is one of the main functions of gluing. When you glue the endpoints of connectors to the connection points of the objects, the connection will be maintained even when the objects are repositioned or resized.
See "Connecting Objects" for more detailed information.

DirectConnect.gif (1137 bytes)

Gluing Control Handles to Connection Points of Objects

This is an extremely important function of gluing.
It lets you add connectors to a group, so that the connectors remain functional within the group. (If you simply group an object with a connector attached to it, the loose end of the connector will no longer glue to other objects.)
If you want the connector to remain functional within a group, you should add a Control Handle to the group, attaching it to the loose end of the connector. Then you can glue the resulting new handle to connection points of other objects in the same way as you glue the endpoints of connectors.
To glue a control handle to a connection point of an object, turn Glue on and move the control handle to the needed connection point of the object. On releasing the mouse button, the control handle turns red, indicating that it is glued. Now when you move the object, the connection will be maintained.

See also:

What Objects You Can Use
Pictures
Grouping Objects

See related topics:

Manipulating Objects
 Using Handles to Change the Appearance of Objects


Pictures

ConceptDraw lets you import pictures from various graphic files and insert them into your documents. You can also create new pictures by converting ConceptDraw objects to various graphic formats.

Pictures and Graphic Formats
 Inserting a Picture
Specifics of Inserting Vector Images
Creating Images

Pictures and Graphic Formats

Picture is a special type of objects which can be used in ConceptDraw.

The objects of this type allow limited editing only (rotating, resizing, etc.).

ConceptDraw Professional lets you use pictures from the following graphic files:

Raster Formats:
BMP - Widows bitmap;
JPEG - JPEG file;
GIF - GIF file;
TIF - TIFF file (PRO);
PNG - PNG file (PRO);
TGA - TARGA file (PRO);

Vector Formats:
WMF - Windows Metafile (in Windows system);
EMF - Enhanced Metafile;
PCT - Macintosh PICT file;
DXF - AutoCAD DXF document (PRO).

Note: To import graphics from AutoCAD DXF files in ConceptDraw Professional, use the File / Import menu. For more information, refer to the "Importing Files" section.

Inserting a Picture

To insert a picture into your document, use the Insert / Picture menu.
In the dialog which appears, browse to the needed graphic file and click on the filename to select it. The thumbnail view of the selected image appears in the Preview box on the left.

Note: To find the desired file quickly, you can specify the needed file format in the Files of type box.

Click the Open button to open the selected file.
The picture will be inserted in the centre of the active window. Note that the picture is now part of the document and is no longer related to the file it was taken from.

The picture is in most cases inserted as a single object which can be resized, repositioned, flipped or rotated.
(See "Manipulating Objects" for detailed information).
You can also assign line contour and shadow to such an object. (See "Line Properties" and "Shadow").

Note: In ConceptDraw, it is also possible to open a graphic file in a separate document by using the File / Import command.
(For more information, refer to the "Importing Files" section).

Specifics of Inserting Vector Images

When inserting images of a vector format (wmf, emf, pict), you have an option to convert them into ConceptDraw objects. This works differently for the Macintosh and Windows versions of the program:

Win.gif (172 bytes) In the document, select the picture you inserted and choose Ungroup from the Figure menu. The picture will be converted into one or several ConceptDraw objects.

Mac.gif (169 bytes) When inserting a PICT image into the program, you will be asked whether to convert it into ConceptDraw objects. If you refuse, the picture will be inserted in a raster format. If the document contains emf-objects pasted there in the Windows version of the program, such objects will look like rectangles labeled "Windows Metafile" on a Mac. However, you can transform them into ConceptDraw objects in the same way as on a PC - by using the Ungroup command.

Creating Images

ConceptDraw lets you save objects as pictures by means of the Export operation.

You can create an image using all the variety of drawing and formatting features in ConceptDraw (see "Drawing Figures", "Formatting Object Properties", "Grouping Objects"),
and then export the file to one of the following graphic formats:

BMP - Windows bitmap;
JPG - JPEG file;
GIF - GIF file;
EMF - Enhanced Metafile;
PCT - Macintosh PICT file (in Mac system),
EPS - Encapsulated Post Script.

DXF - AutoCAD DXF documents (PRO);
TIF - TIFF files (PRO);
PNG - PNG files (PRO);
TGA - TARGA files (PRO).

Use the File / Export / Graphic File command to export to a graphic format.

You can also export your drawing to HTML (File / Export / HTML). The image will be converted to GIF or JPEG format, and the hyperlinks will be preserved.

For more information, see the "Exporting Files" section.

See related topics:

Importing Files
Exporting Files
Manipulating Objects
Grouping Objects


Grouping Objects

ConceptDraw lets you group several objects to make them behave as a single object. The resulting group has its own alignment box, and such operations as resizing, rotating and repositioning affect all objects in the group at once.

To group several objects, select them (holding down the Shift key) and then use the Group command from the Figure menu.

Ctrl + G Cmd + G

To separate the grouped objects, select the group(s) and use the Ungroup command from the Figure menu. Then you can modify each object separately.

Ctrl + U Cmd + U

When you resize or rotate a group, all the included objects are usually resized with the same proportion or rotated by the same increment (such behavior is set by default). So grouping is also helpful if you need to perform the same operation on several objects.
But you can set a specific behavior for any object within a group: for instance, you may set set some objects to be only repositioned when the group is resized. For more specific information, please see the "Resizing Objects" section.

You can not associate text with a group. When you select a group and start typing text, it appears on the object which is above others in this group.

Even when grouped, the objects can still be worked with. You can modify an object's properties (line color, fill color, text) once you select it within the group:

You can also modify the objects within a group without having to ungroup it. Select the group and apply the Edit Group command from the Figure menu. A new window will appear and display all the objects belonging to the group. In this window, you can select any of these objects and modify them as necessary. Once the editing completed, simply close the window, and all the changes you've made will be reflected in the document.

Note: A special case of grouping is fulfilled by the Combine operation (Figure / Operations / Combine). The difference is that combined objects take unified style properties (line and fill color, line thickness, etc.) after the primary selected object (that with green handles), whereas grouped objects retain all their individual properties. Combining is useful when you need to create a complex figure consisting of several elements (geometries).

See related topics:

Manipulating Objects
 Using Handles to Change the Appearance of Objects


Manipulating Objects

ConceptDraw offers you extended operations on objects to let you create complex drawings quickly and easily.
You can take advantage of the intelligent connectors which reshape automatically when the objects are repositioned or resized.
In ConceptDraw you can also use extended object formatting, assign text and hyperlinks to objects.

Selecting Objects
Basic Operations
Moving, Arranging and Flipping Objects
Connecting Objects
Formatting Object Properties

Selecting Objects

Selecting an Object
Multiple Selection
Primary and Secondary Selection
Selecting an Object within a Group
Selecting Objects in the Order as they were Created
Smart Selection

Selecting an Object

To work with an object, you need to select it. The selected objects are surrounded by a dashed green or blue line which shows the object's alignment box.

SelectObject.gif (811 bytes)

In most cases, the Select mode is used for selecting objects. To switch to the Select mode, use any of the following ways:

a) click on the Select button Select.gif (118 bytes) on the on the toolbar,
b) check the Select option in the Tools menu,
c) or use the keyboard:

Ctrl + 1 Cmd + 1,
Enter

To select an object, just click on it.
When you select an object, it also shows handles which you can drag to modify some properties of the object.
Handles vary with the type of the object and the tool which is currently active on the toolbar. Here you can see how an ellipse looks if selected in different tool modes: Select, Line, Arc.

SelectDots.gif (1980 bytes)

Multiple Selection

To select several objects at a time, click them one by one holding down the Shift key. To deselect one of the selected objects, hold down Shift and click on this object again (this applies for Select Box as well, see below).

In the Select Select.gif (118 bytes) or Rotate RotateTool.gif (146 bytes) tool modes, you can also use Select Box for selecting multiple objects. Click the mouse beyond all the objects you want to select, and while holding down the mouse button, drag across the objects to embrace them with a box. All the objects touched by the resulting thin-line box will appear selected.

SelNet1.gif (979 bytes)

Note: In the Connection Point ConnectPointTool.gif (160 bytes) and Edit Text EditText.gif (120 bytes) tool modes, you can select objects without quitting the mode you work in:
hold down Ctrl (in Windows) or Cmd (in Mac OS) when clicking, and add Shift for multiple selection.

To select all the objects on the page, choose Select All from the Edit menu.

Ctrl + A Cmd + A

To cancel the selection, click outside the selected objects.

Primary and Secondary Selection

When several objects are selected, one of them displays green handles: this is the primary selected object. All the other selected objects show blue handles: they are secondary selected objects.

SelectedObj.gif (1389 bytes)

Some operations distinguish between the primary object and the secondary selected objects:
for example, the result of the Connect Figures and Direct Connect operations is that all the secondary selected objects are connected to the primary one.
Some other operations, like Hyperlink, Edit Text, Connection Point work with the primary object only, and ignore the rest.

Among the selected objects, you can shift the primary selection to any one of them:
to make an object primary selected, just click on it with the mouse, and it will display green handles.
(You should click on the object itself - on the line or contour if the object is a segment or a transparent figure).

Selecting an Object within a Group

If you need to modify the formatting of an object included into a group, you can select it in the same way as you select ordinary objects.

Unlike common objects, objects selected within a group display gray handles. This indicates that grouped objects are protected against some operations, such as moving and rotating, though you can change their line color and thickness, fill color, add text, etc.
To select an object within a group, select the group first, and then click on the needed object. If the group includes other groups, you may have to click more then once until you select the object you need.

For more extensive operations (moving, rotating, reshaping, adding or deleting elements), you can use the Figure / Edit Group command.

Selecting Objects in the Order as they were Created

Another option for selecting is to use the Tab key. Each time you hit Tab, you activate objects in the order in which they were created or dropped on the page, starting from the currently selected object. The program will adjust the document page each time you press Tab, so that the selected object is shown in the centre of the screen. If no object is selected, hitting Tab will affect the first object you have drawn or dropped on the page.

Holding down the Shift key when hitting Tab reverses the selection order.

Smart Selection

The Smart Selection mode is helpful when you need to work most often with the same set of objects in the document.
When the Smart Selection mode is on, the program remembers which objects were selected the last time (if more than one) and lets you restore the entire selection by clicking on any of these objects.

To toggle this mode on/off, use the Edit / Preferences dialog: on the Miscellaneous tab in this dialog, check or uncheck Smart Selection.

See further:

Basic Operations
Moving, Arranging and Flipping Objects
Connecting Objects
Formatting Object Properties


Basic Operations on Objects

Basic Operations

When working with a document, you can copy the selected objects and paste them to other locations, duplicate and delete the objects.

Copying and Pasting
Duplicating Objects
Deleting Objects
Undo and Redo Operations

Other operations on objects - repositioning, flipping, setting the order of displaying - are concerned in the section for "Moving, Arranging and Flipping Objects".

Copying and Pasting

You can exchange information between ConceptDraw and other applications by using the Clipboard. The Clipboard is a temporary storage area, used by the system to transfer data between documents and applications. By using the Cut, Copy and Paste commands, you can copy the selected text or objects onto the Clipboard and then insert it to another location.

Cut and Copy

The Copy command creates a copy of the selected objects or text and places it onto the Clipboard.
Use Copy tool [image] on the toolbar, or select Copy from the Edit menu.

Ctrl + C
Ctrl + Ins 		Cmd + C

Once there is some data on the Clipboard, it can be inserted into the same document, or other documents and applications.

The Cut command combines two operations: Copy and Delete. It places the selected items on the Clipboard, and then deletes them from the document. To use this command, choose Cut from the Edit menu, or click the Cut button [image] on the toolbar.

Ctrl + X
Shift + Del 		Cmd + X

Note: On the Macintosh platform ConceptDraw uses the PICT format to exchange data with other applications.

Paste

The Paste command inserts the content of the Clipboard into the cursor position. To perform the command, select Paste from the Edit menu, or use the Paste tool [image] on the toolbar.

Ctrl + V
Shift + Ins 		Cmd + V

Note:
If you paste an object created in another OLE-compatible application, it will be inserted as OLE Object.
In the Mac version, the Paste command inserts objects from the Clipboard only if they were copied or cut in the same application. For inserting the content placed on the Clipboard in other applications, use the Paste From Clipboard command (see below).

Paste From Clipboard

If the Mac system Clipboard contains a PICT image or text, the content of the Clipboard can be inserted into a ConceptDraw document with the Paste From Clipboard command.

If the Clipboard contains text, it will be inserted into the object with primary selection (the one displaying green handles). When none of the objects is selected, a Text Box object will be created and the text will be pasted into it.
If the Clipboard contains a PICT image, you will be offered to either convert it into ConceptDraw objects, or insert it into the document as a picture.

You can call the Paste from Clipboard command from the Edit menu, or use the keyboard:

Cmd + Opt + V

Paste Special

In Windows system, you can use the Paste Special command to choose in what form the content of the Clipboard should be inserted into your ConceptDraw document (picture, metafile, etc.).
You can call the Paste Special command from the Edit menu or use the keyboard:

Ctrl + Alt + V

Paste In Place

If there is a ConceptDraw object on the Clipboard, the Paste In Place command lets you paste the content of the Clipboard into the same position on a page as that from where the original object was copied or cut.

You can call the Paste in Place command from the Edit menu or use the keyboard:

Ctrl + Shift + V Cmd + Shift + V

This operation is particularly useful when you need to copy or move an object onto another page of the document so that it's placed in the same position on the page as the original object.

Note: For pasting objects from other applications, this command works just the same way as the Paste command.

Duplicating Objects

To duplicate the selected object(s), select Duplicate from the Edit menu.

Ctrl + D Cmd + D

A copy will appear slightly below and to the right from the original object.

Another option is to duplicate objects by using the mouse. You may find this one more convenient, as it lets you create a copy and position it at the same time. Hold down the Ctrl (in Windows) or Cmd (in Mac OS) key and drag a copy out of the selected object to the place where you want to position it.

Note 1. To copy the objects into another document, use the Copy / Paste operations.

Note 2. Alternatively, you can duplicate objects by using the Stamp Tool. If there is no object selected in the library, this tool will clone the selected object(s) in the document. See the "Stamp Tool" section for more detail.

Deleting Objects

You can delete objects from a document by selecting them and then pressing the Del or Delete key.
The Delete command from the Edit menu has the same effect.

Make sure there are no handles selected on the object (the selected handles appear in magenta). Otherwise you will delete the handles instead of the object.

Note 1. You can lock objects to protect them from deleting. In the Protection Dialog (Format / Protection), check From Deletion. Then the program will respond with a warning message each time you attempt to delete the object.

Note 2. To delete objects included into a group, switch to the Edit Group mode first (Figure / Edit Group).

Undo and Redo Operations

Undo

When creating and editing objects, mistakes are inevitable. So, you may need to cancel a sequence of recent actions and return the document to its previous correct state. The Undo command can be used for this purpose.

To reverse the last action, click the Undo button [image] on the toolbar or choose Undo from the Edit menu. The menu always specifies the type of the action that will be undone.

Ctrl + Z
Alt + Backspace 		Cmd + Z

The number of consecutive actions that can be undone is limited. The default value is 30. You can set the desired value for the active document: use the Settings tab in the Document Properties dialog (File / Document Properties). The higher the number, the more memory the program requires to store the actions.

Redo

The Redo operation is inverse to Undo. Use it to reverse the latest Undo operation. Click the Redo button [image] on the toolbar, or select Redo from the Edit menu.

Ctrl + Y Cmd + Y

See related topics:

Selecting Objects
Moving, Arranging and Flipping Objects
Connecting Objects
Formatting Object Properties


Moving, Arranging and Flipping Objects

Moving Objects
Aligning Objects
Distributing Objects
Changing the Order in which the Objects are Displayed
Flipping

Moving Objects

You can use the keyboard or the mouse for moving objects.

Moving Objects with the Keyboard

Only the selected objects can be moved with the keyboard. (See "Selecting Objects" for specifics).
Moving objects by pixels helps you position the objects more precisely. Hold down Shift and press an Arrow key to move the selection by one screen pixel with each keystroke. Use a higher Zoom level for more precise positioning.

Note: Make sure there are no handles selected on the object before you start moving it with the keyboard, otherwise you'll move the handles instead of the object itself.

Moving Objects with the Mouse

You can drag an object with a mouse when you see the pointer turns into a black arrow DragSelection.gif (76 bytes) over this object.
To move several objects at a time, select them (holding down the Shift key) and start dragging when the pointer turns into DragSelection.gif (76 bytes) over one of the selected objects.

The ways of moving an object may vary depending on the tool mode which is currently on.

1) When the Select Select.gif (118 bytes), Rotate RotateTool.gif (146 bytes), Rectangle RectangleTool.gif (148 bytes) or Ellipse EllipseTool.gif (150 bytes) tool is active, you can move an object by dragging either its body or the alignment box.

2) With such tools as Line LineTool.gif (139 bytes), Sector SectorTool.gif (146 bytes), Arc ArcTool.gif (150 bytes), Spline SplineTool.gif (159 bytes) or Connectors DirectConnTool.gif (129 bytes) SmartConnTool.gif (159 bytes), you can move an object by dragging its alignment box (so the object(s) should be selected).

Move2.gif (1329 bytes) Move3.gif (1280 bytes)

When moving an object with the mouse you only see the outline of its alignment box. In case you'd like to see the whole object, stop the mouse and wait a moment - the contours of the object moved will appear in full detail.

To constrain the movement of an object to strictly vertical or horizontal, hold down the Shift key while you drag the object, or use the Shift + Arrow keys.

Note: You can protect an object from being moved horizontally or vertically. Call the Protection Dialog: select Protection from the Format menu. In the dialog, you can check X Position to prohibit the horizontal movement, and Y Position for the vertical movement. By checking both of these options you lock the object against repositioning.

The way objects behave when moved is also determined by whether the Snap mode SnapTool.gif (201 bytes) is on or off. If the Snapping is on, the object you are moving jumps to the nearest snap locations (usually the grid nodes), instead of following the mouse directly. This functionality lets you easily align objects with the grid lines and guides. (See the "Snapping" section for details.)

Sometimes you may need to position an object right in the centre of the page. To do this, select the object and use the Centre Page command from the Tools menu. With the Centre Vertically and Centre Horizontally commands you can centre the vertical or horizontal position of the object(s) respectively.

To align and position objects with respect to one another, you can use the Align and Distribute tools.

Aligning Objects

When several objects are selected, you can align them in different ways with respect to the primary selected object (the one displaying green handles). The Align tool places the objects so that their alignment boxes are arranged along a certain horizontal or vertical line. This line is related to the primary object, going either along one of the sides, or through the center of its alignment box.

AlignFiguresTool.gif (1653 bytes)
The object with the primary selection (the one that displays green handles) is the one to which other objects are aligned.

You can choose among the following 6 types of alignment:

Vertical alignment -
 Align Left - on the left sides,
Align Centre - on the central vertical line,
Align Right - on the right sides.

Horizontal alignment -
Align Top - on the tops,
Align Middle - on the middle horizontal line,
Align Bottom - on the bottoms.

All these commands are also available from the Figure / Align menu:
you can choose Left, Centre or Right for vertical alignment, and Top, Middle or Bottom for horizontal.

Here you can see how objects are aligned vertically on their left sides:

Distributing Objects

The Distribute tool lets you place three or more objects at equal distances between the alignment boxes (or between their sides or centers).

DistributeFiguresTool.gif (1830 bytes)

The objects are distributed with respect to the primary object (the one that displays green handles).

You can choose among the following 8 distribution options:

Horizontal distribution -
Distribute Horizontal Spacing - creates unified distances between the alignment boxes,
Distribute Left - between the left edges of the alignment boxes,
Distribute Centre - between the centres of the objects,
Distribute Right - between the right edges of the alignment boxes;

Vertical distribution -
Distribute Vertical Spacing - creates unified distances between the alignment boxes,
Distribute Top - between the top edges of the alignment boxes,
Distribute Middle - between the centres of the objects,
Distribute Bottom - between the bottom edges of the alignment boxes.

All these commands are also available from the Figure / Distribute menu:
the options for horizontal distribution are Horizontal Spacing, Left, Centre, Right;
the options for vertical distribution are Vertical Spacing, Top, Middle, Bottom.

Here you can see how the Distribute Vertical Spacing option works: it unifies the vertical spacing between the objects.

Changing the Order in which the Objects are Displayed

Each time you draw an object, or take it from another document or from a library and drop on the page, the object gets registered in the order list. ConceptDraw displays objects according to their position in the order list, so most recent objects may overlap the ones you created earlier.

Sometimes you may want to change the display order of the objects. To put the selected objects to back or to front in the view, you can use the following operations:

1) Send To Back - sends the object to the back of the order list, so that it is displayed behind all other objects.
Select Figure / Send To Back or use the same command from the context menu.

Ctrl + B Cmd + B

SendToBack.gif (1754 bytes)

2) Bring To Front - brings the object to the front of the order list, so that it is displayed above all other objects.
Select Figure / Bring To Front.

Ctrl + F Cmd + F

3) Send To Step Back - positions the object one step lower in the order list.
Select Figure / Send To Step Back.

Ctrl + Shift + B Cmd + Shift + B

4) Bring To Step Front - positions the object one step higher in the order list.
Select Figure / Bring To Step Front.

Ctrl + Shift + F Cmd + Shift + F

Flipping Objects

Flipping changes the direction the object's face, mirroring its halves against the horizontal or vertical central line.
To flip the selected objects, you can
a) click on the Flip Vertical FlipVerticalTool.gif (134 bytes) or Flip Horizontal FlipHorizontalTool.gif (139 bytes) tools on the toolbar,
b) use the Flip Vertical or Flip Horizontal commands from the Figure menu (also found in the object's context menu),
c) or use the keyboard:

Ctrl + J | Cmd + J | Flip Vertical
Ctrl + H | Cmd + H | Flip Horizontal

These operations transpose opposite sides of an object with respect to an imaginary horizontal or vertical line that goes through the rotation centre of the object.

If several objects are selected, the imaginary line goes through their common rotation centre.

See related topics:

Selecting Objects
Basic Operations
Connecting Objects
Formatting Object Properties


Connecting Objects

ConceptDraw offers you powerful ways for connecting objects:
by gluing the connectors to objects or to their connection points, you can establish connections which will be maintained even when the objects are repositioned, flipped or resized.
And moreover, you can connect several objects at a time, connect objects automatically, and turn any object into a connector.

Connectors
Connecting to the Entire Object
Connecting to a Connection Point of the Object
Connection Points
Smart Connector
Direct Connector
Using an Object as a Connector
Tools for Multiple Connection
Auto-Connection Modes

Connectors

Connectors are used for tying objects together. They rebuild automatically and keep the objects connected even when they are moved, resized, etc.
You can draw direct connectors (line segments) and smart connectors (made up of horizontal and vertical lines).
To draw a Smart Connector, use the Connector tool SmartConnTool.gif (159 bytes) or the Tools / Draw / Connector menu.
To draw a Direct Connector, use the Direct Connector tool DirectConnTool.gif (129 bytes) or the Tools / Draw / Direct Connector menu.

DirectConnect.gif (1137 bytes) SmartConnecting.gif (1960 bytes)

All connectors have the begin point and the end point (that is, they are 1D objects). By dragging an endpoint, you can change the form and size of a connector. The most important function of the endpoints is that you can glue them to the objects or to their connection points to establish connection.

Connectors.gif (1400 bytes)

Note: You can always swap the begin and end points by choosing Reverse Link from the connector's context menu.

To break the connection, unglue the connector: simply drag its glued endpoints away from the objects.

You can manipulate the connectors in the same way as you do with other objects - you can select them, send to back or to front, delete, set formatting (line color and style, arrowheads - see the "Line Properties" section).

You can also assign text to a connector as to any other object - just select the it and start typing the text.
On a Smart Connector, the associated text appears on its central control point, or where the lines meet.
On a Direct Connector, the text stretches along the connector, from its begin point to the end point.
You can manipulate the Text Box to reposition the text - see "Working with Text".

ConnText.gif (2227 bytes)

You can glue a connector to an object in two different ways:
1) connect it to the entire object,
2) glue it to a connection point of the object.

Connecting to the Entire Object

Position one the endpoints of the connector over the center of the object's alignment box, until a black rectangle appears round the object. On releasing the mouse button, a magenta square will indicate the point at which the connector is currently glued to the object. As you move the object, the point of connection changes its location, keeping to the side facing the connector. It snaps to the side of the alignment box nearest to the connector, and appears in the middle of that side.

ConnectionEntireOb.gif (2037 bytes)

Connecting to a Connection Point of an Object

This way of connecting lets you glue the connector to a certain particular place on the object (or even outside it). The connector will remain attached to this exact place - connection point - when you manipulate the objects.

Each object has 4 default connection points - in the middle of each side of its alignment box. They become visible when you position an endpoint of a connector over one of them.

Note: You can assign additional connection points to an object (either on its body or outside it): use the Connection Point tool ConnectPointTool.gif (160 bytes) (or the Tools / Draw / Connection Point menu) to create, move and delete connection points. For more information, see the "Connection Points" section.

Position one of the endpoints of the connector over the object, until you see a gray plus in a circle indicating the pointer is over a connection point of the object. Release the mouse button to establish the connection. The glued endpoint turns red, indicating the place of connection.

ConnectToPoint.gif (1208 bytes)

To break the connection, just move the connector or its attached endpoints away from the objects.

See further:

Connection Points
Smart Connector
Direct Connector
Tools for Multiple Connection
Auto-Connection Modes


Object Properties

Formatting Object Properties

Each object has a set of properties which you can change: line color, width and style, fill pattern, text formatting parameters etc.
In ConceptDraw you can format each single property by using the corresponding tool, or format groups of properties in the dialogs.

Line Properties
Fill Patterns and Colors
Shadows
Unifying Visual Attributes of Objects (Same Style)
Replacing Objects and Unifying their Form (Substitute)
Protection
Double-Click Action
Information
Behaviour
Hyperlink

Line Properties

Lines are part of every object. To change their properties, you can use the Line Properties dialog (Format / Line).

Ctrl + K Cmd + K

You can also make use of the corresponding buttons from the Line and Fill formatting toolbar:
Line color LineColorTool.gif (146 bytes), Width LineWidthTool.gif (139 bytes) and Style StylesOfLineTool.gif (143 bytes), and Arrow Style StylesOfArrow.GIF (144 bytes) (for open figures, segments, connectors).

These tools let you choose among the options which are most widely used. For each property, you can click "More..." to get to the Line Properties dialog for the full list of options.

The Line Properties dialog (Format / Line) lets you set the line formatting for the selected object(s).
You can set the line style, width and color, and also assign various arrowheads to the lines (which is most useful with connectors and open segments).

LinePropertiesDialog.gif (5577 bytes)

The Line Style options are as follows: no line (#0), solid line (#1), dashed line (#2), and their numerous variations (17 styles are available). You can select the desired option from the Style drop-down box.

LineWidth.gif (532 bytes)

The Width drop-down box in the Line Properties dialog offers the full list of 8 sizes.

The Color box in the Line Properties dialog lets you choose line color from the current palette.

The full palette includes 256 colors. Click the mouse to select the needed color from the palette. It will be shown in the Color field of the dialog.
Note: The Line Color tool [image] offers you the first 16 palette colors.

The Arrow Styles section lets you assign an arrowhead to either or both ends of a line or any other open figure.

ConceptDraw offers you the choice of using any of 61 arrowhead styles for either of line ends.

The Line Properties dialog lets you specify arrowheads separately for the beginning and the end of a line (in the Begin and End boxes respectively).
The size of the arrows can be chosen in the Size box. The following sizes are available: Tiny, Small, Medium, Large, Huge.

To apply the selected settings to the lines formatted, click OK.
If you don't want your changes to be applied, you can either continue formatting to get the suitable settings, or just close the dialog.

Fill Patterns and Colors

For all closed figures, you can change their fill properties: colors and pattern.

If you need to change the fill properties for the selected objects,
you can call the the Fill & Shadow dialog (Format / Fill & Shadow).

Ctrl + M Cmd + M

Another way is to use the corresponding tools from the Line and Fill formatting toolbar:
Fill Color FillColorTool.gif (171 bytes) and Fill Pattern FillPatternTool.gif (161 bytes) .

These tools let you choose among the options which are most widely used.
By clicking "More..." in each button menu, you open the Fill & Shadow dialog with the complete list of the choices available.

The Fill & Shadow dialog (Format / Fill & Shadow) offers you the full choice to specify the fill and and shadow properties for the selected object(s). You can select the foreground and background colors and the patterns to be used.

FillShadowDialog.gif (5928 bytes)

The Fill section in the dialog lets you set the fill colors and pattern for the selected closed figures.

The Foreground box specifies the main fill color (with plain fills - Pattern #1 - only this color is taken to fill the figure). Click on this box to open the color palette, and select any of its 256 colors. The selected color will appear in the box.
In the same way you can choose the Background color which will be used in the pattern.

The Pattern drop-down box opens a list of 38 plain and 4 gradient pattern styles.

To make the figure transparent, select Pattern #0: None. (With and Fill Pattern tool, the corresponding option is No Pattern).
To fill the figure with the color specified as Foreground, select Pattern #1 (plain color).
Other patterns use both the Foreground and the Background colors.

The same settings can be performed for Shadows of objects.

Shadow

You can assign shadow to objects, setting its color and pattern.
To assign or modify the shadow for the selected object(s), you can call the the Fill & Shadow dialog (Format / Fill & Shadow).

Ctrl + M Cmd + M

Another option is to use the Fill Shadow Styles tool ShadowStyle.gif (128 bytes) from the Line and Fill formatting toolbar. This tool lets you choose among the options which are most widely used: it can be applied to add plain shadows to objects and choose the shadow color. You can select one of the 16 colors from the palette to fill the shadow with. By clicking the "More Styles" option, you open the Fill & Shadow dialog with the complete list of the choices available.

In the Fill & Shadow dialog, use the Shadow section to assign shadow to the selected objects. Shadows, like fills, may be plain or have fill patterns. The Fill & Shadow dialog holds the complete lists of colors and patterns to choose from.

In the Pattern drop-down box, you can choose among 38 pattern styles available. The colors for the shadow pattern can be specified in the Shadow Foreground and Shadow Background boxes (you select them from the color palette).
For a plain shadow, choose #1 pattern style in the Pattern box and its color in the Foreground box.
To remove the shadow, choose None (or #0 style) in the Pattern box.

Note: In ConceptDraw you can also specify the shadow offset. All shadows of a document have the same shadow offset. Call the Document Properties dialog from the File menu, and choose the Settings tab. In the Figure Shadow Offset section, enter the values for the shadow offset in the Right and Down boxes (you can use any measurement system - e.g. 1 in, 35 mm). Then click OK to apply the new setting to the active document.

Unifying Visual Attributes of Objects (Same Style)

The Make Same Style tool SameStyleTool.gif (156 bytes) is useful when you need to make several objects appear in a unified style.

  1. Select the objects which you need to unify in style.
  2. Among the selected objects, choose the model object after which the other ones will be formatted - click on it once so that it shows green handles (primary selection).
  3. Select Make Same Style on the toolbar to format the objects after the model.

MakeSameStyle.gif (13229 bytes)

In unifying the style, the following attributes of the primary selected object (model) are applied to the other selected objects:

  1. Line colour, thickness and style
  2. Fill colour and pattern
  3. Shadow colour and pattern
  4. Arrow style and size
  5. Text properties: font type and size, text colour and style;
    font background colour; margins and indentation.

Replacing Objects and Unifying their Form (Substitute)

It is often the case that you may need to replace an object in a complete scheme with another one, or change the object's form after another one (e.g. in flowcharting, or in a network diagram, etc.). Of course, you can delete the object and create a new one in its place. But in this case you would have to reproduce the object's text and formatting (color, fill etc.), and reconstruct the object's connections to other elements of the scheme.

ConceptDraw lets you manage this task effectively with the Substitute operation. It lets you replace the selected object (source object) with another one (target object), changing its form but preserving the text, formatting and connections to other objects. The target object may be selected in the library or in the same document.

To perform the operation:

  1. First select the source object which you need to replace (it should be primary selected - display green handles).
  2. Then select the target object (model) in the library or in the document.
    a) To select a target object from a library, just activate the needed library and click on the object.
    b) To select a target object from the same document, hold down Shift and click on the object. It will show blue handles (secondary selection). In this case, make sure that there is no library object selected: you can just hide the libraries by pressing F4 or using the View / Libraries menu.
  3. When the source object and the target object are selected, apply the Edit / Substitute menu command, and the target object will be placed to substitute for the source object.
Ctrl + Space Opt + Space

In fact, the Substitute command changes only the form of the object,
preserving its connections with other objects (by way of connectors tied to the object)
and its properties: size, line formatting, fill and shadow properties, text content and text properties.

If the source or target object is a group, the internal formatting such as line and fill properties can not be rendered properly (as they may be different with objects within a group). In this case, only the size, text and connections are preserved.

On formatting other object properties, see also:

Protection
Double-Click Action
Information
Behaviour
Hyperlink


Object Properties

Protection

Various attributes of the ConceptDraw objects can be locked against changes that you perform by using the menu commands, the mouse or the keyboard. You can do this easily by setting the corresponding options in the Protection dialog.

To lock some characteristics of one or more objects, select these objects and call the Protection dialog from the Format menu.

Ctrl + Shift + R Cmd + Shift + R

ProtectionDialog.gif (5024 bytes)

You can check the following options for protection:

- Width - locks/unlocks the object's width against resizing by the resize handles.
- Height - locks/unlocks the object's height against resizing by the resize handles.
The locked handles will be displayed as gray padlocks, indicating that you can't apply actions to them.

- Aspect Ratio - locks or unlocks the proportion of the object's height and width. When this option is checked, the object will be resized only proportionally when you drag any of its resize handles.

- X-Position - locks/unlocks the horizontal (X) position of the object.
- Y-Position - locks/unlocks the vertical (Y) position of the object.
- Rotate - locks/unlocks the object against rotation. If the object is locked, its rotation centre cannot be repositioned either.
The locked handles appear as gray padlocks indicating you can't apply actions to them.

- From Deletion - locks/unlocks the object against deleting the object itself or its handles. If an attempt is made to delete a protected object, the warning appears: "Some objects were licked against deleting and couldn't be removed".

Double-Click Action

When you double-click an object, some action is usually performed: the text editing mode is switched on, or the hyperlink is opened, etc.
You can modify the double-click action for one or more objects. Select these objects (you can hold down Shift for multiple selection), and use the Format / Double-click menu to get the Double-Click dialog.

DoubleClickDialog.gif (7117 bytes)

By selecting one of the following options you set the action that will be performed when the object is double-clicked:

- Perform No Action - takes no action.
- Edit Figure's Text - opens the object's text box, and the text editing mode is switched on. This is the default option for most objects (excepting groups, hyperlinked objects and OLE objects). Another, independent, way for editing text is to select the object and press the F2 key.
- Open Group in New Window - opens the group in a separate window in the Edit Group mode. The same can be done by choosing the Edit Group option from the Format menu. This option is available for groups only, and set for groups by default.
- Open Figure's Table - opens the table which holds the object's parameters and lets you modify them.
- Go To Hyperlink - double-click opens the hyperlink assigned to the object. This option is set by default for objects bearing a hyperlink.
- OLE Verb - for OLE objects (in Windows), double-clicking will open it for editing in the native application. This is the default option for OLE objects.
- Perform User's Context Menu Command - performs a command in the user's context menu. If there are several items, each double-clicking will perform the next command in the list.
- Go To Page - on double-click the program opens another page of the same document: you specify this page in the box.

Information

In the Information dialog, you can alter the additional information about the object. Select the needed object and click Information form the Format menu.

Ctrl + Shift + M Cmd + Shift + M

If several objects are selected, the dialog shows the information for the primary selected object (displaying green handles).

InformationDialog.gif (4383 bytes)

In the Name field, you can type the name you want to assign to the object.

In the Description field, you can provide information describing the object. If such object is exported to HTML, these notes will be displayed as tips in the browser when the mouse cursor points to this object.

The ID and SubID fields are used for reference only, and cannot be modified.
ID is the individual number of the object according to the order in which objects are created on the page.
SubID is the sequential number of the object within a group. It is changed when the operations like SendToStepBack are performed (see "Changing the order in which the objects are displayed").

Note: The ID and SubID values are used when you describe one object through another using formulas. In the table, they are used as references to parameters of other objects. For more specific information, refer to the "Formulas" section.

Behaviour

You can describe or modify the behaviour of the selected objects easily by using the Behaviour dialog. To call this dialog, click Behaviour in the Format menu.

Ctrl + Shift + R Cmd + Shift + R

BehaviorDialog.gif (7751 bytes)

The Interaction Style section determines whether the object is a connector or not, and lets you turn any object into a connector if necessary.
- Line (1-Dimensional): the object is a connector. Besides, it behaves as a line when you work with it.
- Box (2-Dimensional): the object is not a connector. It behaves as a 2D object.

The Selection Highlighting section describes how the object is displayed when selected. The following options are available: Show Figure Handles, Show Control Handles, Show Alignment Box.
They are all active by default, but you can choose to hide some of these elements if necessary. For instance, if you lock an object against resizing, it's quite reasonable not to show its resize handles.

The Resize Behaviour section describes how the object should behave within a group when the group is resized.
- Scale With Group - always resize the object as the group is resized.
- Reposition Only - simply move the object without changing its size.
- Use Group's Settings - to use the behaviour settings of the group to which the object belongs. This option is set by default.

Hyperlink

ConceptDraw lets you link its objects to documents, document pages, files or Internet locations, providing quick access to data of various kinds.

You can assign and edit the hyperlinks of the objects by using the Hyperlink dialog. Select the object and use the Format / Hyperlink / Edit menu to call this dialog. It lets you create hyperlinks of different types or disable the hyperlink.

You can also create the links to Internet and e-mail addresses by typing them directly in the object's text. The URL autoparsing enables the program to recognize and assign such links automatically.

See the "Using Hyperlinks" section for detailed description of how to create and edit hyperlinks of different kinds.

By assigning a hyperlink to an object you also change the double-click action: double-click will open the hyperlink (see "Double-Click Action"). If you need to edit the text assigned to such an object, just switch to the Edit Text mode EditText.gif (120 bytes) or select the object and press F2.


Using Handles to Change the Appearance of Objects

When you select an object you can see its handles: these are small square or round controls of that object. You can drag the handles with the mouse, thus modifying the relevant aspects of the objects, such as position, size, shape etc.

There are handles of several types which differ by their functions:

Resizing
Rotating
Reshaping Figures

Resizing

Resizing Objects with the Mouse and with the Keyboard
How Objects Behave within a Group
Using the Make Same Tools for Equal Sizing
Fit to Text

Resizing Objects with the Mouse and with the Keyboard

To resize an object, use its resize handles. They look like small square boxes, usually green or blue, and appear when you select an object in the Select mode Select.gif (118 bytes).

To resize an object saving its proportions, drag any of its four corner handles.

PropResize.gif (3099 bytes)

To change the width or height only, drag the corresponding side handle.

UnpropResize.gif (2714 bytes)

Note: If you hold down the Shift key as you drag a handle, the resize action is reversed - a side handle resizes the object proportionally, and a corner handle unproportionally.

You can resize objects in either way in the following tool modes: Select [image] , Rectangle [image], Ellipse [image] .
In the Rotate mode [image], you can only resize objects unproportionally.

If the Snapping SnapTool.gif (201 bytes) is on, the handle you drag will jump automatically into the nearest snap location (usually a grid node).

You can also use the keyboard to resize objects: click on the needed resize handle to select it (the selected handle turns magenta), and then use the Arrow keys to move it by pixels, or Shift + Arrow keys to move it by steps.

As you resize an object, the Status Bar registers how the width and height change. (To show the Status bar, check Status Bar in the View menu).

If you need to resize several objects to the same proportion, you can use either of the two ways:

a) Select these objects and group them (menu Figure / Group), resize the group by moving its resize handles, and then ungroup it back (menu Figure / Ungroup) to get separate objects.

b) You can select the relevant resize handles on the objects (hold down Shift when clicking), and then resize all the objects together by moving their selected resize handles all together - using the mouse or the keyboard.

Note 1. You can lock an object against resizing by using the Protection dialog (Format / Protection).
In this dialog, you can check the options for protection:
Width (to prevent width from altering),
Height (to prevent height from altering) and
Aspect Ratio (preserves the proportions, and allows to resize only proportionally).
Locked handles will appear as gray padlocks, indicating that they can't be worked with.

Note 2. Unproportional resizing may also change one segment type into another. For instance, you can change a SectorTo segment into ArcTo by altering its width or height.

Note 3. It is possible to hide resize handles so that they won't appear on the object. To do this, uncheck Show Figure Handles in the Behaviour Dialog (select Behaviour from the Format menu to bring up the dialog).

How Objects Behave within a Group

You can set how an object should behave within a group when the group is resized.
The Behaviour Dialog (Format / Behaviour) lets you to choose among the following 3 options:
- Scale With Group - always change the size of the object as the group's size changes.
- Reposition Only - move the object without changing its size.
- Use Group's Settings - behave according to the settings of the group to which the object belongs. This option is set by default.

Using the Make Same Tools for Equal Sizing

Sometimes you may need to make one or more objects equal in size with another object that serves as a model.
You can use the Make Same tools to equalize the dimensions automatically:
Make Same Tools

Make Same Width - to resize the selected objects to the width of the primary object,
Make Same Height - to resize the selected objects to the height of the primary object,
Make Same Size - to equalize both width and height of the selected objects.

The Make Same commands are also available from the Figure / Make Same menu. From the list which opens, you can choose the Width, Height or Size option to unify the dimensions of the selected objects according to those of the primary one.

First select the model object, so that it displays green handles (primary selection).
Then hold down Shift and select the objects which you want to fit in size to the model.
Use the Make Same tools to equalize their width, height or both.

Here you can see how the Make Same Width tool works:

Note: The width and height of objects are taken as the width and height of their alignment boxes (the object's alignment box is displayed by a green or blue dashed line when you select the object).

Fit To Text

Sometimes you may need to make an object the same size as the text it holds.
The Fit To Text tool FitToTextTool.gif (158 bytes) shrinks or enlarges the selected object so it matches the size of its text box.

FitToText.gif (10870 bytes)

Note: The Fit To Text command is also available from the the Figure / Make Same menu.

Rotating

You can rotate an object easily by dragging its rotation handles. These are round handles (usually green or blue) in the corners of the object's alignment box.

To switch to the Rotation mode, you can use the Rotate tool RotateTool.gif (146 bytes) or check Rotate in the Tools menu.
When you select an object in the Rotation mode, it shows the rotation handles, and you can drag them to rotate the object.

When you drag a rotation handle, the object turns around its rotation centre. By dragging the handle farther out from the object, you decrease the increment of rotation from 30 degree to 0.1 degree, and so increase the accuracy. The angle of rotation (in degrees) is displayed in the Status bar.

RotateCenter.gif (697 bytes)

The rotation centre is also a handle, it looks like a plus sign in a green circle. You can reposition it by dragging it with the mouse in whatever direction.

If several objects are selected, you may rotate each of them separately, by dragging a rotation handle of an object.
If you start dragging with Ctrl (in Windows) or Cmd (in Mac OS) held down, all the selected objects will rotate simultaneously around their common rotation centre.

RotateCtrl.gif (2726 bytes)

Note: You can switch between the Select and Rotate tool modes by clicking on the alignment box of the object.

You can also use the keyboard to rotate the selected object(s):

Ctrl + Left Arrow | Cmd + Left Arrow | counterclockwise by 1 degree
Ctrl + Right Arrow | Cmd + Right Arrow | clockwise by 1 degree
Ctrl + Shift + LeftArrow | Cmd + Shift + Left Arrow | counterclockwise by 0.1 degree
Ctrl + Shift + RightArrow | Cmd + Shift + Right Arrow | clockwise by 0.1 degree

To rotate the selected objects by 90-degree increments, you can
a) use the Rotate Left [image] or Rotate Right [image] tools;
b) apply the Rotate Left (90) and Rotate Right (90) commands from the Figure menu (or the same options for Figure in the context menu);
c) use the keyboard:

Ctrl + L | Cmd + L | Rotate left (90)
Ctrl + R | Cmd + R | Rotate right (90)

Note: You can protect an object from rotating and its rotation centre from repositioning. To do this, call the Protection Dialog (Format / Protection) and check Rotate. Then the object will display gray padlocks in place of rotation handles and the rotation centre, indicating that you can't perform the action.

See also:
Reshaping Figures

See related topics:

Selecting Objects
Basic Operations
Moving, Arranging and Flipping Objects
Formatting Object Properties


Reshaping Objects

Reshaping Figures

For objects of different types, you can use several types of handles to reshape them.
To change the form of a figure made up of segments, you use its vertices and adjustment handles.
To manipulate 1-D objects, you can use their endpoints.
Smart Connectors and some library objects have control handles which can be used to adjust their position and form.

Using Vertices and Adjustment Handles
Manipulating 1D Objects
Using Control Handles

To manipulate the segments and reshape the figure, you can use the vertices and adjustment handles.

Using Vertices and Adjustment Handles

To change the form of a figure, use its vertices and adjustment handles.
You can select these handles and reposition them thus changing the arrangement and form of the segments constituting the figure.

To select a handle, click on it with the mouse. You can select more than one handle: hold down the Shift key as you click. The selected handles appear in magenta.

You can reposition the selected handles by dragging them with the mouse (when the mouse cursor turns into DragCursor.gif (64 bytes) over them) or by using Shift + Arrow keys.

DragHandles.gif (1109 bytes)

A vertex is a small diamond-shaped handle which appears in the point where two segments meet.
To see the vertices of an object, select it with any of the segment tools: Line LineTool.gif (150 bytes), Sector SectorTool.gif (150 bytes), Arc ArcTool.gif (150 bytes) or Spline SplineTool.gif (150 bytes) (you can also use the Tools / Draw menu to activate the needed tool).
By dragging a vertex, you change the form of the object (the form and arrangement of its segments).

Geom2.gif (2264 bytes) AdjustHandles.gif (1538 bytes)

Note: By deleting a vertex, you delete the segments to which it belongs. The vertices next to the deleted one will be connected with a segment of the same type as the deleted ones (the priority is as follows: spline, arc, sector, line).

The Adjustment Handles are small round handles which appear on the segments between the vertices.
To make these handles visible and manipulate them, you can apply the Sector tool [image] or the Arc tool [image] .

The adjustment handles are used to change the curvature of the segment:

1) A line segment can be transformed in a sector of a circle by dragging its adjustment handles with the Sector tool or the Arc tool.
2) For a segment of a circle, the adjustment handles change its curvature.
3) For an elliptic arc segment, they adjust the angle and the value of the arc eccentricity.
4) For a spline segment, adjustment handles come associated with vertices. By dragging these handles, you alter the curvature of the spline sections near the corresponding vertices.

Note: For the first three segments, you can transform one into another by manipulating the handles. For instance, by dragging the adjustment handle of a line with the Sector or Arc tool, you can change it into a circular sector and then resize it into an elliptical arc segment, and vice versa.

For more information on elementary segments, refer to the "Drawing Figures" section.

Operations on Vertices and Adjustment Handles

Besides moving the vertices and adjustment handles, you can perform some additional operations on them. Both vertices and adjustment handles can be selected and deleted.

To select / unselect a vertex or an adjustment handle, just click on it. To select more than one handle, hold the Shift key down as you point and click on each additional handle. The selected handles turn magenta. Now any operation on handles will affect all the selected handles simultaneously.

MultiDot.gif (1881 bytes)

If you select a vertex and reposition it with the Shift key held down, its movement will be constrained. The vertex will move strictly along the line coming out of the preceding vertex at any 45 degree angle.
If the Right Shift key is pressed, the movement will be constrained with respect to the following vertex.

To delete the selected handles, use the Del key. Deleting a handle deletes the segment with which the handle is associated.

Note: You can select and move several handles of different types at the same time. However, this works differently with the mouse and the keyboard. With the mouse, dragging affects only handles of the same type as the one you carry. That is, if you drag a rotation handle, all the selected rotation handles will move along, but the selected resize handles will stay in place. With the Arrow keys, you move all the selected handles simultaneously (the response of each hanlde will depend on its type).

Adding Vertices

You can use the Insert Vertex tool [image] to insert an additional vertex to a segment. Adding a vertex may be considered as dividing an existing segment into two parts.
To add a vertex to a segment, activate the Insert Vertex tool [image] on the toolbar or check Insert Vertex in the Tools menu.
Select the figure, and between two existing vertices on the figure's contour, click on the place where you want to add a new vertex. The new vertex appears and divides the segment into two new ones.

By inserting vertices, you can also cut the lines and divide a geometry into several ones:
hold down the Cmd (in Mac OS) or Ctrl (in Windows) key when inserting a vertex. In this way you cut the line in the place you insert the vertex.
For a closed figure, this operation will open it.

For an open figure, this operation will divide the geometry to which the vertex was added.

Note: To separate the geometries from each other without reshaping them, select the figure and use the Format / Operations / Scattering menu. Each geometry will become a separate object.
And vice versa, if you need to merge several geometries into one, superpose their endpoints so that they form a solid path, select them all and use the Format / Operations / Join command. See "Additional Operations on Figures" for more detail.

Manipulting 1D Objects

Connectors and all other 1D objects have the begin point and the end point, called endpoints.

DirectConnect.gif (1137 bytes)

By dragging an endpoint, you resize and rotate the object at the same time.
And besides, the endpoints are capable of gluing to the connection points of other objects, so all 1D objects can be regarded as connectors as well.

You can make any object behave as a 1D object (turn it into a connector). Select the object and call the Behavior dialog (Format / Behavior). In the Interaction style section, select Line (1-Dimensional), and the object will display the endpoints. You can use such an object as a connector.

To learn more about connectors, see the "Connectors" section.

Smart Connectors and some library objects have control handles which can be used to adjust their position and form.

Using Control Handles

The Control Handles let you adjust the form of Smart Connectors and some library objects.
By dragging a control handle, you can change a certain characteristic of the object on which it appears (e.g. the shape of a smart connector, the size of a circular sector etc.).

SmartConnector.gif (439 bytes)

Control handles at the ending points are capable of gluing to the connection points of other objects, the way the endpoints of connectors are:

Control handles are property of library objects. You cannot create or delete them other than from the Object Parameter Table (see the section for "Using the Object Parameter Table").
You can also use the Object Parameter Table to add control handles to any object you create in ConceptDraw.

See related topics:

Selecting Objects
Basic Operations on Objects
Moving, Arranging and Flipping Objects
Connecting Objects


Working with Text

Most of objects in ConceptDraw (except guide lines, pictures and OLE objects) may contain text.
ConceptDraw offers you extensive formatting possibilities, and various implements for working with text.

Adding Text to a Document
Editing Text
Formatting Text

Adding Text to a Document

In ConceptDraw, you can assign text to objects, and also create special Text objects which contain text only.
ConceptDraw lets you manipulate the text box to reposition the text with respect to object.

Adding Text to an Object
Text AutoExpand Mode
Creating a "Text" Object
Manipulating the Text Box

Adding Text to an Object

To add text to an object, just this object and start typing text in it. The text editing mode turns on immediately to let you enter and edit the text. (You can also use the F2 key to activate the text editing mode.)

If the text appears too small, the editing mode will zoom in automatically for better visibility.
Such behaviour is set by default. You can customize it in the Preferences dialog (Edit / Preferences), on the Miscellaneous tab. Here you can set the minimal font size in points for the visible text. For smaller values, autozooming will be activated when you edit text. This tab also lets you disable autozooming if necessary.

When you finish editing, press Esc or F2, or just click outside the text box to quit the text editing mode.

Note: If a hyperlink (an Internet or e-mail address) is found in the text, it will be automatically assigned to the object when you finish editing. To learn more about this feature (URL autoparsing) and about hyperlinks of different types, see the section for "Using Hyperlinks".

Text AutoExpand Mode

You can use the Text Auto Expand mode TextAutoExpand.gif (158 bytes) if you want the object to be resized automatically when you add text to it.
When this mode is on, the object's width is extended to embrace the longest line of the text, and the height will rise according to the number of lines in the text. Resizing only takes place when you edit the text.

Once activated, this mode works for all the open documents during the entire work session. It is reset when you quit ConceptDraw.

Note: If the Text Box does not coincide with the object's alignment box, only the text box is resized. For 1D objects, it is only the text box that is resized. The actual object won't change its size.

Creating a "Text" Object

A Text object is an object which contains text only.
To create a Text object:

  1. Switch to the Edit Text [image] or Text Box tool TextBoxTool.gif (155 bytes) on the toolbar,
    or select Text in the Tools / Draw menu.
  2. When the pointer turns into TextBoxPointer.gif (84 bytes), drag the mouse to draw a text box on the page. On releasing the mouse button, the text editing mode turns on.
  3. Enter the text in the box, and edit it if necessary.
  4. When you finish working with the text, quit the editing mode: press Esc or click outside the text box.

The Text object can be considered as a transparent rectangle with invisible sides. It behaves like any other object - you can select, resize and move it, assign fill and shadow, add line contour, glue connectors to it, etc.

To select a Text object, just click on the text.

You can also use the Text object to add text to the objects which normally do not have text editing mode: pictures and (in Windows) OLE objects. You just put the text in a separate Text object, and then group it with the picture (select both objects and apply the Figure / Group command).

Manipulating the Text Box

You can reposition the text with respect to the object by manipulating its Text Box.

When a new object is created, the dimensions of its Text Box initially coincide with those of the Alignment Box. When you move or resize the object itself, you move and resize its text box as well.

The Text Box tool [image] lets you select, resize, rotate and move the Text Box, changing its appearance and position independently of the object to which the text belongs.

Note: To activate the Text Box mode, you can also use the Tools / Draw / Text Box menu.

To select the object's text box, switch to the Text Box tool and click on the text or on the object itself.

Moving a Text Box

To reposition the selected Text Box, grab it by its side or center (or by the text itself), so that the pointer turns into a double box DragTextBox.gif (76 bytes), and drag it to the needed location.

You can also use the Arrow keys to move the selected Text Box by one pixel at each keystroke for precise positioning. If more precision needed, increase the magnification (see "Zooming a Page").

Rotating a Text Box

To rotate the selected Text Box, drag any of its rotation handles: these are small round handles in the corners.
The Text Box rotates around its rotation centre (a gray circle in the center of the box).

For more information, please see the section for "Using Handles to Change the Appearance of Objects".

Resizing a Text Box

You can resize the selected Text Box by repositioning its resize handles: these are small square handles in the middle of each side. The mouse pointer will change into a double-headed arrow over a resize handle.

Note: The Text Box is part of the object, and though you can move it independently, it still cannot be separated from the object. If you select and delete the text box, the whole object is deleted.
If you just need to empty the Text Box (delete the text contained in it), press F2 first (the text appears selected), and then delete the text.

See related topics:

Editing Text
Formatting Text


Editing Text

ConceptDraw lets you edit text assigned to any object - both with the text editing tools and by using the keyboard.

Text Editing Mode
Cutting, Copying and Pasting Text
Editing and Formatting Text in Groups

Text Editing Mode

In ConceptDraw, you can activate the text editing mode each time you need to edit an object's text, and then return to the mode you worked in.
If you need to work in this mode permanently, you can switch to the Edit Text tool.

Editing the Text of an Object

If you need to modify the text assigned to an object, you can activate the text editing mode in one of the following ways:

a) select the object and press F2,
b) select the object and use the Format / Edit Text command,
c) double-click on the object (if it has no hyperlink).

Then you can edit, assign or replace the text in the object.

When the whole text block is shown selected, you can replace the text completely: just start typing the new text.
If you need to edit only part of the text, press an Arrow key or click anywhere on the text to show the insertion point.

Once the editing completed, press Esc or F2 to quit the text editing mode, or just click outside the edit box.

Edit Text Tool

To work permanently in the text editing mode, click on the Edit Text button [image] on the toolbar,
or activate this tool in the Tools / Draw / Text menu.

This tool lets you work in the editing mode as long as you need, and is particularly useful when you need to edit the text in several objects, selecting them one after another.

Switch to this tool and simply click on the object to start editing its text.
If you click on the text itself, the insertion point will be placed in the position where you clicked.
If you click elsewhere on the object, the whole text gets selected, and you can replace it completely by typing the new text.

To quit the Edit Text tool mode, switch to another mode on the toolbar - for instance, to the Select mode Select.gif (118 bytes).

Note: For objects bearing a hyperlink of any kind (the mouse pointer turns into PressFinger.gif (97 bytes)), double-click opens that hyperlink. If you need to edit text of such an object, select it and press F2, or use the Edit Text tool [image].

Cutting, Copying and Pasting Text

When working with text, you may cut, copy and paste portions of text as you do in many other applications.

These text editing operations are applied to the selected portion of text. In the text editing mode, you can select a stretch of text either with the mouse, or by using the Shift + Arrow keys.

The Copy CopyTool.gif (175 bytes) command copies the selected text onto the clipboard.

The Paste [image] command inserts text from the clipboard in the pointer position, when the text editing mode is active. In any other mode, the program creates a new Text object and pastes the text into it.

The Cut command [image] removes the selected text from its place and puts it on the clipboard.

These commands are also available in the Edit menu, or from the keyboard:

Ctrl + C Ctrl + Ins | Cmd + C | Copy
Ctrl + V Shift + Ins | Cmd + V | Paste
Ctrl + X Shift + Del | Cmd + X | Cut

Editing and Formatting Text in Groups

Unlike other objects, a group doesn't have text associated with it. If you select the group and start adding text to it, the text appears on the frontmost object in the group.

If you need to modify text in any object within a group, select the needed object and or press F2
(or switch to the Edit Text EditText.gif (120 bytes) tool).

In the editing mode, you can also select and format the text assigned to this object, using the formatting tools or the Text Properties dialog (Format / Text). Please see "Formatting Text" for more information.

Note that it is possible to change the display order of objects using the Send To... operations.

See related topics:

Adding Text to a Document
Formatting Text


Formatting Text

Tools and Ways for Formatting Text
Changing the Font and Text Style
Setting the Background Color
Text Alignment
Indents and Margins
Using the Text Properties Dialog for Formatting Text

Tools and Ways for Formatting Text

In ConceptDraw, you can modify the text properties by using the text formatting tools

and the Text Properties dialog (from the Format / Text menu).

Ctrl + Shift + T Cmd + Shift + T

The changes are applied:
1) to the selected stretch of text only, if there is one;
2) to the whole text block(s) in the currently selected object(s) - this lets you set the text formatting for several objects simultaneously.

If you need to set the formatting for a certain stretch of text only, you need to select this portion of text.
Activate the text editing mode (select the object and press F2, or switch to the Edit Text mode),
and select the needed stretch of text either with the mouse, or by using the Shift + Arrow keys.

You can format the font type and size, text color and background color, text style and alignment by using either the formatting tools or the Text Properties dialog. The additional settings, such as the indents and margins, are available from the Text Properties dialog only.

Note: The text formatting for the new objects will be taken from the last settings you made. This lets you preserve a unified text formatting throughout the document. (You can modify these settings again any time as necessary).
Only the action of the Increase Font Size IncreaseFontSizeTool.gif (154 bytes) and Decrease Font Size DecreaseFontSizeTool.gif (142 bytes) tools is applied to the selected objects or stretch of text only, without changing the global font setting.

Changing the Font and Text Style

To change the font type and size, text color and styles for the selected objects or the selected stretch of text,
you can use the Font tab of the Text Properties dialog (Format / Text),
or perform the following operations:

- Changing the font

To change the font, click to open the Font Name box and then select the needed font in the list.

Ctrl + F

- Changing the font size

To change the font size, click the down arrow by the Font Size box and select the needed font size in the list. Another way is just to type a custom size in the Font Size field.

Ctrl + S

You can also use the Increase Font Size IncreaseFontSizeTool.gif (154 bytes) and Decrease Font Size DecreaseFontSizeTool.gif (142 bytes) tools to increase/decrease the font size gradually.

Ctrl + ">" | Cmd + ">"
Ctrl + "<" | Cmd + "<"

- Changing text color

Click the Text Color [image] button on the toolbar. The menu opens to let you select one of the given 16 colors, or click More Colors for extra colors. This will bring up the Choose Color dialog with a color palette where you can choose among its 256 colors.

- Changing font attributes

Such font attributes as Bold, Italic or Underlined can be set by clicking the corresponding buttons on formatting toolbar, or by using the keyboard:

Ctrl + B | Cmd(Ctrl) + B | Bold
Ctrl + I | Cmd(Ctrl) + I | Italic
Ctrl + U | Cmd(Ctrl) + U | Underline

The Macintosh version of the software also offers additional text styles:
Outline (Ctrl + O), Shadow (Ctrl + S) and Condense (Ctrl + C).

Setting the Background Color

By default, text has no background and text boxes are transparent (except for the text boxes of connectors).
You can assign the background color for the text in the selected object(s) in two ways:
a) Use the Text Background TextBackground.gif (204 bytes) tool and select one of the given 16 colors (or Transparent), or click More Colors for extra colors. This will bring up the Choose Color dialog with a color palette where you can choose among its 256 colors.

b) Call the Text Properties dialog (Format / Text).
On the Text Block tab, you can click on the Text Background box to select a color from the palette.
To make the text block transparent, check the Transparent option.
Click OK to apply the new settings.

Text Alignment

Each text consists of one or more paragraphs. Each paragraph begins from a new line. To start a new paragraph, press the Enter key. For each paragraph, you may set alignment and indentation.

- Horizontal alignment

You can align the selected paragraph(s) on the left side of the Text Box, on its right side, or on its centre.
To align a paragraph, click somewhere within its bounds and click on one of the alignment tools on the toolbar:
Left Align Text, Centre Align Text, or Right Align Text or use the keyboard:

Ctrl + L | Cmd(Ctrl) + L | Left
Ctrl + E | Cmd(Ctrl) + E | Center
Ctrl + R | Cmd(Ctrl) + R | Right

Several selected paragraphs can be aligned likewise (select them with the mouse or use Shift + Arrows).

In the Mac OS version of the program, the results of paragraph alignment appear only when you quit the text editing mode.

If no paragraph is active, the alignment will be applied to the whole text of the selected object(s).

- Vertical alignment VertText.gif (247 bytes)

Vertical alignment determines the position of the whole text with respect to its Text Box. You can align the text at the top, middle or bottom of the Text Box.
Select the object(s) and use the following toolbar buttons: Top Align Text, Middle Align Text or Bottom Align Text.

Note: The text alignment can also be set in the Text Properties dialog (Format / Text):
you can specify the horizontal alignment on the Paragraph tab, and the vertical alignment on the Text Block tab.

Indents and Margins

Margins

You can set the margins for the whole text with respect to the Text Box borders.
Open the Text Properties dialog (Format / Text). On the Text Block tab, modify the values in the Margins fields.
Here you can specify the values for the left, right, top and bottom margins.
The values you input are taken to be in the current measurement system be default. If you need to use another unit of measure, specify proper abbreviation after the number (e.g. 2.4 pt, 3.3 in, etc.).

Indents

The indents belong to the paragraph properties. For each paragraph, you can set the right, left and first line indents.
To modify the indents for the current paragraph(s), call the Text Properties dialog (Format / Text). On the Paragraph tab, enter your settings in the Indents section.

The values you input are taken to be in the current measurement system be default. If you need to use another unit of measure, specify proper abbreviation after the number (e.g. 2.4 pt, 3.3 in, etc.).

The changes will affect the paragraph with the insertion point or the selected paragraphs in text.

In the Mac OS version of the program, the results of paragraph alignment appear only when you quit the text editing mode.

Note: The resulting indent value includes the margin value as well.

See also:
Using the Text Properties Dialog for Formatting Text

See related topics:

Adding Text to a Document
Editing Text


Document

ConceptDraw offers you a number of handy tools and facilities for working with documents - viewing and zooming tools, scaling and measurement options, Internet integration and linking to other files. You can also modify the main settings for a particular document and save them with this document, using the Document Properties dialog.
You can also create multi-paged documents, putting several related drawings one document, and use hyperlinks to navigate between them - even in HTML.

Working with the Document
 Document Properties
Manipulating Document Pages
Working with Layers
Printing a Document

Working with the Document

Page Scrolling Tools
Zooming a Page
Customizing the View
Rulers and Grid
Scaling in Documents
Measurements
Color Palette

Page Scrolling Tools

To scroll the document, you can use the vertical and the horizontal scroll lines
and the Scroll Hand tool ScrollHandTool.gif (925 bytes) is often useful.

If a page is large and only a part of it is displayed, the Scroll Hand Tool lets you view it in a handy and quick way. You can see all the objects in close-up.
This tool can also be used to position the document page in the window in a suitable way.

The Scroll Hand Tool is easy to use: just switch to it, grab the page with the mouse and move it in the direction you need.
To quit Scroll Hand Tool, you can switch to another mode (e.g. to the select mode Select.gif (118 bytes) on the toolbar).

Note: Working in whatever mode, you can activate the Scroll Hand tool for a while by holding down the Space key while dragging a page with the mouse.

You can also use the keyboard to scroll the document pages:

Win.gif (172 bytes) | Mac.gif (169 bytes) |
PgUp | PgUp | Scroll one window space up
PgDn | PgDn | Scroll one window space down
Ctrl + Home | Cmd + Home | Go to the top-left corner of the page
Ctrl + End | Cmd + End | Go to the bottom-left corner of the page

Zooming a Page

Zooming is handy for adjusting the suitable view of the document. It can help you view the whole page, or see some objects of the map in close-up. ConceptDraw offers you several handy zooming tools.

Zoom In ZoomInTool.gif (151 bytes) and Zoom Out ZoomOut.gif (157 bytes)

The standard zoom levels are as follows
(per cent of the actual page size):

1,2,3,6,13,25,50,75,100,125,150,200,400,800,1600,2500.

The Zoom In and Zoom Out operations set a higher or lower zoom level from this scale.

To enlarge the view, click Zoom In ZoomInTool.gif (151 bytes) on the toolbar or select Zoom In from the View menu.
This operation helps you see the desired part of the document in detail.

Win.gif (172 bytes) | Mac.gif (169 bytes)
Ctrl + "+" | Cmd + "+"
 | Cmd + "["

To diminish the page view, click the Zoom Out ZoomOut.gif (157 bytes) on the toolbar, or select Zoom Out from the View menu.
This operation helps you see the bigger part of the page.

Win.gif (172 bytes) | Mac.gif (169 bytes)
Ctrl + "-" | Cmd + "-"
 | Cmd + "]"

Zoom Tool

You can select the desired zoom level or enter a custom value using the Zoom tool on the toolbar
(also available from the View / Zoom menu).
ZoomField.gif (1034 bytes)

The Zoom field shows the current zoom level; you can enter a custom value there.
The drop-down box offers you a list of standard zoom levels and useful commands for zooming the page automatically:
Last - to return to the previous zoom level,
Page - to view the whole page,
Width - to view the entire page width,
All Objects - to adjust the zoom level to view all the objects on the page
(this option is set by default for each document you open).

Note: These operations are also available from the View menu. The corresponding commands are Last Zoom, Whole Page, Page Width and Objects.

To return to the actual size of the document, just set 100% in the zoom field, or select Actual Size from the View menu.

Zoom Box ZoomBox.gif (869 bytes)

The Zoom Box is handy for quickly enlarging or diminishing the selected part of the page.

To enlarge the view, switch to the Zoom Box and use the mouse to select the desired rectangular area on the page. On releasing the mouse the enclosed part will be enlarged to the entire size of the window.
To quickly reduce the page zoom, hold down the Alt key (for Windows) or the Option key (for Mac OS) while selecting the area. On releasing the mouse page view will be diminished. The larger area you enclose, the smaller zoom will be set.

In the Zoom Box mode, single clicking on the page works the same way as the Zoom In command. If you hold down the Alt key (for Windows) or the Option key (for Mac OS) when clicking, it will work the same way as the Zoom Out.

To quit Zoom Box, you can switch to another mode (e.g. to the select mode Select.gif (118 bytes) on the toolbar).

Customizing the View

While working with a document in ConceptDraw, you can use the View menu to show / hide certain elements of the view: Rulers, Grid, Guides, Connection Points, Connection Points in Groups, Page Breaks.
You can also choose to show / hide the open Libraries (also using the F4 key) and the Status bar.

Rulers and Grid

ConceptDraw lets you use Rulers and Grid when working with documents. They help you position the objects precisely in your documents, and measure the dimensions of the objects which are on page. The Rulers and Grid use the current measurement unit set in the document.

The Rulers show the horizontal and vertical measurements for the document.

Ruler.gif (743 bytes)

In the top left-hand corner of the window (where the horizontal and the vertical rulers meet), the document's unit of measurement is displayed (e.g. cm stands for centimeters, in for inches, etc.) - see "Measurements" for more detail.
You can change the unit of measure for the current document: use the Document Properties dialog (the Settings tab).

You can show/hide the rulers when working with the document: use the Ruler option in the View menu.

Another function of the rulers is that you can drag vertical and horizontal Guide Lines out of them. You can glue objects to a guide line, and they will be moved together with the line, retaining their arrangement.
To insert a guide line, click on the ruler, drag the guide out of it, and place it where you want it to appear. When you release the mouse button, the guide will appear. See details in the "Guide Lines" section.

The Grid is made up by thin lines crossing the document at equal intervals.

Grid.gif (404 bytes)

You can show/hide the Grid when working with the document: use the Grid option in the View menu.

The grid lines are helpful for precise drawing and positioning objects in the document - see " Facilities for Precision in Drawing ".

When you print a document, the default Grid is not printed.
If you want the grid to be printed, set the Fixed Grid mode in the Grid Properties dialog (Tools / Grid).
The Non-Fixed grid is not printed.
The Grid Properties dialog (Tools / Grid) also lets you customize the grid for a particular document.
See the "Grid" section for more information.

Scaling in Documents

When you are drawing a layout that represents a large real-world object, you may have to use scale (e.g. 1 cm = 1 m). The Scale of the document can be specified in the Document Properties dialog (File/Document Properties), on the Settings tab.

In the Scale section on the Settings tab, you can choose one of the standard ISO scales preset:
1:1000, 1:500, 1:200, 1:100, 1:50, 1:25, 1:20, 1:10, 1:5, 1:2.5, 1:2, 2:1, 5:1, 10:1, 20:1, 50:1.
When the Metric (ISO) option is active, you can choose one of these standard values from the drop-down box.

If you need a custom scale, choose the Custom option and specify the desired proportion in the corresponding fields: e.g. 1 = 3, 1 in = 1 ft, 1 cm = 1 km, etc. For the list of the units of measure supported, please refer to the "Measurements" section.

The default scale is 1:1. If you need to use another scale for many or all future documents, save that scale configuration in a template file, and create all new documents from this template.

Measurements

The application uses certain units of measure for all numeric values which are entered and displayed.
The following units of measure are supported:

- For dimensions and distances:

inches, decimal | in
inches, fractional | in
feet, decimal | ft
feet, decimal inches | ft, in
feet, fractional inches | ft, in
yards | yd
miles | mi
millimeters | mm
centimeters | cm
meters | m
kilometers | km

- For angles:

degrees | deg
radians | rad

- For font size:

points pt

The current measuring system is used in the numeric values on the rulers, and displayed in the top left-hand corner of the window, where the horizontal and the vertical rulers meet.

You can specify the units of measurement for the active document.
Call the Document Properties dialog (File / Document Properties) and use the Settings tab.

If you are constantly working with the units of measure other than the default one, you can change the defaults and set this unit to be used for all new documents.
Call the Preferences dialog (Edit / Preferences) and open the Default tab.
Select Start using the default settings, and specify the new setting in the Units Of Measure field.
Then each new document will use this unit of measure.

Note: In any input field of ConceptDraw dialogs, you can specify values in the measurement systems other than default. Just put the appropriate abbreviation after the number, e.g. 13 in, 2 mm, 6.5 ft.

Color Palette

When you choose a line or fill color from the button menus on the Line and Fill toolbar, you may need other colors than those 16 offered in the menus. When you click on "More Colors", the Choose Color dialog appears lets you pick any of the 256 colors of the color palette of the document.

Each document may have its own color palette. For instance, it is possible to create a palette of 256 gradations of gray. However, you won't be able to use any colors other than those contained in the palette.

To modify the color palette of the document, open the Color Palette dialog from the Tools menu (Tools / Color Palette).

To replace a color in the palette, click on the box with the color you want to change, and choose a new color from the standard dialog that will come up. When all the changes completed, you can save the resulting palette in a .pal file. To do this, click the Save Palette button. In the Save As dialog which appears, specify the filename and location for your new palette. Then click OK.

You can use the saved palette in whatever document. Just call the Color Palette dialog (Tools / Color Palette), click Load Palette and open the needed palette file.

Note: Changing a color in the palette affects all objects in the document using this color. The former color will be replaced with the new one everywhere throughout the document. This applies to fills, line colors, background colors, text etc. Please be attentive when modifying the color palette.

See related sections:

Document Properties
Manipulating Document Pages
Working with Layers
Printing a Document


Document Properties

The Document Properties dialog displays and lets you modify the properties of any document opened in ConceptDraw.
To call this dialog, select Document Properties from the File menu.

The Document Properties dialog holds the information on the document and the main settings saved with the document: document page parameters, units of measure, print settings etc.
This dialog lets you modify the settings for a particular document, without changing the global settings applied to all new documents (see "Application Settings").

The properties of the document are grouped on the four tabs: General, Page, Settings and Printing.

The General tab holds the description of the document.

It lets you specify information describing the document: the author and the company, the subject of the document, and a brief comment.

Note: If you need to use the same general data (author, company, etc.) for multiple documents, you can specify this information in Document Properties once, and save this document as a template for future use (apply the File / Save As Template command). Then you can create your new documents from this template by opening the template file (you can use the File / New / Browse Templates menu command). See the "Templates" section for more information.

The Page tab contains the characteristics of the entire page of the document.

PrPage.gif (6553 bytes)

- Orientation: lets you specify the document page orientation:
Portrait stands for vertical orientation, and Landscape for the horizontal.

- Size: this section sets the document page dimensions.
For Standard and Metric(ISO) options, you choose one of the preset sizes from the corresponding list (use the drop-down box):

For Standard:

Letter(8.5in*11in);
Folio(8.5in*13in);
Legal(8.5in*14in);
Tabloid(11in*17in).

For Metric (ISO):

A5(148mm*210mm);
A4(210mm*297mm);
A3(297mm*420mm);
A2(420mm*594mm);
A1(594mm*841mm);
A0(841mm*1189mm).

The Custom option lets you enter custom values for the width and height of the page. By default, all the dimensions are displayed in the current measurement system. However, you can enter values in any measurement system supported (see the "Measurements" section).

Note: If you need to use the same page settings (size, orientation) for multiple documents, you can specify them in Document Properties once, and save this document as a template for future use (apply the File / Save As Template command). Then you can create your new documents from this template by opening the template file (you can use the File / New / Browse Templates menu command). See the "Templates" section for more information.

The Settings tab displays various document settings which you can modify.

PrSettings.gif (6218 bytes)

- Units of measure: shows what measuring unit used in the document. It is applied to all numeric values on the rulers, on the status bar, in the input fields of dialogs. For specifics, refer to the "Measurements" section.

- Scale: lets you choose a standard scale or specify a custom scale for the document.
When the Metric (ISO) option is active, you can choose one of the standard scales from the drop-down box.

If you need a custom scale, choose the Custom option.
The two fields will appear for you to specify the ratio of the visual dimensions on the page to the real dimensions of the objects: e.g. For example, 1 in = 1 ft, 1 cm = 1 km, etc. It is recommended that the units of measure in the first field correspond to the current units of measure of the document.
For more specific information, refer to the "Scaling in Documents" section.

- Undo Depth: specifies the number of consecutive actions you can undo. The default value is 30.

- Snap Sensitivity: sets the distance from which snapping and gluing are activated. This distance is set in pixels and does not depend on the scale or magnification. The default value is 15 pixels.

- Figure Shadow Offset: indicates the values for the horizontal and vertical shadow offset for all shadowed objects in the document.

Note: If you need to create multiple documents with the same specific settings (scale, units of measure, shadow offset), you can specify them in Document Properties once, and save this document as a template for future use (apply the File / Save As Template command). Then you can create your new documents from this template by opening the template file (you can use the File / New / Browse Templates menu command). See the "Templates" section for more information.

The Printing tab specifies the settings for printing the document.

PrPrinting.gif (6553 bytes)

- Paper Placement Method: specifies how the document is tiled across paper sheets (if its page is larger than one print page). It can be tiled either down and then over, or over and then down. If the document page is smaller than the print page, this parameter is ignored.

- Justification: controls the position of the document on the print page (if the document page is smaller than the print page). It can be placed in the top left corner, in the center, or in the bottom right corner. This setting is ignored if the document page is larger than the print page.

- Paper Orientation: this parameter specifies the print page orientation - Portrait stands for vertical orientation, and Landscape for the horizontal. This setting is saved together with the document, and if it does not coincide with the page orientation set for the printer, the software will use this setting rather than the printer's.

Note: Changing the paper orientation does not change the drawing page orientation and only affects the orientation of the paper you print on.

- Print Size: this section lets you specify at which size the document page will be printed.
The Actual Size is set by default.
The Zoom option lets you print the page according to the current zoom level (as you see it on the screen).
The Fit to Page option lets you fit the document page to the given number of the print pages (the zoom level will be adjusted automatically).

The tab also has the Page Setup button which calls a standard printer setting dialog. It displays the active printer and lets you set the print page size and orientation, paper source and other parameters available.

Note: If you need to use the same print settings for multiple documents (e.g. fit the document to the specific number of paper sheets in printing), you can specify the settings in Document Properties once, and save this document as a template for future use (apply the File / Save As Template command). Then you can create your new documents from this template by opening the template file (you can use the File / New / Browse Templates menu command). See the "Templates" section for more information.


Manipulating Document Pages

ConceptDraw lets you create documents consisting of several pages.
This is very useful when there are descriptions, drawings and other information of various kinds in one document. Then a document presents a sort of collection of pages. For example, you can combine several schemes related in a certain way (e.g. developing the main one), provide illustrations, diagrams and additional information, and establish relations between the pages by way of hyperlinks - and you will be able to use them even in HTML.

Global Properties of the Document Pages
Printing Pages
Adding a Page
Deleting a Page
Reordering Pages
Navigation by Pages
Naming a Page
Hyperlinks to Pages

A new document is created to have one page by default. However, you can create a template having several pages initially, and create new documents using this template.

A row of page tabs in the bottom left-hand part of the document window corresponds to the list of the document pages. The current page is selected. To scroll through the list, use the scroll buttons to the left of the tabs.

For operations on pages, you can use the Page menu or call the context menu over the page bar at the bottom of the document window. The second way is more convenient.

Global Properties of the Document Pages

Orientation and size are global page properties. In ConceptDraw, these properties are assigned to all pages of the document. You can modify them in the Document Properties dialog under the Page tab (File / Document Properties)

DocPropDialogPage.gif (7692 bytes)

Page Size:
There are 3 options for choosing page size: Standard, Metric and Custom. Each of them has a specific set of dimensions.

- Standard:
Letter - 8.5 in * 11 in;
Folio - 8.5 in * 13 in;
Legal - 8.5 in * 14 in;
Tabloid - 11 in * 17 in;

- Metric (ISO):
A5 - 148 mm * 210 mm;
A4 - 210 mm * 297 mm;
A3 - 297 mm * 420 mm;
A2 - 420 mm * 594 mm;
A1 - 594 mm * 841 mm;
A0 - 841 mm * 1189 mm;

- Custom:
Here you can set custom values for the width and height of the page. You may enter the values in whatever units of measure supported in ConceptDraw, e.g. 10 in, 2 ft, 30 cm, etc.

Orientation:
Determines the way the page is displayed:
Portrait - the height and the width correspond to the specified values;
Landscape - exchanges the values for the height and the width. For example, the dimensions of an A4 landscape page will be 297 mm * 210 mm (i.e. it will be wider than it's tall).

Printing Pages

A document page and a print page are not exactly the same things. So, if the document page is of A3 size, and the paper in your printer is of A4 size, each document page will be printed out on 2 paper sheets.
To see how the document pages will be arranged into print pages, check Page Breaks in the View menu. The bold grey lines correspond to the non-printable areas of the page, and the thin grey lines separate the print pages.

For example, if you need to create and print a document page of A4 size horizontally rather than in its normally vertical orientation, then you have to go through 3 steps:
1) In the Document Properties dialog (File/Document Properties), use the Page tab to specify A4 size and Landscape orientation. These parameters refer to the document pages only, and do not affect the print pages.
2) Use the Printing tab of the same dialog to specify Landscape paper orientation.
3) In the Print setup dialog (File/Print Setup), choose A4 size (and Landscape orientation) as well.
Check Page Breaks under the View menu to see whether your settings are correct.

Note: You can set to fit each page of the document to the given number of paper sheets in printing: use the File / Document Properties dialog, Printing tab. See the "Document Printing Parameters" section for more detail.

Adding a Page

To add a new page to the document, choose Add from the Page menu. The Page Properties dialog will come up.

PageProp.gif (3053 bytes)

For every new page, the application suggests a name like "Page - N", where N is the new page number. You can specify the name for the new page here (if necessary). Clicking OK adds the new page to the page list (see the bottom tabs), and you can edit it like all other pages.

Deleting a Page

To delete a page, choose Delete from the Page menu. The Delete Page dialog will come up.

DeletePageDialog.gif (5338 bytes)

In the list of pages, select the page to be removed. If the Update Page Names option is checked, the application will rearrange all pages with default names so that they have correct numbers. On clicking OK the page you selected will be deleted.

Reordering Pages

Besides adding or deleting pages, you may sometimes need to change the order in which the pages are placed. To do this, choose Reorder from the Page menu. The Reorder Page dialog will come up.

PageReorderDialog.gif (5876 bytes)

Select the needed page and use the Move Up and Move Down buttons to change its position in the list. If the Update Page Names option is checked, the software will rearrange all pages with default names so that they have correct numbers. Click OK to apply the changes.

Navigation by Pages

To jump to another page of the document, you can use the list of page tabs the bottom left-hand corner of the document window. Just click the respective page tab to activate the needed page. You can scroll the list using the scroll buttons.

To activate the previous or the next page of the document, you can also use the keyboard:

Ctrl + PgUp | Cmd + PgUp | Go to the previous page
Ctrl + PgDn | Cmd + PgDn | Go to the next page

Another option is to select the needed page in the Goto Page dialog (Page / Goto).

GotoPage.gif (5015 bytes)

Choose the needed page from the list and click OK.

Naming a Page

The name of the active page is displayed in the title bar of the active window. To change the page name, choose Properties from the Page menu.

PageProp.gif (3053 bytes)

In the dialog, type a new name and click OK.

Hyperlinks to Pages

You can establish relations between the pages by way of hyperlinks assigned to objects on the pages.
When you assign a hyperlink to some object, you can specify what page of the document should be opened.
To do this, select the object and call the Hyperlink dialog (Format / Hyperlink / Edit):

LinkPage.gif (5674 bytes)

To link the selected object to a page in the same document, just activate the Page box and choose the target page from the list. As a result, the page you specified will be opened by double-clicking this object.
So you can use such objects as a convenient way for linking pages within one document. In this way you establish relations between the charts, considerations and additional information in your document.


Working with Layers

You can use layers to organize related objects on one page in the document. For example, when you draw a house plan, you may put the electrical system to one layer, the water-supply system to another, etc.

ConceptDraw lets you use up to 9 layers. Only one layer can be active at a moment. To specify the active layer, choose it in the Layer box [image] on the toolbar.

Manipulating Layer Properties
Assigning Objects to a Layer

Manipulating Layer Properties

Each layer has a set of properties which can be changed in the Layer Properties dialog. To call this dialog, select Layer Properties from the View menu.

LayerDialog.gif (4032 bytes)

The dialog lets you modify the following properties of layers:

- Layer Name - here you can change the default "Layer N" name to a new one. Double-click the name in the list, type a new one and click OK.
- Active - only one layer at a time can be active. All the new objects drawn or dropped on the page are assigned to the active layer.
- Visible - check/uncheck this option to show/hide the objects of the layer.
- Lock - lets you lock all the objects of the layer from editing. You may find this helpful for creating borders, background drawings, etc.
- Color - displays all objects on the layer in one color. To assign the color, click on the Color box and specify the color in the menu which appears. All the objects of the layer will take the chosen color. To restore the original colors of the objects, just uncheck the option.

Note: To modify a setting for all the layers at once, you can click on the title bar of a section.

Click OK to close the dialog and apply the settings you specified. To quit the dialog without applying the changes, click Cancel.

Assigning Objects to a Layer

Each object belongs to a certain layer on the page. When you create or drop an object on the page, it is assigned to the active layer. You can put one or more selected objects to another layer: use the the Set Layer dialog from the Format menu.
Just select the new layer from the list and click OK.

LayerD.gif (5163 bytes)

This dialog also lets you rename layers: select the needed layer in the list and click Rename. In the Layer Rename dialog, type a new name and click OK to save the changes.


Printing a Document

ConceptDraw offers you convenient features and extensive options for printing your documents: you can specify the print settings for each particular document, see the Page Breaks and Print Preview before printing, customize the size of the document in printing and the number of pages it should be printed on.

Print Page and Printer Settings
Document Printing Parameters
Viewing the Document Breaking into Print Pages
Print Preview
Printing

Before printing, you should prepare the document and set up the printer and print parameters.

Print Page and Printer Settings

To adjust the printer and print page settings, select Page Setup from the File menu.

Ctrl + Shift + P Cmd + Shift + P

A standard printer setup dialog will be displayed. These dialogs can differ depending on the particular printer. You can use this dialog to set up the size and orientation of the print page, and other parameters.

The Printer section shows the current printer. You can change it or set the options if necessary.

The Paper section lets you select the size of the print page (the options offered may vary with the printer). You can also modify other page attributes available (e.g. paper type and source, the scale at which the document must be printed, etc.)

The Orientation section is used to set the print page orientation: Portrait (vertical) or Landscape (horizontal).

Note: The printer setup dialog is also available from the File / Document Properties dialog. Use the Page Setup button on the Printing tab.

Document Printing Parameters

The printing parameters of the document can be specified in the Document Properties dialog (File / Document Properties).

On the Page tab, you can see the document page size.
The Printing tab shows the following parameters which you can change as necessary:
- paper orientation,
- paper placement method (if the document page size is bigger than one print page),
- justification (the position on the printed page if the document page size is smaller than the print page),
- and print size:
you can print the document page at its actual size,
or according to the current zoom level,
or use the Fit to Page option to fit it to the specified number of print pages.

Viewing the Document Breaking into Print Pages

The document size may be larger or smaller than one print page.

Note that the print pages sometimes don't coincide with the document pages:

The document page size is set when the document is created. You can modify it in the File / Document Properties dialog on the Page tab.
The print page size is selected from the list of those offered by the printer and page setup dialog (Page Setup command in the File menu).

That is why it is important to preview the document breaking into the print pages.
Check Page Breaks in the View menu: the non-printable areas in the document will be marked with thick grey lines, and the thin grey lines will separate the print pages.

If necessary, you can modify the document parameters (File / Document Properties) and the print settings (File / Page Setup).

Print Preview

All the necessary settings completed, you can preview the document before printing.
To see how the printed document will look, select Print Preview from the File menu, or just click PrintPreviewTool.gif (171 bytes) on the toolbar.

Ctrl + Alt + P Cmd + Opt + P

The preview window will appear and show the print pages.

You can use the buttons Prev Page and Next Page to shift between the print pages.
The Print button can be used to give the command to print the document,
and the Close button lets you quit the preview to change some settings.

Printing

Once the document preparation is completed, you can give the command to print the document. This command will open the printer's standard dialog in which you can specify the print parameters, and start printing.

To give the print command, you can use one of the alternatives:

a) click Print in the Print Preview window;
b) click the Print button PrintTool.gif (168 bytes) on the toolbar;
c) select the Print command from the File menu;
d) or use the keyboard shortcuts:

Win.gif (172 bytes) Ctrl + P Mac.gif (169 bytes) Cmd + P

The Print dialog will appear and show the active printer.
In this dialog you can specify the range of pages to be printed, the number of copies, and some other settings.

PrintDialog.gif (5527 bytes)

In the Printer section, the active printer is specified. If necessary, you can still select another printer or modify the settings.
If the Print to file option is available, you can choose to save the document together with the print settings. Then you will be able to print it elsewhere, even without resorting to ConceptDraw. This option can also be used for creating PDF-files.

The Print Range section lets you select the range of the pages to be printed: just enter the page numbers to specify the range. The default setting is All to print the entire document.

The Copies section is used to specify the desired number of copies (and sometimes the order of printing: this option depends on the printer).

Once all the parameters set, click OK to print the document.

Mac.gif (169 bytes) In Mac OS the print setting dialogs usually differ depending on the particular printer. They may offer some additional settings such as the paper quality and source, printing quality, etc.


Optimizing the Environment

ConceptDraw lets you use templates to make you work more effective - they are helpful when you need to create many documents with similar settings or elements.
You can also optimize your working environment by creating and using workspace files. A workspace lets you save the needed state of the application - the open documents and libraries and their on-screen arrangement - and restore it every time you need it.

Templates
Workspace Files

Templates

A template is a ConceptDraw file which is used to store the desired set of default settings for new documents (measurement system, grid spacing, page size etc.), the list of libraries to open, and a sample document.

Template files have the .cdt extension.

Using Templates
The Default Template
Location of Templates
Transporting Templates

Using Templates

When you open a template, you open a copy of the sample document stored in the template, and then all the libraries according to the list. The document appears in a new window, and the libraries are added to those already open in the library window.

Templates are particularly helpful in several cases:

When you need to create multiple documents that have a similar look (for instance, a weekly report form, or a product presentation template) and include common basic elements (company Logo, standard header, etc.). In this case, simply save the sample as a template once, and use this template for creating new similar documents.
When your documents require specifically customized settings (related to your country specifics or to your purposes). This may involve page size, units of measure, font styles, text formatting, grid properties etc. To eliminate the need to reconfigure your documents each time, set all the parameters once and save them in one or more template files.
Note that the settings for each new document are taken from the Blank Drawing.cdt template stored in the Libraries folder.
When you have to create a document related to a specific field (for instance, draw an office layout or a company structure), it is usually a good idea to use task-related object libraries supplied with the program. ConceptDraw includes ready-made templates with lists of the necessary libraries you may use for each specific task. These templates are stored in the same folders as the corresponding libraries. You can create similar templates which include the libraries you need for your custom purposes, and they will be opened each time you use the template.

For more information about opening templates please refer to the "Creating a New Document from a Template" section.
For specifics on creating and saving templates, see the "Saving a Document as Template" section.

The Default Template

By default, the settings for each new document are taken from the Blank Drawing.cdt template which is stored in the Libraries folder.

To create a new document from another template, use the New / Browse Templates option from the File menu.
For more detailed information on opening templates, see the "Creating a New Document from a Template" section.

If you need to change the default template for all new documents, use the Edit / Preferences menu. On the Default tab, specify the location of the needed template file, and click OK to save the new setting. Then every new document will be created from the template you specified.

Location of Templates

All the provided templates are located in the Libraries folder of the program's root directory. The Libraries folder may contain task-related subfolders. The library files themselves (.cdl files for Windows) are located in these folders.

The path to the Libraries folder is stored in the Preferences dialog (Edit / Preferences) on the File Paths tab. It is completed by default, and this path determines which folder should be initially opened by the Browse Templates command.
So if you move the Libraries folder to another location, specify it on the File Paths tab: it will be easier to find the templates every time you need them.

As you create your own templates, you may store them in any location. But it is better to store all the templates in one location: they will be easier to access.

Transporting Templates

When moving a template file from one computer to another, keep in mind that a template file only stores references to its libraries rather than the actual libraries. So, you should move the required libraries along with the template. Make sure that the template and the libraries keep their relative positions with respect to one another. Alternatively, you can place the libraries in the same folder with the template.

Workspace Files

ConceptDraw lets you save the entire workspace if you often need to work with the same set of documents and libraries.
A workspace file stores information about the sizes and arrangement of all windows open in the application, and the list of open documents and libraries. This allows you to customize your work environment only once and use it repeatedly.

Workspace files have the .cdw extension.

Using Workspace Files
Saving a Workspace File
Transporting Workspace Files

Using Workspace Files

By opening a workspace file, you reproduce the state in which the application was before you saved the workspace: all the open documents and libraries, along with their on-screen arrangement.

Saving a workspace is especially helpful in several cases:

When you often work with the same set of documents and libraries.
When you work with documents displayed in a specific way (this may concern magnification, tables of object parameters, the active pages of documents, etc.) Saving a workspace lets you easily reproduce the suitable arrangement of windows.

To open a workspace file:

  1. On the File menu, click Open.
  2. In the dialog which appears, navigate to the desired folder.
  3. In the File of Type box, choose ConceptDraw Workspace Files (.cdw)
  4. Select the workspace file you want to open.
  5. Click Open.

Saving a Workspace File

To save the current state of the application in a workspace file:

  1. If necessary, save all the open documents and libraries.
  2. Select Save Workspace from the File menu. The Save As dialog comes up.
  3. In the dialog, navigate to the desired folder where the new file will be located.
  4. Enter the workspace filename in the corresponding field.
  5. Click Save.

All information about the currently opened documents and libraries and their look and on-screen arrangement will be saved in the workspace file.

Ctrl + Alt + S Cmd + Opt + S

Transporting Workspace Files

When moving a workspace file from one computer to another, keep in mind that a workspace file only stores references to the documents and libraries. So, you ought to move all the necessary documents and library files along with the workspace. Make sure that the workspace file and the required components keep their relative positions with respect to one another. Alternatively, you can place the document and library files in the same folder with the workspace file.


Libraries

ConceptDraw offers you a number of ready-made objects which you can use in your documents. They are grouped in topical sets as library files. A library is thus a collection of objects usually related to a certain topic (e.g. flow chart, computer network, engineering, etc.).
The Professional version of the software provides over 25 additional libraries (930 new objects) for such areas as:

  • Network and Internet
  • Process Engineering
  • Chemical Technology
  • Electrical Engineering
  • Electronics
  • Industrial Equipment

In ConceptDraw, you can also customize the existing libraries and create new ones (both by grouping the existing objects and by adding new ones).

Using Libraries
Editing and Creating Libraries

Using Libraries

Opening and Closing Libraries
Library Files Allocation
Library Window
Inserting a Library Object into a Document
Stamp Tool

Opening and Closing Libraries

To open one or more libraries:

  1. Click the Open Library button [image] on the toolbar or use the Library / Open menu.
    The Open dialog will come up and show the Libraries folder.
  2. Click to select the needed library. To open several libraries at once, hold down Ctrl (in Windows) or Cmd (in Mac OS) when selecting.
  3. Click Open, and all the chosen libraries will appear in the separate Library window.
Ctrl + Shift + O Cmd + Shift + O

Both libraries and document can be opened by dragging their file icons from Explorer or My Computer windows, and dropping them onto the application window. In this case you have to drag the file icon, position it over the respective taskbar button, wait until the application window opens, and then release the mouse button over the toolbar or over the library window. As you release the button, the mouse pointer must look like this:

Both libraries and documents can be opened by dragging their file icons over the application icon.

Note: Re-opening a currently opened library will just make it active, not duplicate it.

To close a library, get its context menu (on the tab with its title) and select the Close command.
To close all the open libraries, choose Close All from the context menu.

You can also use the Library menu: the Close command for closing the active library, and the Close All command to close the library window with all the libraries it contains.

Library Files Allocation

All the libraries supplied are located in the Libraries folder of the application's root directory. The Libraries folder contains task-related subfolders. The library files themselves (.cdl files for Windows) are located in these folders.

The path to the Libraries folder is stored in the Preferences dialog (Edit / Preferences) on the File Paths tab. It is completed by default, and this path determines which folder should be initially opened by the Open Library command.
So if you move the Libraries folder to another location, specify it on the File Paths tab: it will be easier to find the libraries every time you need them.

If you create your own libraries, you may store the new library files in any location. But it is better to create task-related subfolders inside the Libraries folder, and place your library files there. It will be easier to find all the libraries in one location.

Library Window

All the open libraries are displayed in the special Library window. It usually appears to the left from the document windows.

Library.gif (7733 bytes)

The library window displays the content of the active library, and holds the tabs with the titles of all the open libraries. The tab of the currently active library is shown as selected. To activate any library from the list, just click on the corresponding tab. Only one library at a time can be active.

The objects of all the libraries can be displayed in two ways: in the form of icons or text.
In the text view, just the names of the library objects are displayed in a list.
In the icon view, you can pause the pointer over an object to see a tip with its name. The object's name also appears in the status bar. The selected object shows a red border around its icon.

To change the view of the objects, get the context menu of a library tab (or of any object) and select the suitable option: View as Icon or View as Text.
These commands are also available from the Library / Object menu.

You can show / hide the library window easily: just press the F4 key or check/uncheck Libraries in the View menu.

You can reposition the library window if necessary:

Mac.gif (169 bytes) In the Mac version, just drag the library window by its headline or by the space between the icons,
and drop in the needed location.

Win.gif (172 bytes) In the Windows version, the library window can be glued to either side of the application window, or just be in floating state. To glue / detach the library window, double-click on its title. Once the window is detached, you can move it by dragging to whatever location. If dropped on the application window sides, it will be glued automatically.
Another way is to drag the library window by the space between the icons or by the bar which frames the object list and separates it from the library title tabs and the scroll bars.

Note: The state and position of the library window are preserved when you quit the application.

Inserting a Library Object into a Document

There are several ways for inserting a library object into your document:

a) By dragging and dropping:
Select the needed library object and drag it from the library window to the document page. Release the mouse button where you want a copy of the object to be inserted.

b) By double-clicking the object:
If you double-click an object in the library window, its copy will be inserted in the centre of the active document page.

c) By copying and pasting:
Use the Copy command from the object's context menu or from the Library / Object menu.
The copy of the object will be placed on the Clipboard. Then, in the document window, call the context menu again and use the Paste command. The contents of the Clipboard will be inserted in the position of the pointer. (This way lets you insert several copies of the objects in different locations).

Stamp Tool

The Stamp Tool [image] mode lets use a library as a set of drawing tools.
You can also use the Tools / Stamp menu to switch to this mode.

If there is a library object selected, and the Stamp mode is on, every single click in the document will insert a copy of the object (stamp it).

You can resize the object at the same time as you create it. Just drag the mouse to draw a rectangular area of the desired size, and release the mouse button. In fact, you copy the library object and resize it at the same time. For proportional resizing, hold down the Shift key.

The Stamp Tool is most convenient way to quickly link objects using library connectors. If there is a 1D object (connector) selected in the library, you can attach it to objects straight away, as you do with regular connectors. To invert the direction of the connector, hold down the Shift key.

When in the Stamp mode, all the regular operations (such as selecting, repositioning, resizing) are also available.

Note: If there is no object selected in the library, this tool will clone the selected object(s) in the document. If several objects are selected, their copies will be grouped automatically. In this case, immediate resizing is also possible.

See also:

Editing and Creating Libraries


Editing and Creating Libraries

ConceptDraw lets you create your own libraries and edit the existing ones (move, delete, add and replace objects).

Creating a New Library
Saving a Library
Library Properties
Properties of Library Objects
Adding an Object from the Document to a Library
Changing the Icon of an Object
Moving Objects between and within Libraries
Deleting an Object from a Library
Replacing an Object under the Existing Library Icon

Creating a New Library

You can create your custom object library, using the Library / New command from the menu. An empty library box will appear in the library window. Now you can add objects into it: from documents or from other libraries.

Ctrl + Shift + N Cmd + Shift + N

Note: Make sure to save the library after you finished working with it.

Saving a Library

To save a library, get the context menu on its title and use the Save command.
If you need to save the library under another name, choose the Save As option. The Save As dialog will come up to let you specify the name and location of the the library file.

For saving the active library, you can also use the Save and Save As commands from the Library menu: the command , and the Close All command to close the library window with all the libraries it contains.

Note: If any changes were made to a library after the previous saving, the application offers you to save the changes when you close it.

Library Properties

To set or modify the properties of a library, or to assign a title to a new library, use the Library Properties dialog.

To call this dialog, get the context menu on the library's title and select the Properties option.
For the active library, you can also use the Library / Properties menu.

LibPropDialog.gif (6720 bytes)

The Library Properties dialog lets you specify the Title of the library to be displayed on its tab, and also add information about the author and company, the subject field to which the library can be related, and provide a short description.

To save the changes, click OK in the dialog and then save the library.

Properties of Library Objects

To assign or change a library object's properties, use the Library Item Properties dialog.

To call this dialog, open the context menu of the needed library object and click Properties on the menu.
For the active library, you can also use the Library / Object / Properties menu.

LibItemProp.gif (4404 bytes)

This dialog lets you specify the following text attributes which appear when you pause the pointer over this object:
the Item Name for the tip, and the Item Prompt for the status bar.

Adding an Object from the Document to a Library

There are several ways of adding a new object to a library:

a) By dragging and dropping:
Point to an object in the document (or just select it), and holding down the mouse button, drag the object from the document window to the library window. When you release the mouse button, a copy of the object will be added to the library.

b) By copying and pasting:
Select the object and copy it to Clipboard (you can use the Copy tool CopyTool.gif (175 bytes) or the Copy command from the context menu). Then, in the library window, call the context menu for an object in the library, and click Paste on the menu. The object will be inserted from the Clipboard to the library. The inserted object is shown selected. To add an object to the end of the library, call the context menu on an empty place in the library window and paste the object there.

Note: To add the object from the Clipboard to the active library, you can also use the Library / Object / Paste menu.

c) By inserting the selected object:
Select the needed object and click Put into Library from the Edit menu. The object will be added to the library which is currently active.

Note: If you select several objects and then drag or paste them to the library, they will be inserted as group.

As an object is inserted in the library, the software creates its library icon automatically. But you can change the library object's icon if necessary.

Changing the Icon of an Object

In the icon view mode (the View as Icon in the context menu), the objects are displayed in the library window in the form of icons sized 29*29 pixels.
When you add an object into a library, the application creates its icon automatically.

The icon of any object can be replaced with a custom icon:

  1. Create an which you want to assign as the icon: a 29*29 picture in the Windows Bitmap (bmp) format. You can use any graphic editor to do that.
  2. Select the icon you want to change, and apply the Change Icon command from the object's context menu or from the Library / Object menu.
  3. In the Open dialog which appears, browse to the needed image file for the new icon, select it and click Open.

Moving Objects between and within Libraries

You may find it handy to create your own custom library and compile the objects you use most frequently. You can put the needed objects from the existing libraries there, as well as new objects.

You can move objects between the libraries by using the Copy and Paste operations for the library objects:

  1. Activate the source library and select an object.
  2. Use the Copy command from this object's context menu or from Library / Object menu.
  3. Activate the target library (or create a new library).
  4. In the target library, Call the context menu on the place where you want the object to be inserted, and click Paste on the menu to insert the object. Alternatively, you can use the Library / Object / Paste menu.

Another way is dragging library objects with the mouse. To insert a copy of an object into another library, drag it with the mouse, move over the target library title tab, wait until the library opens, and release the mouse where you want the object to be inserted.

To reposition an object within a library, simply drag it to the new location. If you hold down the Ctrl key (in Windows) or Cmd (in Mac OS) while dragging, a copy of the object will be inserted.

Deleting an Object from a Library

To delete an object from a library, you can use the the Remove command from the object's context menu or from the Library / Object menu.

After you confirm deleting, the object will be deleted.

Another option is to use the Cut operation. In this case the object will be copied onto the Clipboard first, and then deleted from the library. Then you can use the copy to paste it into a document, or in another library.

Replacing an Object under the Existing Library Icon

When expanding your libraries, you may need to update a library object without changing its icon. To do this, use the Replace Library Object command from the Edit menu.

Ctrl + Shift + I Cmd + Shift + I

Select the object in the library, then the updated object in the document, and perform the command. A confirmation message will be shown when the operation is over.

See related topic:

Using Libraries


Using the Object Parameter Table

Each ConceptDraw object is determined by dozens of parameters, such as numbers, text or formulas.
All the parameters are brought together in the object parameter table where you can modify any of them. The table thus gives you full control over the appearance and behavior of the object.

Object Parameter Table
Table Sections
Functions

Object Parameter Table

What Elements You Can Use
Input Field
Cells
Formulas

What Elements You Can Use

To call the Parameter Table of an object, select it and use the Show Table command from the Figure menu, or just press the F3 key. This will open the object's table in a new window.

You can use the following elements of the table:

- the input field lets you edit the content of the selected cell (enter the value or formula);
- the sections present groups of parameters: transform characteristics, geometries, line properties, fill format, text format, protection, etc.;
- the cells show the value or formula for each parameter of the object; you can select a cell and modify its content in the input field;
- the menu bar holds the commands which you can apply to the table (save the table, regulate the table view, manipulate sections, etc.).

Input Field

The input field is at the top of the window. When you select a cell in the table, its content appears in the input field where it can be edited.
You can double-click a cell, and its content becomes selected and appears in the input field. You can edit it as necessary.
To finish editing and save the changes, press the Enter key.
To return to the initial values, press the Esc key.
You can also use the corresponding icons to the left of the input field.

Cells

A cell is the place where the application stores a certain parameter of the object.
To select (activate) a cell, just click it with the mouse. Once the cell is active, you can edit its content in the input field at the top of the table window. You can use the Arrow keys to activate another cell.
To quickly start editing, double-click the needed cell, and its content appears selected in the input field.

What you see in the cell depends on the viewing mode set for the table: Values or Formulas.
When in the Values mode, all cells show the values in the current units of measure set for the document.
When the Formulas mode is on, all cells that contain formulas display the formulas instead of mere values. The cells which have no formulas, show the values in the tenths of millimeter.

To switch to the needed view mode, just check the corresponding option in the View menu.
Note that if a cell contains a formula, the input field will always show a formula when you select the cell, regardless of the viewing mode.

Not every cell allows to input a formula in it. Some cells support only numeric values. The cells that allow using formulas display their contents in blue, the rest display the values in green.

You can input values in the units of measure other than default, e.g. 12 in, 3.5 ft, 0.66 m.

When editing the content of a cell, you can use the data stored in another cell, by clicking that cell with the mouse:

Single click on another cell | Inserts the formula from the cell you clicked into the input field
Win.gif (172 bytes) Ctrl + click on another cell Mac.gif (169 bytes) Cmd + click on another cell | Inserts the numeric value of the cell into the input field
Alt + click on another cell | Inserts the cell title into the input field (to refer to it in formulas)

Formulas

By using formulas, you can make one parameter of an object dependent upon other parameters, or upon the actions of the user. Here are some examples of formulas:

Variables.X1+(Variables.X2-Variables.X1)*0.293
_min(0;Geometry1.X2-Variables.X2)
=_IF(Variables.X1=1;_Setf("Variables.X1";0);_Setf("Variables.X1";1))

If you want to address the content of a cell in a formula, indicate the

<cell name>

(The name of the cell is placed to the left of the cell and displayed in red).
Arrow.gif (2068 bytes) For example: Width, TextAngle, etc.

The sections to which you can add cells (sections as Geometry, Controls, Connect, Variables, Font Format, Paragraph Format, Actions) are addressed in a different way:

<section name>.<cell name>

The cell name is composed of the column name and the line number.
Arrow.gif (2068 bytes) For example: "Controls.YDyn1"; "Variables.Y2"; "Connect.X1".

For the Geometry section, the section name also includes the section number - because a figure may have more than one geometry.
Arrow.gif (2068 bytes) For example: "Geometry1.Y1", "Geometry2.C2".
So, for the first two cells the names look like this: "Geometry1.Visible" and "Geometry1.Filled".

Formulas often include functions. The full list of functions and their specifics can be found in the "Functions" section.

Addressing Other Object's Parameters

You may need to address cells describing other objects.
Every object has its identification number: you can see it in the title bar of the table window, or in the Information dialog (ID section).
This ID is used when you address the parameters of the object:

<object ID>.<section name>.<cell name>

Arrow.gif (2068 bytes) For example: "ObjID13.Geometry2.X1", "ObjID2.Width".

If the object belongs to a group, you should use the Parent prefix to address the parameters of the group:

Parent.<section name>.<cell name>

Arrow.gif (2068 bytes) For example: "Parent.Height".

If you address objects within a group, it looks like this:

Child<Number>.<section name>.<cell name>

Arrow.gif (2068 bytes) For example: "Child2.Angle".
The number after the name corresponds to the order of the object within the group. You can see this number in the Information dialog (SubID field).

Default Formulas

The application creates some formulas automatically. Such formulas are called default formulas. For instance, when you create a line, the program will describe one of its parts as follows:

Here, "Width*0.75000" and "Height*0.666667" are default formulas.
Owing to the formulas, the vertices maintain their positions with respect to the alignment box of the object when the object is resized. This formulas are changed automatically when you reposition the object's vertices or the object itself.

If a formula has the "=" sign near it, it means that the formula can not be changed in any way other than by editing its cell.
If the formula hasn't the "=" sign before it, it may be altered automatically when you modify the object and apply actions which change this parameter.

See also:
Table Sections
Functions


Sections

Table Sections

The Object Parameter Table has a number of sections. Each section describes a certain attribute of the object (for instance, its position, dimensions, text, etc.).

You may hide any section or make it visible again. To show/hide sections, use the View Sections dialog:
to call it, select Sections in the View menu.

Some sections may be missing if the object does not have a specific attribute or function (for instance, control handles or the context menu).

To add sections, use the Insert Sections dialog: to call it, select Insert Section from the Edit menu.

Here is the list of sections the table may have:

Transform
Geometry
Endpoints
Controls
Connect
Variables
Line Properties
Fill Format
Protection
Text Transform
Character Format
Paragraph Format
Text Block Format
Text Field
Miscellaneous
Actions

One of the sections is active (its title bar appears in blue). You can edit the content of the cells in the active section.
To activate a section, just click its title bar or any of the cells inside it.

Each section can be minimized to the title bar. To minimize a section, activate it and then click on its title bar.
If the section is minimized, you can click on the title bar again to expand the section.

For some sections (such as Geometry, Controls, Connect, Variables, Font Format, Paragraph Format, Actions), a row of cells may describe a single element of the object (such as a control handle, a linear segment of a figure, and so on). It this case, operations on the whole row are possible: Add Row, Delete Row. They are available from the Edit menu.

See also:

Object Parameter Table
Table Sections
Functions


Functions

In alphabetical order:

_ABS
_ACOS
_AND
_ANG360
_ASIN
_ATAN
_ATAN2
_AUTHORNAME
_CENTERX
_CENTERY
_CIRCLE_CENTERX
_CIRCLE_CENTERY
_CIRCLES3RD_X
_CIRCLES3RD_Y
_COMPANYNAME
_COS
_COSH
_CUT 		_DATE
_DEG
_ELLIPSE_ANGLE
_ELLIPSE_ASPECT
_EVALTEXT
_FABS
_FILENAME
_FLOOR
_FULLFILENAME
_GRAVITY
_HYP
_IF
_LG10
_LN
_LOCALX
_LOCALY
_MAX
_MEASURE 		_MIN
_MOD
_NOT
_OR
_PAGEHEIGHT
_PAGENAME
_PAGENUMBER
_PAGESCOUNT
_PAGEWIDTH
_PI
_POW
_RAD
_RAND
_ROUND
_SCALE
_SETF
_SIGN
_SIN 		_SINH
_SQRT
_TAN
_TANH
_TEXTHEIGHT
_TEXTLEFT
_TEXTLENGTH
_TEXTRIGHT
_TEXTWIDTH
_TIME
_TITLE
_VALTOTEXT
_VALTOTEXTMES
_WORLDX
_WORLDY
_XOR

By sections:

Mathematical:
_ABS
_CENTERX
_CENTERY
_CIRCLE_CENTERX
_CIRCLE_CENTERY
_CIRCLES3RD_X
_CIRCLES3RD_Y
_CUT
_ELLIPSE_ANGLE
_ELLIPSE_ASPECT
_FABS
_GRAVITY
_HYP
_LG10
_LN
_LOCALX
_LOCALY
_MAX
_MIN
_MOD
_POW
_RAND
_SIGN
_SQRT
_WORLDX
_WORLDY

Trigonometric:
_ACOS
_ASIN
_ATAN
_ATAN2
_COS
_COSH
_PI
_SIN
_SINH
_TAN
_TANH

Logical:
_AND
_IF
_NOT
_OR
_XOR

Functions for transformation and approximation:
_ANG360
_DEG
_RAD
_ROUND
_FLOOR

Text:
_AUTHORNAME
_COMPANYNAME
_EVALTEXT
_FILENAME
_FULLFILENAME
_MEASURE
_SCALE
_TEXTHEIGHT
_TEXTLEFT
_TEXTLENGTH
_TEXTRIGHT
_TEXTWIDTH
_TITLE
_VALTOTEXT
_VALTOTEXTMES

Date and time:
_DATE
_TIME

Page properties:
_PAGEHEIGHT
_PAGENAME
_PAGENUMBER
_PAGESCOUNT
_PAGEWIDTH

Other:
_SETF

_ABS

_ABS(arg)
Returns the absolute value of the arg number.

_ABS(str)
Returns the str string without changing it.

Examples:
_ABS(-3) = 3
_ABS(0) = 0
_ABS(4) = 4
_ABS("Text") = "Text"

_ACOS

_ACOS(arg)
Returns the arc cosine of the arg (its value is within the -pi/2 to pi/2 range).
The argument value must be within the -1 to 1 ranger. Otherwise the error code generates.

_AND

_AND(arg1;arg2)
Returns the bitwise AND;

_AND(str1;str2)
Returns 1 - if the strings are not empty, and 0 - if at least one of them is empty.

_AND(str;arg)
_AND(arg;str)
Returns arg.

Examples:
_AND( 1; 0) = 0
_AND( 3; 2) = 2
_AND("Hello!"; "") = 0
_AND("Text1"; "Text2") = 1
_AND("Text"; 2) = 2

_ANG360

_ANG360(arg)
Returns the arg angle, reduced to the 0 to 2*pi interval.

Examples:
_ANG360( 481 deg ) = 121 deg
_ANG360( -4.5 rad) = 1.7832 rad

_ASIN

_ASIN(arg)
Returns the arc sine of arg (its value is within the -pi/2 to pi/2 range).
The argument value must be within a -1 to 1 range. Otherwise an error code is generated.

_ATAN

_ATAN(arg)
Returns the arctangent of arg (the returned value is within the -pi/2 to pi/2 range).

_ATAN2

_ATAN2(arg1;arg2)
Returns the arctangent of (arg1/arg2). Unlike the _ATAN function, _ATAN2 correctly processes expressions where the arg2 value equals 0. Anyway, the returned value is within the -pi/2 to pi/2 range.

Examples:
_ATAN( 1; 0 ) = 90 deg
_ATAN( 2; 2 ) = 45 deg

_AUTHORNAME

_AUTHORNAME()
Returns the document author's name which you specify in the Document Properties dialog (File/Document Properties).

Example:
"Author: "+_AUTHORNAME()= "Author: Bill Jonson"

_CENTERX

_CENTERX()
Returns the X coordinate of the centre of the object.
The centre of the object is:
- For the Smart Connector: the middle of its central segment, if the number of segments is odd, or the crossing point of two middle segments, if the number of the segment is even.
- For other objects: the centre of the alignment box.

This function may be used, for instance, for positioning the Smart Connector's text.

_CENTERY

_CENTERY()
Returns the Y coordinate of the centre of the object.
The centre of the object is:
- For the Smart Connector: the middle of its central segment, if the number of segments is odd, or the crossing point of two middle segments, if the number of the segment is even.
- For other objects: the centre of the alignment box.

This function may be used, for instance, for positioning the Smart Connector's text.

_CIRCLE_CENTERX

_CIRCLE_CENTERX(X1; Y1; X2; Y2; X3; Y3)
Returns the X coordinate of the centre of the circle, built upon the three points: (X1;Y1), (X2;Y2) and (X3;Y3).

_CIRCLE_CENTERY

_CIRCLE_CENTERY(X1; Y1; X2; Y2; X3; Y3)
Returns the Y coordinate of the centre of the circle, built upon the three points: (X1;Y1), (X2;Y2) and (X3;Y3).

_CIRCLES3RD_X

_CIRCLES3RD_X( X1; Y1; X2; Y2; H)
Returns the X coordinate of the point, that lies at the H distance from the middle point of the vector (X1;Y1) - (X2;Y2). If H is a positive number, this point is to the left of the vector, if negative - the point is to the right of the vector. This function is used to create an arc of the circle upon two points and the height of the arc.

_CIRCLES3RD_Y

_CIRCLES3RD_Y( X1; Y1; X2; Y2; H)
Returns the Y coordinate of the point, that lies at the H distance from the middle point of the vector (X1;Y1) - (X2;Y2). If H is a positive number, this point is to the left of the vector, if negative - the point is to the right of the vector. This function is used to create an arc of the circle upon two points and the height of the arc.

_COMPANYNAME

_COMPANYNAME()
Returns the company name that you specify in the Document Properties dialog (File/Document Properties).

Example:
"Company: "+_COMPANYNAME()= "Company: Computer Systems Odessa Corp."

_COS

_COS(arg)
Returns the cosine of arg (the returned value is within the -1 to 1 range).

_COSH

_COSH(arg)
Returns the hyperbolic cosine of arg.

_CUT

_CUT(arg; iarg)
This function discards a number of significant digits after the point from arg. The iarg parameter indicates how many digits to discard. For negative numbers, it discards the digits before the point.

Example:
_CUT( 123.4567; 3) = 123.456
_CUT(123.4567;-2) = 100
_CUT(123.4567;0) = 123

_DATE

_DATE()
Returns the string with the current system date on your computer. The data format may vary with system and country.

Example:
_DATE() = 04.09.1999 (Mac)
_DATE() = 04 Sep 1999 (Win)

_DEG

_DEG(arg)
Converts arg from radians to degrees.

Example:
_DEG( 3.14) = 180
_DEG(_PI()*3) = 540

_ELLIPSE_ANGLE

_ELLIPSE_ANGLE(koeffX; koeffY; iNumberGeometry; iNumberSegment)
Returns the inclination of the main radius of the ellipse with the central point with (Width*koeffX; Height*koeffY) local coordinates. Other parameters, required for building the ellipse, are taken from the segment with iNumberSegment number of the geometry with the iNumberGeometry number.
This function is the default formula for the D column of the EllipseTo segment in the table.

_ELLIPSE_ASPECT

_ELLIPSE_ASPECT(koeffX; koeffY; iNumberGeometry; iNumberSegment)
Returns the ratio between the large and the small radii of the ellipse with the central point with (Width*koeffX; Height*koeffY). Other parameters, required for building the ellipse, are taken from the segment with iNumberSegment number of the geometry with the iNumberGeometry number.
This function is the default formula for the C column of the EllipseTo segment in the table.

_EVALTEXT

_EVALTEXT(str)
Converts the string value of str to a number.

Example:
_EVALTEXT( "123.456 ") = 123.456
_EVALTEXT( "123") = 123

_FABS

_FABS(arg)
If arg is not zero, returns the absolute value for arg.
If arg equals zero, returns 1.

_FABS(str)
Returns the string value str without changing it.

Example:
_FABS( -3 ) = 3
_FABS( 0 ) = 1
_FABS( 1 ) = 1
_FABS("Text") = "Text"

_FILENAME

_FILENAME()
Returns the filename under which the document is stored.

Example:
_FILENAME() = "Chart.CDD"

_FLOOR

_FLOOR(arg)
Returns the maximum integer number which is less or equal to arg.

Examples:
_FLOOR( 123.4567 ) = 123
_FLOOR( -45.345 ) = -46
_FLOOR( 0 ) = 0

_FULLFILENAME

_FULLFILENAME()
Returns the filename under which the document is stored with the full path.
Example:
_FULLFILENAME() = "D:\ConceptDraw\Chart.cdd" (Win)
_FULLFILENAME() = "MyDisk:Desktop Folder:Chart.cdd" (Mac)

_GRAVITY

_GRAVITY(Angle; limit1; limit2)
If Angle is more than limit1 or less than limit2, returns 0,
If Angle is within the [limit1;limit2] range - returns the pi number.
Normally this function is used for setting the orientation of the Text Box, so that the text be readable in whatever position of the object.

Examples:
_GRAVITY(30deg; 15 deg; 165 deg) = 0
_GRAVITY(195deg; 15 deg; 165 deg) = pi
_GRAVITY(Angle;-90 deg;90 deg)

_HYP

_HYP(X; Y)
Returns the length of the hypotenuse of the right-angled triangle with X and Y legs.

Example:
_HYP( 4; 3 ) = 5

_IF

_IF(arg1;arg2;arg3)
If arg1 is a non-zero number, or a non-empty string, the function returns arg2, otherwise - arg3.

Examples:
_IF( 2 > 1; 3; 4 ) = 3
_IF( ""; 3; 4 ) = 4

_LG10

_LG10(arg)
Returns the decimal logarithm of arg.

_LN

_LN(arg)
Returns the natural logarithm of arg.

_LOCALX

_LOCALX(X; Y)
Converts the (X;Y) point from the global coordinates to local coordinates. Returns the X coordinate for the resulting point.

_LOCALY

_LOCALY(X; Y)
Converts the (X;Y) point from the global coordinates to local coordinates. Returns the Y coordinate for the resulting point.

_MAX

_MAX(arg1;arg2)
Returns the bigger of the two numbers: arg1 and arg2.

_MAX(arg;str)
_MAX(str;arg)
Returns the number arg (the string value is ignored).

_MAX(str1;str2)
Returns the length for the longest of two strings: str1 and str2.

Examples:
_MAX( 4; 6 ) = 6
_MAX( "Text"’ ; " Big text ") = 8
_MAX( "Text" ; 7 ) =7

_MEASURE

_MEASURE()
Returns the string containing the current unit of measure.

Example:
_MEASURE() = "ft"

_MIN

_MIN(arg1;arg2)
Returns the minimal of two numbers: arg1 and arg2.

_MIN(arg;str)
_MIN(str;arg)
Returns the number arg (the string value is ignored).

_MIN(str1;str2)
Returns the length for the shortest of two strings: str1 and str2.

Examples:
_MIN( 4; 6 ) = 6
_MIN( "Text"’ ; " Big text ") = 8
_MIN( "Text" ; 7 ) =7

_MOD

_MOD(arg1;arg2)
Returns the excess of arg1 divided by arg2

_MOD(str;arg)
_MOD(arg;str)
Returns the number arg it the other argument is the string str.

_MOD(str1;str2)
Returns zero if both arguments are strings.

Examples:
_MOD( 19; 6 ) = 1
_MOD( "Text" ; "Big text") = 0
_MOD( "Text" ; 7 ) =7

_NOT

_NOT(arg)
If arg is zero or an empty string, returns 1.
Otherwise returns 0.

Examples:
_NOT(0)=1
_NOT(123)=0

_OR

_OR(arg1;arg2)
Returns bitwise OR;

_OR(str1;str2)
Returns 1 - if at least one of the strings is non-empty, 0 - if both strings are empty.

_OR(str;arg)
_OR(arg;str)
Returns the number arg.

Examples:
_OR( 1; 0) = 1
_OR("Hello!"; "") = 1
_OR("Text1"; "Text2") = 1
_OR("Text";2) = 2

_PAGEHEIGHT

_PAGEHEIGHT()
Returns the height of the document page. Note that the page size is set in the File / Document Properties dialog, Page tab.

_PAGENAME

_PAGENAME()
Returns the name of the page to which the object belongs. You can set the name in the Page Properties dialog (Page menu).

_PAGENUMBER

_PAGENUMBER()
Returns the number of the page to which the object belongs.

_PAGESCOUNT

_PAGESCOUNT()
Returns the number of pages in the document.

_PAGEWIDTH

_PAGEWIDTH()
Returns the width of the document page. Note that the page size is set in the File / Document Properties dialog, Page tab.

_PI

_PI()
Returns the pi number.

_POW

_POW(arg1;arg2)
Raises arg1 to a power of arg2.

_POW(str;arg)
_POW(arg;str)
Returns the arg number if the other argument is a string.

_POW(str1;str2)
Returns zero if both arguments are strings.

Examples:
_POW( 2; 3 ) = 8
_POW( "Text" ; " Big text ") = 0
_POW( "Text" ; 7 ) = 7

_RAD

_RAD(arg)
Converts arg from degrees to radians.

Examples:
_RAD( 90 ) = 1.57

_RAND

_RAND()
Returns a random value within 0 to 32K range.

_ROUND

_ROUND(arg; iarg)
Returns arg approximated to iarg digits after the decimal point.

Examples:
_ROUND( 123.4567; 3) = 123.457
_ROUND(123.4567;-2) = 100
_ROUND(123.67;0) = 124

_SCALE

_SCALE()
Returns a string describing the current scale of the document in the "N : M" format.

Examples:
_SCALE() = "1 : 1"
_SCALE() = "4 in : 1 ft"

_SETF

_SETF(str; arg)
_SETF(str; strarg)
This function changes the values in the table cells. String str specifies the name of the cell, where to put the data. The arg parameter must contain the new value for the cell. The strarg parameter must contain the string with a new formula for the cell.

Examples:
_SETF( ’’Geometry1.X2’’; ’’Geometry2.X3/2 + Geometry3.X2/4’’)
_SETF(’’Width’’ ; 125 cm)

_SIGN

_SIGN(arg)
Returns the sign of arg:
-1, if arg<0,
1, if arg>0
0, if arg=0

Examples:
_SIGN( 123.4567 ) = 1
_SIGN(-123.4567 ) = -1
_SIGN( 0 ) = 0

_SIN

_SIN(arg)
Returns the sine of arg (the returned value is within -1 to 1 range).

_SINH

_SINH(arg)
Returns the hyperbolic sine of arg.

_SQRT

_SQRT(arg)
Returns the square root from arg. The resulting value is undefined for negative numbers.

_TAN

_TAN(arg)
Returns the tangent of arg.

_TANH

_TANH(arg)
Returns the hyperbolic tangent of arg.

_TEXTHEIGHT

_TEXTHEIGHT(str; arg)
This function calculates the height of the text block, when arg is assigned as its width. The str parameter is usually the contents of text field of the object (the TheText field in the table). When calculating the height, this function considers all current text settings for the object (styles, indents and margins, etc.).

Examples:
_TEXTHEIGHT(TheText;Width)
_TEXTHEIGHT(TheText;2 in)

_TEXTLEFT

_TEXTLEFT(str; iarg)
Returns first iarg characters of the str string.

Example:
_TEXTLEFT( "A big text."; 5) = "A big"

_TEXTLENGTH

_TEXTLENGTH(str)
Returns the length of the str string (the number of characters in the string).

Example:
_TEXTLENGTH("A big text.") = 11

_TEXTRIGHT

_TEXTRIGHT(str; iarg)
Returns last iarg characters of the str string.

Example:
_TEXTRIGHT( "A big text"; 4) = "text"

_TEXTWIDTH

_TEXTWIDTH(str)
Returns the width of the str string considering all current text settings of the object (styles, indents and margins, etc.). Normally, this function is used to make the Text Box the same width as the width of the longest string in the object's text.

Example:
_TEXTWIDTH(TheText)

_TIME

_TIME()
Returns current system time in the "Hours:Minutes:Seconds" format.

Example:
_TIME() = "19:27:13"

_TITLE

_TITLE()
Returns the title of the document. The title is specified in the File / Document Properties dialog, General tab.

_VALTOTEXT

_VALTOTEXT(arg)
Converts the arg number into a string and returns the string.

Example:
_VALTOTEXT( 567.89 ) = "567.89"

_VALTOTEXTMES

_VALTOTEXTMES(arg)
Converts the arg number in a string considering the current unit of measure.

Examples:
_VALTOTEXTMES(15) = "1/16"
_VALTOTEXTMES(1.5 in)+" in." = "1 1/2 in."

_WORLDX

_WORLDX(X;Y)
Converts the (X;Y) point from local coordinates to global coordinates. Returns the X coordinate for the resulting point.

_WORLDY

_WORLDY(X;Y)
Converts the (X;Y) point from local coordinates to global coordinates. Returns the Y coordinate for the resulting point.

_XOR

_XOR(arg1;arg2)
Returns the bitwise XOR.

_XOR(str1;str2)
Returns 1 - if only one string is not empty; 0 - if both strings are empty, or both are not empty.

_XOR(str;arg)
_XOR(arg;str)
Returns the arg number.

Examples:
_XOR( 1;1 ) = 0
_XOR("Text1";"Text2") = 0
_XOR("Text"; 2) = 2

See also:
Object Parameter Table
Table Sections


Working with Other OLE-Compatible Applications

The Windows version of ConceptDraw is an OLE-compatible application (supports Object Linking and Embedding). This feature lets you use ConceptDraw objects in other OLE-compatible software, as well as work with other applications' objects from within ConceptDraw.

OLE-compatibility means that you can combine objects created in different applications, such as pictures, audio and video files etc., within a single document.

OLE Objects in ConceptDraw Documents
ConceptDraw Objects in Other OLE-Compatible Applications

OLE Objects in ConceptDraw Documents

Linking
Embedding
Inserting a New OLE Object
Editing an OLE Object
Inserting an Object from a File
Inserting an Object from an Open OLE-Compatible Application

Linking

You can link data from other applications to your document. When you link to an another application's object, your document stores only a reference to the location where its file resides (not the linked object itself). When you change the original data file, all the changes are reflected in your document. See the section for "Inserting an Object from a File".

To modify a linked object, call its context menu or use the Edit menu.
At the bottom of the menu, use the Edit Linked <Application> Object item. It includes a submenu of actions you can perform on the linked objects: Edit and Open.
Clicking any of these items launches the <Application> in which you can edit the linked object.
(When you Open it, the source application can be left open; if you choose Edit, it will be opened only for editing the object, and then closed when you click on the document page).

Note: It is usually enough to double-click an OLE object to launch its editing application.

Embedding

You can embed objects created in other applications into your ConceptDraw document, and also use objects from ConceptDraw in other applications - for instance, illustrate your text documents with charts, diagrams and other drawings. All the embedded data is stored with the document, even if the original file exists.
See the sections for "Inserting a New OLE Object" and "Inserting an Object from a File".

To modify an embedded object, call its context menu or use the Edit menu.
At the bottom of the menu, use the <Application> Object item. It includes a submenu of actions you can perform on the linked objects: Edit and Open.
Choose any of these options to launch the <Application> where you can edit the embedded object.

Note: It is usually enough to double-click an OLE object to launch its editing application.

Inserting a New OLE Object

If there are other OLE-compatible applications on your system, you can create and insert a new OLE object into your document, and then edit such an object from within ConceptDraw.

To insert a new OLE object, perform the following steps:

  1. From the Insert menu, select Object: the Insert Object dialog will appear.
  2. Choose Create New to create a new object.
  3. From the Object Type list, choose the needed type.
    If the needed file type is not found in the list, the corresponding application is probably not installed on your system.
  4. If you need the object to be displayed as icon only, check Display As Icon.
  5. Click OK.

A new object editing window will appear. In this window you can create a new object using the tools of the corresponding OLE-application.
To finish editing the object, click away from the object (if it is in the ConceptDraw window), or choose File / Exit & Return to ConceptDraw (if the OLE-application was opened in a new window).

Editing an OLE Object

To edit an OLE object that already exists in your document, call its context menu or use the Edit menu.
At the bottom of the menu, use the <Application> Object item - its exact name varies with the type of the chosen object (for instance, for Microsoft Word objects it is called Document Object).
It includes a submenu of actions you can perform on the linked objects (the content of the menu may depend on the type of the object).

After you choose an item, the editing starts. To finish editing, click outside the object editing window (if it is within the ConceptDraw window), or choose File / Exit & Return to ConceptDraw (if the corresponding OLE-application was opened in a new window).

Note: It is usually enough to double-click an OLE object to launch its editing software.

Inserting an Object from a File

You can insert an OLE object from an existing file of an OLE-compatible application:

  1. From the Insert menu, select Object: the Insert Object dialog will appear.
  2. Choose the Create From File option.
  3. Click Browse and select the needed file to insert in your document.
  4. To link the selected file, check the Link option. The object in the file will be stored apart from the document, and all the changes made in the source file will be reflected in your document.
    Otherwise (if the Link option is unchecked), the object will be embedded and stored with the document.
  5. If you need the object to be displayed as icon only, check the Display As Icon option.
  6. Click OK.

Note: Dragging a file from Explorer into ConceptDraw has the same effect as inserting an OLE object from the file with the Display As Icon option chosen.

Inserting an Object from an Open OLE-Compatible Application

To insert an object from an open OLE-compatible application:

  1. In the <Application>, copy the object onto the Clipboard.
  2. In ConceptDraw, activate the document in which the object should be inserted.
  3. Use the Paste Special command from the Edit menu.

You may also use the Drag & Drop functionality for inserting OLE objects. Select the object in the OLE-compatible application, drag it into the open ConceptDraw window and drop it there. The result will be the same as if you used the Paste operation.

ConceptDraw Objects in Other OLE-Compatible Applications

Creating a New ConceptDraw Object
Editing a ConceptDraw Object within Another Application
Inserting an Object from a ConceptDraw File
Inserting an Object from an Open ConceptDraw Document

Creating a New ConceptDraw Object

You can create ConceptDraw objects from within another OLE-compatible application and insert it into your document:

  1. In the OLE-compatible <Application>, activate the document in which a ConceptDraw object should be inserted.
  2. In the Insert menu, choose Object. The Insert Object dialog will appear.
  3. Choose the Create New option.
  4. From the list of the object types available, choose ConceptDraw Document.
  5. If you need the object to be displayed as icon only, check the Display As Icon option.
  6. Click OK.

You will start editing the new object in the ConceptDraw window. To get back to the primary application, use the File menu: click Exit & Return to <Application>.

Editing a ConceptDraw Object within Another Application

To modify a ConceptDraw object within another OLE-compatible application, call the object's context menu or use the Edit menu.
At the bottom of the menu, use the ConceptDraw Document item. It gives you the choice of two actions: Edit or Open. You can use either of them to turn the object editing mode on.
To finish editing, use the File menu: click Exit & Return to <Application>.

Note: It is usually enough to double-click an OLE object to launch its editing software.

Inserting an Object from a ConceptDraw File

You can insert objects stored in ConceptDraw files into the documents in other OLE-compatible applications.

To do this, perform the following steps in the in the OLE-compatible <Application>:

  1. In the Insert menu, choose Object. The Insert Object dialog will appear.
  2. Choose the Create From File option.
  3. Click Browse and select the needed ConceptDraw file to insert in your document.
  4. To link the selected file, check the Link option. The object in the file will be stored apart from the document, and all the changes made in the source file will be reflected in your document.
    Otherwise (if the Link option is unchecked), the object will be embedded and stored with the document.
  5. If you need the object to be displayed as icon only, check the Display As Icon option.
  6. Click OK.

Inserting an Object from an Open ConceptDraw Document

If you need to insert an object from an open ConceptDraw document into a document in another OLE-compatible application, perform the following steps:

  1. Select the object.
  2. Copy it onto the Clipboard - you can use the Copy command from the Edit or context menu, or the Copy tool CopyTool.gif (175 bytes).
  3. In the target <Application>, activate the document in which the object should be inserted.
  4. From the Edit menu in the <Application>, choose Paste or Paste Special.

Note: If you select and copy several objects in ConceptDraw, they will be pasted into the <Application> document as a single object, though when you double-click to edit it as an OLE object, the components can be edited separately.


Shortcuts

Appendix A:

Keyboard Shortcuts and Mouse Actions

Win.gif (172 bytes) | Mac.gif (169 bytes) | Operation
Working with Documents and Windows
Ctrl + N | Cmd + N | Create New Document
Ctrl + Alt + N | Cmd + Opt + N | Create a new document from a Template
Ctrl + O | Cmd + O | Open Document/Template/Workspace
Ctrl + S | Cmd + S | Save the active document
Ctrl + Shift + S | Cmd + Shift + S | Save the active document under a new filename
Ctrl + Alt + S | Cmd + Opt + S | Save Workspace
Ctrl + P | Cmd + P | Print the active document
Ctrl + Alt + P | Cmd + Opt + P | Print Preview
Ctrl + Shift + P | Cmd + Shift + P | Page Setup
Ctrl + Shift + G | Cmd + Shift + G | Set Grid properties for the active document
Ctrl + Shift + U | Cmd + Shift + U | Set Snap&Glue options for the active document
Ctrl + F4 | Cmd + W | Close the active window
Ctrl + Tab, Ctrl + F6 | - | Activate the next window
- | Cmd + window number | Activate the window with the given number
F3 | F3 | Show Table for the selected object
Alt + F4, Ctrl + Q | Cmd + Q | Quit ConceptDraw
Document View
Ctrl + "+" | Cmd + "+", Cmd + "[" | Zoom In
Ctrl + "-" | Cmd + "-", Cmd + "]" | Zoom Out
Click in Zoom Box mode | Click in Zoom Box mode | Zoom In
Click + Alt in Zoom Box mode | Click + Option in Zoom Box mode | Zoom Out
Click in Print Preview | Click in Print Preview | Change zoom level (in cycle)
PgUp | PgUp | Scroll one window space up
PgDn | PgDn | Scroll one window space down
Ctrl + Home | Cmd + Home | Go to the top-left corner of the page
Ctrl + End | Cmd + End | Go to the bottom-left corner of the page
Ctrl + PgUp | Cmd + PgUp | Go to the previous page
Ctrl + PgDn | Cmd + PgDn | Go to the next page
Selecting Objects
Select with Shift | Select with Shift | Allows to select several objects
Ctrl + A | Cmd + A | Select all the objects on page
Tab | Tab | Select the next object according to the order in which they were created
Shift + Tab | Shift + Tab | Select the previous object according to the order in which they were created
Ctrl, Ctrl + Shift for Connection Point or Edit Text tools | Cmd, Cmd + Shift for Connection Point or Edit Text tools | Select objects without leaving the mode
Editing
Ctrl + Z, Alt + Backspace | Cmd + Z | Undo the last operation
Ctrl + Y | Cmd + Y | Redo what was reversed by Undo
Ctrl + X, Shift + Del | Cmd + X | Cut the selection to the Clipboard
Ctrl + C, Ctrl + Ins | Cmd + C | Copy the selection to the Clipboard
Ctrl + V, Shift + Ins | Cmd + V | Paste
- | Cmd + Opt + V | Paste from the Clipboard
Ctrl + Alt + V | - | Paste Special
Ctrl + Shift + V | Cmd + Shift + V | Paste in Place
Del | Del / Delete | Delete the selected object(s)
Ctrl + D, Ctrl for dragging | Cmd + D, Option for dragging | Duplicate the selected object(s)
Shift + Arrows | Shift + Arrows | Move the selection by pixels
Esc when rotating, resizing or dragging an object | Esc when rotating, resizing or dragging an object | Cancel the operation
InsertVertex with Ctrl | InsertVertex with Cmd | Cut the line in this place
Hyperlinks
Ctrl + Shift + E | Cmd + Shift + E | Create / Edit hyperlink
Ctrl + Shift + H | Cmd + Shift + H | Open hyperlink
Libraries
Ctrl + Shift + N | Cmd + Shift + N | Create New Library
Ctrl + Shift + O | Cmd + Shift + O | Open Library
F4 | F4 | Show/Hide Library Window
Ctrl + Shift + Click | Cmd + Shift + Click | Swap objects in the library. One of the objects must be selected.
Ctrl + Shift + I | Cmd + Shift + I | Replace the selected object in the library with the object selected in the document, maintaining the library object's icon.
Operations on Objects
Ctrl + B | Cmd + B | Send to Back
Ctrl + F | Cmd + F | Bring to Front
Ctrl + Shift + B | Cmd + Shift + B | Send to Step Back
Ctrl + Shift + F | Cmd + Shift + F | Bring to Step Front
Ctrl + J | Cmd + J | Flip Vertical
Ctrl + H | Cmd + H | Flip Horizontal
Ctrl + L | Cmd + L | Rotate Left (90 degrees)
Ctrl + R | Cmd + R | Rotate Right (90 degrees)
Ctrl + Left/Right | Cmd + Left/Right | Rotate by 1 degree
Ctrl + Shift + Left/Right Arrow | Cmd + Shift + Left/Right Arrow | Rotate by 0.1 degree
Rotate with Ctrl | Rotate with Ctrl | Rotate around common rotation centre
Resize with Shift | Resize with Shift | Toggle between unproportional and proportional resizing
Stamp with Shift | Stamp with Shift | for 2D objects - proportional resize; for 1D objects - invert the connector's direction
Arrows | Arrows | Move the selection one pixel at a keystroke
Shift + Arrows | Shift + Arrows | Move the selection a few pixels at a keystroke
Ctrl + G | Cmd + G | Group the selected objects into one
Ctrl + E | Cmd + E | Edit Group
Ctrl + U | Cmd + U | Ungroup
Formatting objects
Ctrl + K | Cmd + K | Format Line Properties
Ctrl + M | Cmd + M | Format Fill&Shadow
Ctrl + Shift + T | Cmd + Shift + T | Format Text
Ctrl + Shift + R | Cmd + Shift + R | Set Protection for the selected object(s)
Ctrl + Shift + K | Cmd + Shift + K | Set Behavior for the selected object(s)
Ctrl + Shift + M | Cmd + Shift + M | Object Information
Switching between Modes
Ctrl + 1 | Enter, Ctrl + 1 | Activate Select tool
Ctrl + 2 | Ctrl + 2 | Activate Rotate tool
Ctrl + 3 | Ctrl + 3 | Activate Line tool
Ctrl + 4 | Ctrl + 4 | Activate Sector tool
Ctrl + 5 | Ctrl + 5 | Activate Arc tool
Ctrl + 6 | Ctrl + 6 | Activate Spline tool
Ctrl + 7 | Ctrl + 7 | Activate Rectangle tool
Ctrl + 8 | Ctrl + 8 | Activate Ellipse tool
Ctrl + 9 | Ctrl + 9 | Activate Connector tool
Ctrl + 0 | Ctrl + 0 | Activate Connection Point tool
F2 | F2 | Activate the Text Editing mode
Space | Space | Activate Scroll Hand tool
Shift in drawing | Shift in drawing | Constrained drawing mode (circle, square, etc.)
Click on the object's alignment box | Click on the object's alignment box | Switch between the Select and Rotate tools
Alt for drawing | Option for drawing | Invert (activate or disable) the Snap mode
Text Formatting
Ctrl + B | Cmd(Ctrl) + B | Bold
Ctrl + I | Cmd(Ctrl) + I | Italic
Ctrl + U | Cmd(Ctrl) + U | Underline
- | Ctrl + O | Outline
- | Ctrl + S | Shadow
- | Ctrl + C | Condense
Ctrl + L | Cmd(Ctrl) + L | Align on the left
Ctrl + E | Cmd(Ctrl) + E | Align in the center
Ctrl + R | Cmd(Ctrl) + R | Align on the right
Ctrl + ">" | Cmd(Ctrl) + ">" | Increase font
Ctrl + "<" | Cmd(Ctrl) + "<" | Decrease font
Ctrl + F | - | Select font
Ctrl + S | - | Select font size
Esc | Enter, Esc | Finish editing
Object Parameters Table
F2 | F2 | Start editing the selected cell
While editing a cell: single click on another cell | While editing a cell: single click on another cell | Inserts the formula from the cell you clicked into the input field
While editing a cell: Ctrl + click on another cell | While editing a cell: Ctrl + click on another cell | Inserts the numeric value of the cell into the input field
While editing a cell: Alt + click on another cell | While editing a cell: Alt + click on another cell | Inserts the cell title into the input field
Application
F1 | F1 | Call Help System
Ctrl + "*" | Cmd + ";" | Preferences (Application Settings)


MenuTour

Appendix B:

A Brief Menu Tour

"File" menu items
"Edit" menu items
"View" menu items
"Insert" menu items
"Format" menu items
"Figure" menu items
"Page" menu items
"Library" menu items
"Tools" menu items
"Window" menu items
"Help" menu items

"File" menu items

New Arrow1.gif (55 bytes) Browse Templates
Creates a new document from the template which you select.
Please refer to the "Creating a New Document from a Template" section for more detailed information.

New Arrow1.gif (55 bytes) Document (Drawing)
Creates a new document.
See the "Creating a New Document" section for more information.

Open
Opens an existing document.
Also lets you open other ConceptDraw files: templates, libraries, workspace files.
For more specific information, please refer to the "Opening and Closing Files" section.

New Library
Creates a new empty library in the Library window.
See the "Creating a New Library" section for details.

Open Library
Opens an existing library.
See the"Opening Libraries" section for specifics.

Close
Closes the active document together with all the windows where it is displayed.

Save
Saves the active document.
Please refer to the "Saving Documents" section for more information.

Save As
Saves the active document under a new filename.
Please refer to the "Saving ConceptDraw Files" section for more information.

Save Copy As
Saves the copy of document under a new filename.
Please refer to the "Saving Documents" section for more information.

Save As Template
Saves/creates a template file.
For specifics, refer to the "Saving a Document as Template" section.

Save Workspace
Saves/creates a workspace file.
For specifics, refer to the "Saving a Workspace File" section.

Mac.gif (169 bytes) Revert
Returns the document to the state of the latest saved version.

Import Arrow1.gif (55 bytes) Graphic File
Opens picture files of various graphic formats, importing the image into a new ConceptDraw document.
Please refer to the "Importing Files" section for more specific information.

Import Arrow1.gif (55 bytes) Text Data
Generates a chart from its textual description.
See the "Importing Files" section for more information.

Import Arrow1.gif (55 bytes) PowerPoint
Opens MS PowerPoint presentations, importing the objects into a new ConceptDraw document.
Please refer to the "Importing Files" section for more specific information.

Export Arrow1.gif (55 bytes) Graphic File
This option saves the document in a graphic format. You can select the objects to be exported, and set the options for the image (size and characteristics).
Please refer to the "Exporting Files" section for more specific information.

Export Arrow1.gif (55 bytes) Text Data
Lets you save your drawing in the form of textual description (flow or outline) in a plain text file.
See the "Exporting Files" section for more information.

Export Arrow1.gif (55 bytes) HTML
Saves the document in HTML format. You can select the objects to be exported and specify the export parameters (behavior of hyperlinks, image format and size.
See the "Exporting Files" section for more information.

Export Arrow1.gif (55 bytes) PowerPoint
Saves the document in MS PowerPoint format.
Please refer to the "Importing Files" section for more specific information.

Visio <->ConceptDraw File Conversion
Lets you address the Online Service for the two-way ConceptDraw-Visio file conversion from within ConceptDraw.
See "Importing Files" and "Exporting Files" for more information.

Print Preview
Lets you view - prior to actual printing - how the printed document will look.
Please refer to the "Print Preview" section for more specific information.

Print
Prints the active document. In the print settings dialog, you can specify the pages to be printed, the number of copies, etc.
You can find more specific information in the "Printing" section.

Page Setup
Lets you set the paper size, orientation and other printer settings.
Please refer to the "Print Page and Printer Settings" section for more specific information.

Send
Launches the mail client application for sending a document via e-mail.
You can refer to "Sending a Document via E-mail" for specifics.

Document Properties
Displays the dialog where you can specify the document name, size and orientation of the document pages, measurement system and other parameters for the document.
For specifics, please refer to the "Document Properties" section.

Recent Files / Open Recent
Lists the last files which were opened in ConceptDraw. You can select a file from the list to reopen it.

Exit / Quit
Closes all the open documents and exits ConceptDraw. If you haven't saved changes you made to a document, the program will offer you to save the document before quitting.

"Edit" menu items

Undo
Reverses the last operation you performed.
See the "Undo and Redo Operations" section for details.

Redo
Reverses the last Undo operation.
See the "Undo and Redo Operations" section for details.

Cut
Removes the selected objects or text and places hte selection onto the Clipboard.
Please refer to the "Copying and Pasting" section for more specific information.

Copy
Copies selected objects or text onto the Clipboard.
Please refer to the "Copying and Pasting" section for more specific information.

Paste
Pastes the contents of the Clipboard into the document.
Please refer to the "Copying and Pasting" section for more specific information.

Paste Special
Inserts the contents of the Clipboard into the document, letting you specify the format in which the pasted object will be stored. This option is most often used for inserting OLE-objects.
For specifics, see "Inserting an Object from an Open OLE-Compatible Application".

Paste From Clipboard
Inserts the content of the Clipboard into the active document as picture.
See the "Copying and Pasting" section for more specific information.

Paste In Place
If you copied a ConceptDraw object to the Clipboard, this command pastes it on the active page in the same place as it was copied from.
See the "Copying and Pasting" section for more specific information.

Put Into Library
Copies the selected object(s) from the document into the active library.
For specifics, refer to the "Adding an Object from the Document to a Library" section.

Replace Library Object
Replaces the selected library object with a new one without changing the icon.
For more information refer to the "Replacing an Object under the Existing Library Icon" section.

Substitute
Substitutes the selected library object (or the secondary selected object on the page) instead of the primary selected object in the document.
See "Replacing Objects and Unifying their Form (Substitute)" for more information.

Delete
Deletes the selected objects or handles.
See the "Deleting Objects" section for details.

Select All
Selects all the objects on the active page of the document.

Duplicate
Duplicates the selected object(s).
See the "Duplicating Objects" for specifics.

Object
Lets you edit the selected OLE object in its native application.
Please refer to the "Editing an OLE Object" section for specifics.

Preferences
Brings up the dialog where you can specify the global application settings: measurement units, page size for all new documents, paths to documents, libraries and templates, the default Internet browser, and some settings for document view.
Refer to the "Application Settings" section for more detailed information.

"View" menu items

Zoom In
Magnifies the document for detailed editing.
Refer to the "Zooming a Page" section for more specific information.

Zoom Out
Reduces the zoom level for you to see a bigger part of the page.
Refer to the "Zooming a Page" section for more specific information.

Zoom
Lets you choose a standard zoom level within the 50% - 400% range from the list.
See "Zooming a Page" section for more specific information.

Last Zoom
Returns the document to the previous zoom setting.
See "Zooming a Page" section for more specific information.

Actual Size
Displays the document at its actual size (100 %).

Page Width
Sets the zoom level so that the page width fits in the document window.
See "Zooming a Page" section for more specific information.

Whole Page
Sets the zoom level so that the entire page fits in the window.
See "Zooming a Page" section for more specific information.

All Objects
Sets the zoom level so that the all the objects on the page fit in the document window.
See "Zooming a Page" section for more specific information.

Rulers
Shows/hides the rulers.
See "Rulers and Grid" for specifics.

Grid
Shows/hides the background grid.
See "Rulers and Grid" for specifics.

Guides
Shows/hides the guide lines.
Refer to the "Guide Lines" section for more information.

Connection Points
Shows/hides the connection points of objects (they remain active even when hidden).
See details in the "Connection Points" section.

Connection Points In Groups
Shows/hides the connection points of objects in groups.
See details in the "Connection Points" section.

Page Breaks
Lets you choose to show/hide the page breaks for the documents. (Page breaks are grey lines which mark the non-printable areas and show the borders of the print pages).
See "Viewing the Document Breaking into Print Pages".

Mac.gif (169 bytes) Toolbars
Lets you check which toolbars to display.

Mac.gif (169 bytes) Toolbars Arrow1.gif (55 bytes) Customize
Displays the Toolbars dialog for you to customize the toolbars: choose the toolbars to display, and set their position (horizontal or vertical).

Libraries
Shows/hides the library window with all the open libraries.
See the "Library Window" section for more information.

Status Bar
Shows/hides the Status bar.

Layer Properties
Displays the dialog for modifying the properties of layers for the active document. It lets you name a layer, specify whether a certain layer is visible, active or locked, change the layer color.
You can find more detailed information in the "Working with Layers" section.

"Insert" menu items

InsertMenu.gif (483 bytes)

Picture
Imports a picture and inserts it into the active document.
See the "Pictures" section for specifics.

Hyperlink
Lets you assign a hyperlink to the selected object. You can create a hyperlink to jump to another page of the document, open a file, launch an application, open a Web page in the browser.
For specifics, please refer to the "Using Hyperlinks" section.

Object
Inserts an OLE object into the document.
Please see "OLE Objects in ConceptDraw Documents" for details.

"Format" menu items

Line
Displays the dialog in which you can change the line properties for the selected object(s),
and also add arrowheads to the line ends.
See the "Line Properties" section for more specific information.

Fill&Shadow
Displays the dialog which lets you change the fill color and pattern for the selected object(s),
and also add shadow or modify the shadow color and pattern.
Refer to the "Fill Patterns and Colors" and "Shadows" section for more specific information.

Text
Brings up the dialog for you to set the properties for the selected stretch of text (or whole text blocks in the selected objects). In the dialog, you can set the font type and size, text color and style, margins and indentation, text background color.
See "Using the Text Properties Dialog for Formatting Text".

Hyperlink Arrow1.gif (55 bytes) Open
Follows the hyperlink associated with the selected object. Depending on the hyperlink type, this command can open a page of the document, open another document, launch an application, or open a Web page in the browser available.
For more specific information, refer to the "Using Hyperlinks" section.

Hyperlink Arrow1.gif (55 bytes) Edit
Lets you assign a hyperlink to the selected object or modify the existing hyperlink. You can target the hyperlink to jump to another page, open a document, launch an application, open an Web page in the browser.
This dialog also lets you disable the existing hyperlink.
For more specific information, refer to the "Using Hyperlinks" section.

Protection
Displays the Protection dialog letting you lock some properties of the selected object against deleting or changing width, height, angle etc.
Please refer to the "Protection" section for specifics.

Double-Click
Assigns the action to be performed on double-clicking the object.
See the "Double-Click" section for details.

Set Layer
Lets you moves the selected objects onto another layer.
For more specific information, refer to the "Working with Layers" section.

Behaviour
Opens the Behaviour dialog in which you can specify whether the object is 1-Dimensional or 2-Dimensional. You can also set how the object should behave when resized, and show/hide its alignment box and handles.
Please see the "Behaviour" section for more detailed information.

Information
Calls the Information dialog which displays the specific information about the selected object. In this dialog, you can name and describe the object.
See the "Information" section for specifics.

"Figure" menu items

Send To Back
Puts the selected objects to be displayed behind all other objects.
Please refer to the "Changing the Order in which the Objects are Displayed" section for more detailed information.

Bring To Front
Displays the selected objects above all other objects.
Please refer to the "Changing the Order in which the Objects are Displayed" section for more detailed information.

Send To Step Back
Positions selected objects one step lower in the order list.
Please refer to the "Changing the Order in which the Objects are Displayed" section for more detailed information.

Bring To Step Front
Positions selected objects one step higher in the order list.
Please refer to the "Changing the Order in which the Objects are Displayed" section for more detailed information.

Smart Connect
Connects the selected objects to the primary selected one, using the Smart connectors.
For more information, see "Tools for Multiple Connection".

Direct Connect
Connects the selected objects to the primary selected one, using the Direct connectors.
For more information, see "Tools for Multiple Connection".

Rotate Left (90)
Rotates the selected objects by 90 degrees counterclockwise.
See the "Rotating" section for more detail.

Rotate Right (90)
Rotates the selected objects by 90 degrees clockwise.
See the "Rotating" section for more detail.

Flip Vertical
Replaces the selected objects with the vertically mirrored copy.
Please refer to the "Flipping Objects" section for specifics.

Flip Horizontal
Replaces the selected objects with the horizontally mirrored copy.
Please refer to the "Flipping Objects" section for specifics.

Edit Text
Turns on the text editing mode for the selected object.
For specifics, refer to the "Text Editing Mode" section.

Group
Groups the selected objects so that they behave as one.
For more specific information, please refer to the "Grouping Objects" section.

Ungroup
Ungroups the selected grouped unit, so that you get separate objects.
For more specific information, please refer to the "Grouping Objects" section.

Edit Group
Opens a new window in which you can edit the selected grouped unit without ungroping it.
For more specific information, please refer to the"Grouping Objects" section.

Operations Arrow1.gif (55 bytes) Combine
Combines several selected figures into one. The result is a complex figure consisting of several geometries with unified line and fill properties.
Please refer to the "Combine" section for specifics.

Operations Arrow1.gif (55 bytes) Join
Joins several selected figures so that they form a single figure. As the result of this operation, the geometries with coinciding ends are merged into one solid geometry.
Please refer to the "Join" section for specifics.

Operations Arrow1.gif (55 bytes) Scattering
Splits the selected complex figure into separate geometries, so that each solid path contained in the figure becomes a separate object.
Please refer to the "Scattering" section for specifics.

Distribute
Equalizes the horizontal or vertical distances between the selected objects (if 3 or more objects are selected).
You can choose to equalize the following horizontal distances:
Horizontal Spacing - the spacing between the objects,
Left, Right - the distances between the left or right edges of the objects,
Center - between the centers of the objects.
You can choose to equalize the following vertical distances:
Vertical Spacing - the spacing between the objects,
Top, Bottom - the distances between the top or bottom edges of the objects,
Middle - or between the centers of the objects.
See the "Distributing Objects" section for more information.

Align
Lets you align the selected objects (if 2 or more) horizontally or vertically with respect to the primary selected object (the one displaying green handles).
You can choose to align the objects horizontally:
Left, Right - on the left or right edges,
Center - on the centers.
You can choose to align the objects vertically:
Top, Bottom - on the top or bottom edges,
Middle - on the centers.
See the "Aligning Objects" section for more information.

Make Same
Lets you unify the properties of the selected objects (if 2 or more) after the primary selected object (the one displaying green handles). You can choose to unify
Style - line, fill, shadow and text properties,
Width, Height - the width or the height of the objects,
Size - the sizes of the objects (both width and height).
See the "Resizing" section for more information.

Make Same Arrow1.gif (55 bytes) Fit to text
Resizes the selected objects according to the dimensions of text they contain.
See the "Fit to Text" section for more information.

"Page" menu items

Add
Adds a new empty page to the active document.
See the "Adding a Page" section for details.

Delete
Removes the selected page of the document.
See the "Deleting a Page" section for details.

Reorder
Allows you to rearrange the pages in the active document.
For specifics, refer to the "Reordering Pages" section.

Go To
Activates the specified page.
For specifics, refer to the "Navigation by Pages" section.

Properties
Lets you rename the page.
Please see the "Naming a Page" section for details.

"Library" menu items

MenuLibrary.gif (2890 bytes)

New
Creates a new empty library in the Library window.
See the "Creating a New Library" section for details.

Open
Opens an existing library.
See the"Opening Libraries" section for specifics.

Close
Clises the active library.

Close All
Closes the library window with all the open libraries, offering you to save any unsaved data.

Object Arrow1.gif (55 bytes) Cut
Removes the library object selected in the active library and places it onto the Clipboard.
See "Moving Objects between and within Libraries".

Object Arrow1.gif (55 bytes) Copy
Copies the library object selected in the active library and places it onto the Clipboard.
See "Moving Objects between and within Libraries".

Object Arrow1.gif (55 bytes) Paste
If the Clipboard contains a ConcetDraw object, this command adds it to the active library, creating the icon automatically.
See "Moving Objects between and within Libraries".

Object Arrow1.gif (55 bytes) Remove
Deletes the library object selected in the active library.
See "Deleting an Object from a Library".

Object Arrow1.gif (55 bytes) Change Icon
Lets you replace the selected library object's icon with another Bitmap drawing sized 29*29. The object itself is kept intact, only the icon is changed.
See "Changing the Icon of an Object".

Object Arrow1.gif (55 bytes) Properties
Calls the Object Properties dialog for the selected library object to let you assign or change its name and prompt.
See "Properties of Library Objects".

"Tools" menu items

Select
Activates the Select tool mode.

Rotate
Activates the Rotate tool mode and lets you rotate objects.

Draw Arrow1.gif (55 bytes) Line Segment
Activates the Line tool mode and lets you draw lines and manipulate vertices of figures.

Draw Arrow1.gif (55 bytes) Sector Segment
Activates the Sector tool mode and lets you draw circular sectors, manipulate vertices of figures, and change the curvature of segments.

Draw Arrow1.gif (55 bytes) Arc Segment
Activates the Arc tool mode and lets you draw elliptic arc segments, manipulate vertices of figures and change the curvature of segments.

Draw Arrow1.gif (55 bytes) Spline Segment
Activates the Spline tool mode and lets you draw custom smooth curves, and also manipulate vertices of figures and change the curvature of spline segments.

Centre Page
Positions the selected object(s) in the centre of the document page.

Centre Vertically
Changes the vertical position of the selected objects moving them to the center of the page.

Centre Horizontally
Changes the horizontal position of the selected objects moving them to the center of the page.

Color Palette
Lets you modify, load or save the color palette for the active document.
For specifics, refer to the "Color Palette" section.

Grid
Displays the dialog which lets you modify the grid properties for the active document. You can set the grid type, spacing etc.
Please see the "Rulers and Grid" section for details.

"Window" menu items

WindowMenu.gif (1241 bytes)

New Window
Opens a new window and displays the active document in it. This is useful when you are editing a page, but need to see its original copy at the same time, or work with several pages of the same document simultaneously.

Cascade
Arranges all the open windows so that each next window appears slightly down and to the right from the previous one. This way you can access each window quickly.

Tile Vertically
Arranges all the open windows vertically as non-overlapping tiles.
See "Manipulating the Windows".

Tile Horizontally
Arranges the open the windows vertically as non-overlapping tiles.
See "Manipulating the Windows".

Close Window
Closes the active window, offering you to save the unsaved changes to the document.

Close All
Closes all open windows of the program, offering you to save all unsaved data.
See "Manipulating the Windows" for more information.

List of Windows
The list of all the open windows and the documents displayed in them.

"Help" menu items

HelpMenu.gif (2017 bytes)

ConceptDraw Help
Calls the ConceptDraw Help System. It is opened in a separate window where you can see a number of articles containing information on how to use the product. You can read or print the articles, search them for the needed information.

The help system is made up of two parts:
1 generals about ConceptDraw;
2 a detailed Reference Manual for you to consult as necessary.

You can choose the topic from the Contents and click the mouse to see the section you need.

What's New
Displays the information about the new features and fixes as compared with the previous version of the software, and also the differences between the Standard and Professional versions..

ConceptDraw On the Web Arrow1.gif (55 bytes) ConceptDraw Web Site
Launches your Internet browser and opens the ConceptDraw page on the Web:

http://www.conceptdraw.com/

This web site is devoted to ConceptDraw and other products of the ConceptDraw line created by Computer Systems Odessa Corp.
On the Web site, you can see the samples and descriptions of ConceptDraw features, and learn more about the various task-related editions of ConceptDraw and about other products.
You can download the free demo versions of ConceptDraw and other products to try them yourself. The latest news are also available on this site. You can order the products online and take advantage of many other interesting offers and opportunities.

ConceptDraw On the Web Arrow1.gif (55 bytes) Register Now
Registers the program owner on the ConceptDraw web site:

http://www.conceptdraw.com/Register/

About ConceptDraw
Displays general information about ConceptDraw and about Computer Systems Odessa Corporation, the creators of this product. You can see the title, version number, developers information and copyright information.
There are also links to CS Odessa Web sites for you to get more information about the ConceptDraw application and other CS Odessa products and choose the ones you find helpful for yourself.


"Actions" Section

In this section, you can create and describe the user's context menu.
Since an object may have no user's context menu, this section may be missing in the table.

To add the Actions section to the table:

  1. Apply the Insert Sections command from the Edit menu or from the context menu in the table window.
    The Insert Section dialog will come up.
  2. In the dialog, check the Actions option and click OK.
    The Actions section will be added to the table. Initially, it has one row (for describing one menu item).

Sometimes it may be possible that the Actions section already exists in the table, but it is not visible.
The View Sections dialog lets you show/hide the table sections.

To show the Actions section:

  1. Apply the View Sections command from the Edit menu or from the context menu in the table window.
    The View Sections dialog will come up.
  2. In the dialog, check the Actions option and click OK.

The Actions section appears in the table. Each row in the section corresponds to a user's menu item.

To add a new menu item:

  1. Use the Add Row command from the Edit menu or from the context menu in the table window.
  2. A new row will be added to the end of the section. Then you can describe the menu item.

To delete a menu item:

  1. Activate the row describing the menu item you want to delete (just select any of its cells).
  2. Use the Delete Row command from the Edit menu or from the context menu for the row.

This will delete the row that describes this user's menu item. Removing the last row removes the entire section.

Action

This field determines the action the program takes when the menu item is clicked. For instance, clicking the menu item can assign a value to a parameter of the object: _SETF("Variables.X4";0.2).
To create a line separating the menu items, input any number (other than 0) in this field.

Menu

Type the name of the menu item here. The name must be enclosed in quotation marks.

Prompt

The text that will appear on the Status bar when you position the pointer over the menu item. The text must be enclosed in brackets.

Checked

The flag that defines whether the check sign on the left of the menu item should be displayed.

TRUE - show the check sign;
FALSE - don't show the check sign.

Disabled

The flag that disables the menu item (when disabled, the item appears in grey and can't be selected).

TRUE - disable the menu item;
FALSE - enable the menu item.

Back to Table Sections


"Connect" Section

This section describes the connection points of the object.
Since an object may have no connection points, this section may be missing in the table.

To add the Connect section to the table:

  1. Apply the Insert Sections command from the Edit menu or from the context menu in the table window.
    The Insert Section dialog will come up.
  2. In the dialog, choose the Connection Points option and click OK.
    The Connect section will be added to the table. It will have one row (for describing one connection point).

Sometimes it may be possible that the Connect section already exists in the table, but is not visible.
The View Sections dialog lets you show/hide the table sections.

To show the Connect section:

  1. Apply the View Sections command from the Edit menu or from the context menu in the table window.
    The View Sections dialog will come up.
  2. In the dialog, check the Connection Points option and click OK.

The Connect section will appear in the table. It displays information about the connection points of the object.

To add a connection point:

  1. Use the Add Row command from the Edit menu or from the context menu in the table window.
  2. A new row describing a connection point will be added to the end of the section. Then you can set its parameters.

To delete a connection point:

  1. Activate the row describing the connection point you want to delete (just select any of its cells).
  2. Use the Delete Row command from the Edit menu or from the context menu for the row.

The row describing that connection point will be removed. Removing the last connection point removes the whole section.

All parameters in the Connect section refer to the coordinate system of the object.

X

This field describes the X offset of the connection point.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

Y

This field describes the Y offset of the connection point.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

Back to Table Sections


Connection Points

Connection Points are associated with an object. They indicate the locations in which other objects can be glued to it (by the endpoints or control handles at their endings).
They take effect when the object is repositioned: all connectors glued to the object's connection points will then reshape to maintain the connection.
The connection points look like blue crosses that appear on an object or near it. When the object is primary selected, the connection points assigned to this object are displayed in red. The connection points may lie both on the body of the object and outside it. Then the red color helps us tell to which object the connection point belongs.

ConnectPoint.gif (1383 bytes)

To create, move or delete connection points, switch to the Connection Point mode in either of the following ways:
a) click on the Connection Point tool ConnectPointTool.gif (160 bytes) on the toolbar,
b) check Connection Point in the Tools / Draw menu,
c) or use the keyboard:

Ctrl + 0 Cmd + 0

Creating a Connection Point

To add a connection point to an object:

  1. Select the object to which you will assign a connection point.
  2. Switch to the Connection Point tool mode.
  3. Click the object with the Connection Point tool in the places where you want the new connection points to appear.

AddConnPoint.gif (753 bytes)

Note: If the Snap mode [image] is active, the connection points you add will be pulled to the nearest snap locations (grid lines and nodes). If you want to position the connection points precisely, you can turn Snap off on the fly by holding down the Alt key (in Windows) or Cmd key (in Mac OS). When you release the modifier key, the Snap mode will be restored again.

If you put a new Connection Point over an object (no matter whether selected or not), the new connection point is assigned to this object (the object will become selected automatically).

If you put a new Connection Point outside any object, it is assigned to the currently selected object. If several objects were selected, the new connection points are added to the object with primary selection.

You can select objects without quitting the Connection Point mode. Hold down the Ctrl key (in Windows) or the Cmd key (in Mac OS) and click on the needed object to select it. To select several objects, you also need to hold down the Shift key.

Manipulating Connection Points

In the Connection Point mode ConnectPointTool.gif (160 bytes), you can select, reposition and delete connection points.

To select a connection point, move the mouse over it, so that the pointer changes into MoveConnPoint.gif (81 bytes), and click the mouse. The selected connection point turns magenta. If you need to select several connection points, hold down Shift when clicking.

To move a connection point, drag it with the mouse to a new location.
To move several connection points at a time, select them and drag by one of the selected connection points (start dragging when the pointer changes into MoveConnPoint.gif (81 bytes) over this connection point).

To delete one or more connection points, select them (hold down Shift for multiple selection) and press the Del key.

In ConceptDraw, you can choose to show / hide connection points of objects. In the View menu, uncheck the Connection points item to hide the connection points, or check this item to show them.
Note that the connection points remain functional even when they are not visible.

Connection Points of Grouped Objects

When objects are included into a group, you can still use their connection points. Normally, these connection points are not visible. But when you select an object in a group, its connection points appear in grey, and you can glue connectors to them.

If you want to always see the connection points of grouped objects, enable Connection Points In Groups in the View menu.

Note that connection points remain functional even when they are not visible.

See also:

Connecting Objects
Smart Connector
Direct Connector
Tools for Multiple Connection
Auto-Connection Modes


Types of Connectors

In drawing, you can use connectors of two types: the Smart Connector and the Direct Connector. They are handy for depicting various connections, and their intelligent behavior makes it easy to work with the objects in your document.
And moreover, you can make any object behave as a direct connector and use it for presenting various relations.

Smart Connector

The Smart Connector is composed of vertical and horizontal lines, which form a solid path. The connector rebuilds automatically when the objects are moved: it keeps them connected, always facing the points of connection, and does not overlap other objects.

The middle control handles on the connector let you adjust its shape. The connector will keep its shape until you move one of the connected objects.

Use the Connector tool [image] to create a Smart Connector. To get two objects connected straight away, start and finish drawing the connector over the connection points of the objects.

SmartConnecting.gif (1960 bytes)

Another way is to draw a connector first, and then glue its endpoints to the objects as you need.

Note: You can also use the the Tools / Draw / Connector menu to switch to the Connector tool.

Ctrl + 9 Cmd + 9

Direct Connector

The Direct Connector lets you connect objects with straight lines, and rebuilds when the objects are moved.
You can draw it with the help of the Direct Connector tool [image]. To get two objects connected straight away, start and finish drawing the connector over the connection points of the objects.

DirectConnecting.gif (3023 bytes)

Another way is to draw a connector first, and then glue its endpoints to the objects as you need.

Note: You can also use the the Tools / Draw / Direct Connector menu to switch to the Direct Connector tool.

Using an Object as a Connector

You can turn any object into a connector by simply changing it into a 1D object. As a result, you obtain an Object-Connector which behaves in the same way as the direct connector (see above).

An object-connector can be created by turning any 2D object into a 1D object. Select the object and use the Format / Behaviour menu to call its Behaviour dialog. In the Interaction style section of this dialog, select Line (1-Dimensional). The object will show the begin point and the end point which appear in the middle of the left and right sides of the object's alignment box.

For a 1D object, dragging the endpoints affects its width and angle at once. By dragging the size handles, you control its height. If the Rotate tool is on, the endpoints are substituted with rotation handles.

Tools for Multiple Connection

ConceptDraw also offers you handy tools for connecting one object to several other objects at a time, by way of connecting to the entire objects:
the Connect Figures tool ConnectFigureTool.gif (162 bytes) and the Direct Connect tool DirectConnectTool.gif (151 bytes).

To connect an object to one or more others:

  1. Select the object you want to connect to other objects (it will display green handles - for primary selection).
  2. Then, with the Shift key held down, select the objects to which the first object will be connected (they will display blue handles - for secondary selection).
  3. Click the Connect Figures or Direct Connect button. The object with primary selection will be connected to the other selected objects.

The Connect Figures tool ConnectFigureTool.gif (162 bytes) uses smart connectors:

The Direct Connect tool DirectConnectTool.gif (151 bytes) uses direct connectors:

Auto-Connection Modes

In ConceptDraw, you can use the two modes for connecting objects automatically:
the Smart Connection Mode SmartMode.gif (133 bytes) (which uses Smart Connectors)
and the Direct Connection Mode DirectMode.gif (127 bytes) (using Direct Connectors to tie the objects).

When in an auto-connection mode, any object that you add to the document (draw or drop on the page, paste from another application, take from a library etc.) gets automatically connected to the previously selected object by an automatic connector.

Auto-connection modes are very useful for quickly sketching large schemes. You do not need to think about connecting objects, you just arrange them on the page.
For example, you can switch to the Smart Connection Mode and draw or select the initial element of the scheme. Then you draw other elements of your scheme, and each new object you add will be connected automatically to the previous selected object. You can select an object and then start creating a new one which should be connected to it.

See also:

Connecting Objects
Connection Points


"Controls" Section

This section describes the control handles of the object.
Since an object may have no control points, this section may be missing in the table.

To add the Controls section to the table:

  1. Apply the Insert Sections command from the Edit menu or from the context menu in the table window.
    The Insert Section dialog will come up.
  2. In the dialog, choose the Control Points option and click OK.
    The Controls section will be added to the table. It will have one row (for describing one control handle).

Sometimes it may be possible that the Controls section already exists in the table, but is not visible.
The View Sections dialog lets you show/hide the table sections.

To show the Controls section:

  1. Apply the View Sections command from the Edit menu or from the context menu in the table window.
    The View Sections dialog will come up.
  2. In the dialog, check the Control Points option and click OK.

The Controls section will appear in the table. It displays information about the control handles of the object.

To add a control handle:

  1. Use the Add Row command from the Edit menu or from the context menu in the table window.
  2. A new row describing a control point will be added to the end of the section. Then you can set its parameters.

To delete a control handle:

  1. Activate the row describing the control handle you want to delete (just select any of its cells).
  2. Use the Add Row command from the Edit menu or from the context menu for the row.

The row describing that control point will be removed. Removing the last control point removes the whole section.

All parameters in the Controls section use the coordinate system of the object.

X

Describes the X offset of the control handle.
If you didn't change this value, the origin point for the offset is determined by the value in the X Behaviour field:
0, 1, 2, 5, 6, 7 - offset with respect to the left side of the alignment box (e.g. Width*0.25);
3,8 - offset with respect to the centre of the alignment box (e.g. Width/2-63.5);
4,9 - offset with respect to the right side of the alignment box (e.g. Width-190.5).

In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

Y

Describes the Y offset of the control point.
If you didn't change this value, the origin point for the offset is determined by the value in the Y Behaviour field:
0, 1, 2, 5, 6, 7 - offset with respect to the top of the alignment box (e.g. Height*0.75);
3,8 - offset with respect to the centre of the alignment box (e.g. Height/2+63.5);
4,9 - offset with respect to the bottom of the alignment box (e.g. Height-63.5).

In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

XDyn

This is the X coordinate of the end of the line that drags behind the control handle as you move it.

In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

YDyn

This is the Y coordinate of the end of the line that drags behind the control handle as you move it.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

XBehaviour

This parameter determines how the control handle moves along the X axis when the object is resized.
If there was a default formula in the X field, the program changes it according to the XBehaviour field value after the control point is repositioned.

When resizing the object:
0 - The control repositions proportionally with respect to the alignment box.
1 - The control point repositions proportionally with respect to the alignment box. The repositioning with the mouse along the X axis is locked.
2 - The distance to the left side of the alignment box remains constant.
3 - The distance to the centre of the alignment box remains constant.
4 - The distance to the right side of the alignment box remains constant.
5- The control point is invisible. When resizing the object, the control point moves proportionally with respect to the alignment box.
6- The control point is invisible. When the object is resized, the control point moves proportionally with respect to the alignment box. The repositioning with the mouse along the X axis is locked.
7 - The control point is invisible. When the object is resized, the distance to the left side of the alignment box remains constant.
8 - The control point is invisible. When the object is resized, the distance to the centre of the alignment box remains constant.
9 - The control point is invisible. When the object is resized, the distance to the right side of the alignment box remains constant.

Y Behaviour

This parameter determines how the control point moves along the Y axis when the object is resized.
If there was a default formula in the Y field, the program changes it according to the YBehaviour field value after the control point is repositioned.

When resizing the object:
0 - The control repositions proportionally with respect to the alignment box.
1 - The control point repositions proportionally with respect to the alignment box. The repositioning with the mouse along the Y axis is locked.
2 - The distance to the top of the alignment box remains constant.
3 - The distance to the centre of the alignment box remains constant.
4 - The distance to the bottom of the alignment box remains constant.
5- The control point is invisible. When the object is resized, the control point moves proportionally with respect to the alignment box.
6- The control point is invisible. When the object is resized, the control point moves proportionally with respect to the alignment box. The repositioning with the mouse along the Y axis is locked.
7 - The control point is invisible. When the object is resized, the distance to the top of the alignment box remains constant.
8 - The control point is invisible. When the object is resized, the distance to the centre of the alignment box remains constant.
9 - The control point is invisible. When the object is resized, the distance to the bottom of the alignment box remains constant.

Comment

Use this comment to assign the tip for the control point. If this field is not empty, the text in the field will show up when you pause the mouse pointer over the control point.

Back to Table Sections


"Endpoints" Section

This section describes the coordinates (X and Y) of the begin point and the end point of 1D object with respect to the parent group.

BeginX

Describes the X offset of the begin point with respect to the origin point of the parent group.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

BeginY

Describes the Y offset of the begin point with respect to the origin point of the parent group.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

EndX

Describes the X offset of the end point with respect to the origin point of the parent group.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

EndY

Describes the Y offset of the end point with respect to the origin point of the parent group.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

Back to Table Sections


"Fill Format" Section

In this section you can set the parameters describing the fill and shadow properties of the object.

FillPattern

Sets the fill pattern. The following values are available:
0 - no fill pattern;
1 - fill with plain foreground color (set in FillForegnd);
2 - 38 - use a fill pattern;
50 - 53 - use gradient fill pattern.

FillForegnd

Sets the foreground color. The value in the field corresponds to the number of the color in the color palette of the document. The valid values are 0 to 255.

FillBackgnd

Sets the background color. The value in the field corresponds to the number of the color in the color palette of the document. The valid values are 0 to 255.

ShadowPattern

Sets the shadow fill pattern. The following values are available:
0 - no fill pattern;
1 - fill with plain foreground color (set in ShadowForegnd);
2 - 38 - use a shadow pattern.

ShadowForegnd

Sets the shadow foreground color. The value in the field corresponds to the number of the color in the color palette of the document. The valid values are 0 to 255.

ShadowBackgnd

Sets the shadow background color. The value in the field corresponds to the number of the color in the color palette of the document. The valid values are 0 to 255.

Note: Alternatively, these settings can be changed in the Fill&Shadow dialog (Format menu).

Back to Table Sections


Character Format

"Character Format" Section

The text of any object is composed of one or more text blocks. A text block is a section of text with same formatting styles, that is, same font type and size, font color and font attributes (bold, italic, etc.).
In the Character Format section, each block is described in an individual row. The title field of each row shows the position of the last character of this block counting from the beginning of the entire object text.

Font

This field contains the number of the font it has in the font list of the document. The program generates this list basing on the fonts installed on your system. If you paste some text in the document, and the font of this text is missing on your system, the application will display this text in the Arial font.

Size

This field contains the font size in pixels. Only positive values can be used.

Color

This field specifies the color of the text in the block. The value corresponds to the number of the color in the color palette of the document. The value may vary from 0 to 255.

Style

The number in the field describes the font attributes for the text block. Each attribute is associated with a digit in the binary representation of the number:
2^0=1 - bold;
2^1=2 - italic;
2^2=4 - underlined;
2^3=8 - crossed out.

So, the number for the bold italicized font will be 1+2=3.

Note: Alternatively, these parameters can be changed under the Font tab of the Text Properties dialog.

Back to Table Sections


"Geometry" Section

This section describes geometries (or solid sequences of segments) of the object. Since an object may have more then one geometry, there may be several Geometry sections. Then a number follows the section name: Geometry1, Geometry2, ...

To add a new Geometry section:

  1. Apply the Insert Sections command from the Edit menu or from the context menu in the table window.
    The Insert Section dialog will come up.
  2. In the dialog, choose the Geometry option and click OK.
    A new Geometry section will be added to the table. It will have three rows: Properties, Start and LineTo.

Sometimes it is possible that Geometry sections exist in the table but you can't see them because they are hidden.
The View Sections dialog lets you show/hide the table sections.

To show the Geometry sections:

  1. Apply the View Sections command from the Edit menu or from the context menu in the table window.
    The View Sections dialog will come up.
  2. In the dialog, check the Geometry option and click OK.

Each Geometry section lists the segments which make up the geometry.
A segment may represent a dot, a part of line, a circular or elliptic arc, a part of spline. In the table, the end of one segment usually coincides with the beginning of the adjoining segment.

All the coordinates appear with respect to the the coordinate system of the object.

You can add a segment to the active section:

  1. Use the Add Row command from the Edit menu or from the context menu in the table window.
  2. A new LineTo segment will be added to the end of the current Geometry section. Then you can set its parameters.

Properties.X

This parameter defines whether the geometry (the set of segments) is visible or not.
The value appears in the binary format:
TRUE - the set of segments is visible;
FALSE - the set of segments isn't visible.

The default value is TRUE.

By changing this flag, you may hide or display geometries of an object.

In the formulas, this parameter is addressed in the following way
(N presents the the number of the geometry):

Geometry<N>.Visible

The Number presents the the number of the geometry.

Properties.Y

This parameter defines whether the fill of the object is visible.
It is available for closed geometries only. The value is binary:
TRUE - show fill;
FALSE - hide fill.

The default value is TRUE.

In the formulas, this parameter is addressed in the following way
(N presents the the number of the geometry):

Geometry<N>.Filled

Start

The starting point of the set of segments. The X and Y fields contain the respective coordinates.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

Each Geometry section has only one Start parameter.

LineTo

A line segment.

This segment is defined by two points:

1) Begin point: the coordinates are taken from the X and Y fields of the previous segment.
2) End point: the coordinates are stored in the X and Y fields of the row.

In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

ArcTo

An arc of a circle.

This segment is defined by three points:

1) Begin point: the coordinates are taken from the X and Y fields of the previous segment.
2) End point: the coordinates are stored in the X and Y fields of the row.
3) A point on the arc: the coordinates are stored in the A and B fields of the row.

In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

EllipseTo

An elliptic arc.

This segment is defined by three points and two additional parameters:

1) Begin point: the coordinates are taken from the X and Y fields of the previous segment.
2) End point: the coordinates are stored in the X and Y fields of the row.
3) A point on the arc: the coordinates are stored in the A and B fields of the row.

In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

4) The ratio of the large semi-axis to the small semi-axis: contained in the C field.
If this value equals 1, an elliptic arc becomes a circular arc.
5) The large semi-axis angle: contained in the D field.
The angle value is indicated with respect to the frame of reference of the object.

In the Formulas mode, you see the angle in radians, in the Values mode the angle is displayed in degrees. The angle is usually within 0 to 180 degrees range.

SplineStart

The starting segment of the spline.

It is defined by two points:

1) Begin point: the coordinates are shown in the X and Y fields.
2) Guide point: the coordinates are stored in the A and B fields.

In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

The SplineStart segment in the table should be followed by one or more SplineKnot segments.

SplineKnot

A segment of the spline.

It is defined by four points:

1) Begin point: the coordinates are taken from the X and Y fields of the previous segment.
2) Begin Guide point: the coordinates are taken from the A and B fields of the previous segment.
3) End point: the coordinates are shown in the X and Y fields.
4) End Guide point: the coordinates are stored in the A and B fields of the row.

In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

Back to Table Sections


"Line Properties" Section

This section contains variables which describe the appearance of the lines that form the object. Others define the shape and size of the arrowheads, which geometries may have at their ends.

LineStyle

This parameter sets the dash or dot pattern for the line. One of the following values can be used:

0 - the line is invisible;
1 - the line is solid;
2 - 16 - different dash or dot patterns.

LineWidth

Describes the line width. One unit equals one tenth of millimeter. The valid value range is 1 to 500 units.

LineColor

Specifies the line color. The value in the field corresponds to the color number in the color palette of the document. The value range is 0 to 255.

BeginArrow

This parameter specifies the type of arrowhead for the beginning of each geometry of the object. You can use one of the following values:
0 - no arrowhead;
1 - 60 - different arrowhead types.

EndArrow

This parameter specifies the type of arrowhead for the end of each geometry of the object. You can use one of the following values:
0 - no arrowhead;
1 - 60 - different arrowhead types.

ArrowSize

Specifies the size of the arrows on the object. The following sizes are available:
0 - Tiny;
1 - Small;
2 - Medium;
3 - Big;
4 - Large.

Note: Alternatively, you can change these settings in the Line Properties dialog (Format menu).

Back to Table Sections


"Miscellaneous" Section

This section contains parameters that define the appearance and behaviour of the object.

ObjHandles

A binary value which defines whether the object's rotation and resize handles are visible or not.
TRUE - the handles are visible;
FALSE - the handles are invisible.

AlignBox

A binary value which defines whether the object's alignment box is visible or not.
TRUE - the alignment box is visible;
FALSE - the alignment box is invisible.

NonPrinting

A binary value which defines whether the object will be printed when you print the page.
TRUE - the object will not be printed;
FALSE - the object will be printed.

ResizeBehavior

This field determines the way the object behaves when you resize the group to which it belongs.

0 - Corresponds to the group's appropriate setting;
1 - Simply repositions keeping the size;
2 - Resizes when the group is resized.

CtrlHandles

A binary value which defines whether the object's control handles are visible or not.
TRUE - the control handles are visible;
FALSE - the control handles are invisible.

ShowText

A binary value which defines whether the object's text is visible or not.
TRUE - the text is visible;
FALSE - the text is invisible.

Back to Table Sections


Paragraph Format

"Paragraph Format" Section

A paragraph is a text block that ends with the line feed symbol. An object's text can consist of one or more paragraphs. Paragraphs may have alignment and indentation. The values of indents don't depend on the scale of the document.

Normally, the Paragraph Format section contains several rows, each of them describing one paragraph. The title field of each row shows the position of the last character of the paragraph counting from the beginning of the entire object text.

FirstInd

Specifies the indent for the first line of the paragraph.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure. This value doesn't depend on the scale of the document.

LeftInd

Specifies the indent of the left side of the paragraph.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure. This value doesn't depend on the scale of the document.

RightInd

Specifies the indentation of the right side of the paragraph.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure. This value doesn't depend on the scale of the document.

HAlign

This field describes the horizontal alignment of the paragraph in relation to the text box. The number in the field corresponds to the following alignment type:

0 - align on the left side of the text box;
1 - align on the centre of the text box;
2 - align on the right side of the text box.

Note: Alternatively, these parameters can be changed on the Paragraph tab of the Format / Text Properties dialog.

Back to Table Sections


"Protection" Section

It this section you can lock some parameters of the object against changing: they will remain unchanged when you manipulate the object with the mouse or with the keyboard.
However, even when locked, these parameters can be still changed in the Object Parameter Table.

Note: They may also be changed when you apply some actions to a group to which the object belongs (resizing, etc.) But you can use the Format / Behaviour dialog to set the behaviour of the object within a group.

The locked handles of the object appear as grey padlocks.

All values of this section are binary values.

LockWidth

Locks the object's width against resizing.

TRUE - the width can't be sized;
FALSE - the width can be sized.

LockHeight

Locks the object's height against sizing.

TRUE - the height can't be sized;
FALSE - the height can be sized.

LockMoveX

Locks the object against moving it horizontally.

TRUE - horizontal movements are prohibited;
FALSE - horizontal movements are allowed.

LockMoveY

Locks the object against moving it vertically.

TRUE - vertical movements are prohibited;
FALSE - vertical movements are allowed.

LockAspect

Locks the object against unproportional resizing.

TRUE - only proportional resizing is possible;
FALSE - both proportional and unproportional resizing is possible.

LockCalcWH

Sets whether the alignment box of the object remains the same after you move a vertex on the object, or changes according to the new contour of the object.

TRUE - the alignment box remains the same;
FALSE - the alignment box changes according to the new contour.

LockRotate

Locks the object against rotation.

TRUE - the rotation is prohibited;
FALSE - the rotation is allowed.

LockDelete

Locks the object so that it cannot be deleted. When you try to delete a locked object, a warning is displayed that it can't be deleted.

TRUE - the object is protected against deleting;
FALSE - the object can be deleted.

Note: If you want to protect a large number of objects against deleting, it is convenient to assign them all to a separate layer, and then lock that layer in the Layer Properties dialog.

LockBegin

Locks the begin point of the object (for 1D objects) against repositioning.

TRUE - the point is locked;
FALSE - the point is not locked.

LockEnd

Locks the end point of the object (for 1D objects) against repositioning

TRUE - the point is locked;
FALSE - the point is not locked.

LockVertex

Prevents vertices from deleting or repositioning them with the mouse.

TRUE - the vertices of the figure can not be deleted or repositioned;
FALSE - the protection is off.

Note: Alternatively, some of these parameters can be changed in the Protection dialog (Format menu).

Back to Table Sections


Text Block Format

"Text Block Format" Section

This section describes global properties of text assigned to the the object: alignment, margins and text background color.

VAlign

Specifies the vertical alignment type of the text in relation to the text box of the object. The number in the field corresponds to the following alignment type:

0 - align on the top of the text box;
1 - align on the center of the text box;
2 - align on the bottom of the text box.

TopMargin

Specifies the distance between the text and the top of the text box.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure. This value doesn't depend on the scale of the document.

BottomMargin

Specifies the distance between the text and the bottom of the text box.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure. This value doesn't depend on the scale of the document.

LeftMargin

Specifies the distance between the text and the left side of the text box.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure. This value doesn't depend on the scale of the document.
Note that the actual distance between the text and the left side of the text box also includes the paragraph indentation (LeftInd field in the Paragraph Format section). For the first line of the paragraph, add the FirstInd field as well.

RightMargin

Specifies the distance between the text and the right side of the text box.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure. This value doesn't depend on the scale of the document.
Note that the actual distance between the text and the right side of the text box also includes the paragraph indentation (RightInd field in the Paragraph Format section).

TextBkgnd

Describes the text background color. The value corresponds to the number of the color in the color palette of the document. The value may vary from 0 to 255.

Note: Alternatively, these parameters can be changed on the Text Block tab of the Format / Text Properties dialog.

Back to Table Sections


"Text Field" Section

This section has only one cell, named TheText, which contains the text associated with the object.
The text must be enclosed in quotation marks.

Some hints on how you can use this section:

- The text of an object may contain some information which you might need to use as a parameter for other objects.
For example, it may be the height of a column in a diagram, so that the column changes its height according to the value you type in it. So, as you type in a new value, the text gets into TheText cell in the table. Then in another cell, - say, Variables.X1, - this text is transformed into a number (=_evaltext(TheText)), which you can use for further calculations.

- The text can also reflect some object property or system parameter.
For instance, you may assign an object to display text showing the system time, or some object parameter - angle, width, etc.
Then TheText cell addresses to that parameter.
For example: in the Variables.X5 cell the sector size as a percentage is stored. To show this value in the text of the object, specify the following formula in TheText cell: =_valtotext(Variables.X5)+"%".

Back to Table Sections


Text Properties dialog

Using the Text Properties Dialog for Formatting Text

The Text Properties dialog lets you set formatting for the selected stretch of text or for the whole text blocks in the selected objects.
To call this dialog, use the Format / Text menu. The text properties are grouped into the three tabs: those related to Font, Paragraph and Text Block.

The Font tab lets you set the font properties.

FontDialog.gif (6814 bytes)

- The Font box lets you choose a font from the list of the fonts available.
- In the Size box, you can select a font size from the list or enter a custom value.
- Click the Color box to select the font color from the palette.
- The Style section lets you check the options to change the font style attributes:
Bold - determines whether the text is bold,
Italic - changes plain text to italic and vice versa,
Underlined - underlines the text,
Strikeout - displays the text as crossed,
Outline - outline only,
Shadow - outline with shadow,
Condensed - condensed,
Extended - stretched out,
Plain - no style.

The Paragraph tab holds the paragraph attributes: horizontal alignment and indents.

FontDialog.gif (6814 bytes)

The properties are applied to the paragraph containing the insertion point, or (if the text editing mode is not active) to all the paragraphs of the selected object(s).

- The Horizontal Alignment section specifies how the paragraphs are aligned with respect to the text box:
Left - on the left side,
Centre - by the centre,
Right - on the right side.
- The Indent section specifies the paragraph indentation:
First Line - for the first line,
From Left - for the left indent,
From Right - for the right indent.

Note that the indent values are displayed in the current measurement system. If you need to use another unit of measure, specify proper abbreviation after the number (e.g. 2.4 pt, 3.3 in, etc.).

The Text Block tab contains the settings for the entire text box: text background, margins and vertical alignment.

TextBlockDialog.gif (7734 bytes)

- The Vertical Alignment section determines the position of the whole text with respect to the text box:
Top - aligns text at the top of the text box,
Middle - aligns text at the middle of the text box,
Bottom - aligns text at the bottom of the text box.

- The Margins section lets you specify the distance between the text and the edges of the text box:
You can set the Left, Right, Top and Bottom margins.

Note that the margin values are displayed in the current measurement system. If you need to use another unit of measure, specify proper abbreviation after the number (e.g. 2.4 pt, 3.3 in, etc.).

- The Text Background section lets you specify the color for the text background.
Color: click to open the palette and select the background color,
Transparent: check to make the text block transparent.

See related topics:

Adding text to a document
Editing text
Formatting text


Text Transform

"Text Transform" Section

This section contains parameters which define the position, size and orientation of the text box of the object.
The values are represented in the coordinate system of the object. It is based on the alignment box of the object: the coordinate origin is in the top left-hand corner, horizontal coordinates increase as you move from left to right, and vertical coordinates increase as you move from top to bottom.

TextWidth

Describes the width of the text box.
In the Formulas mode, you see the values in tenths of millimeters, in the Values mode all values are displayed in the current unit of measure.

By default, the text box width is the same as the alignment box width.

TextHeight

Describes the height of the text box.
In the Formulas mode, you see the values in tenths of millimeters, in the Values mode all values are displayed in the current unit of measure.

By default, the text box height is the same as the alignment box height.

TextAngle

The angle of the text box with respect to the alignment box of the object.
In the Formulas mode, you see the angle in radians, in the Values mode the angle is displayed in degrees. The angle value may range within [-180 deg, 180 deg].

The default value is 0 (the text box isn't rotated).

TextOriginX

Specifies the X offset of the rotation centre of the text box in the coordinate system of the object.
In the Formulas mode, you see the values in tenths of millimeters, in the Values mode all values are displayed in the current unit of measure.

TextOriginY

Specifies the Y offset of the rotation centre of the text box in the coordinate system of the object.
In the Formulas mode, you see the values in tenths of millimeters, in the Values mode all values are displayed in the current unit of measure.

TextPinX

Specifies the X offset of the rotation centre of the text box in the coordinate system of the text box.
In the Formulas mode, you see the values in tenths of millimeters, in the Values mode all values are displayed in the current unit of measure.

The default formula is: TextWidth*0.5.

TextPinY

Specifies the Y offset of the rotation centre of the text box in the coordinate system of the text box.
In the Formulas mode, you see the values in tenths of millimeters, in the Values mode all values are displayed in the current unit of measure.

The default formula is: TextHeight*0.5.

Back to Table Sections


"Transform" Section

This section contains parameters which define the position, size and orientation of the object.
Note that the coordinate system is based on the alignment box of the object: the coordinate origin is in the top left-hand corner, the horizontal coordinates increase as you move from left to right, and the vertical coordinates increase as you move from top to bottom.

Since an object may be part of a parent group, the following parameters describe its position within the group (with relation to the coordinate system of the group):

OriginX, OriginY, Angle, LocPinX, LocPinY - for a 2D object
BeginX, BeginY, EndX, EndY, Angle, LocPinX, LocPinY - for a 1D object.

Note: If an object isn't part of any parent group, it is taken to belong to the group formed by the entire page.

Here are the fields of the section:

Width

Describes the width of the alignment box of the object.
In the Formulas mode, you can see the data in tenths of millimeters, in the Values mode the content is displayed in the current unit of measure.
As a rule, the Width parameter is used as a variable in formulas for other fields.

For 1D objects, this field usually contains the following formula:

_HYP(EndX-BeginX;EndY-BeginY).

If the object is part of a group, its width is described through the width and height of the parent group.
For example: _HYP(Parent.Width*0.308575;Parent.Height*0.283963).

Height

Describes the height of the alignment box of the object.
In the Formulas mode, you see the data in tenths of millimeters; in the Values mode the data is displayed in the current unit of measure.
As a rule, the Height parameter is used as a variable in formulas for other fields.

As a rule, this field holds a number.
If the object is part of a group, its height is described through the width and height of the parent group.
For example: _HYP(Parent.Width*0.267234;Parent.Height*0.081973).

Angle

Describes the angle of the object with respect to its parent group.
In the Formulas mode, you see the angle in radians, in the Values mode the angle is displayed in degrees. The angle value may range within [-180 deg, 180 deg].

For 1D objects, this field usually contains the following formula:

FlipX*_PI()+_ATAN2(EndY-BeginY;EndX-BeginX).

OriginX

Specifies the X offset of the rotation centre of the object with respect to its parent group.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

OriginY

Specifies the Y offset of the rotation centre of the object with respect to its parent group.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

LocPinX

Describes the X offset of the rotation centre of the object with relation to the coordinate origin of the object.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.
The default formula is Width*0.5.

LocPinY

Describes the Y offset of the rotation centre of the object with relation to the coordinate origin of the object.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.
The default formula is Height*0.5.

FlipX

The flag for horizontal flipping. This is a binary value:
FALSE - the object isn't flipped ;
TRUE - the object is flipped.

FlipY

The flag for vertical flipping. This is a binary value:
FALSE - the object isn't flipped ;
TRUE - the object is flipped.

Back to Table Sections


"Variables" Section

This section describes additional variables of the object.
Since an object may have no additional variables, this section may be missing in the table.

You may need variables when several different fields use the results of same calculations. So, the additional variables can be used to store the results. You may also use the additional variables to store various object parameters you are working with, in order not to have to refer to them every time you use them.

To add the Variables section to the table:

  1. Apply the Insert Sections command from the Edit menu or from the context menu in the table window.
    The Insert Section dialog will come up.
  2. In the dialog, check the Variables option and click OK.
    The Variables section will be added to the table. It will have one row.

Sometimes it may be possible that the Variables section already exists in the table, but is not visible.
The View Sections dialog lets you show/hide the table sections.

To show the Variables section:

  1. Apply the View Sections command from the Edit menu or from the context menu in the table window.
    The View Sections dialog will come up.
  2. In the dialog, check Variables and click OK.

The Variables section will appear in the table. Its rows display information describing the variables associated with the object.

To add new variables:

  1. Use the Add Row command from the Edit menu or from the context menu in the table window.
  2. A new row for variables will be added to the end of the section. Then you can set the parameters.

To delete a row with variables:

  1. Activate the row with variables you want to delete (just select any of its cells).
  2. Use the Delete Row command from the Edit menu or from the context menu for the row.

This will delete the row. Removing the last row removes the entire section.

Each row contains two variables: X and Y.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

Back to Table Sections